<?php
/*
Plugin Name: Nt Antidote Shortcodes
Plugin URI: http://themeforest.net/user/Ninetheme
Description: Shortcodes for Ninetheme WordPress Themes - Nt-antidote Version
Version: 1.1.1
Author: Ninetheme
Author URI: http://themeforest.net/user/Ninetheme
*/

/*************************************************
## Word Limiter
*************************************************/
function nt_antidote_limit_words($string, $limit) {
	$words = explode(' ', $string);
	return implode(' ', array_slice($words, 0, $limit));
}


/******************************* Post Formats **************************************/

function nt_antidote_register_my_cpts() {

	/**
	 * Post Type: Services.
	 */

	$labels = array(
		"name" => esc_html__( 'Services', 'nt-antidote' ),
		"singular_name" => esc_html__( 'Services', 'nt-antidote' ),
	);

	$args = array(
		"label" => esc_html__( 'Services', 'nt-antidote' ),
		"labels" => $labels,
		"description" => "",
		"public" => true,
		"publicly_queryable" => true,
		"show_ui" => true,
		"show_in_rest" => false,
		"rest_base" => "",
		"has_archive" => false,
		"show_in_menu" => true,
		"exclude_from_search" => false,
		"capability_type" => "post",
		"map_meta_cap" => true,
		"hierarchical" => false,
		"rewrite" => array( "slug" => "services", "with_front" => true ),
		"query_var" => true,
		"supports" => array( "title", "editor", "custom-fields", "page-attributes" ),
	);

	register_post_type( "services", $args );

	/**
	 * Post Type: Pricing.
	 */

	$labels = array(
		"name" => esc_html__( 'Pricing', 'nt-antidote' ),
		"singular_name" => esc_html__( 'price', 'nt-antidote' ),
		"menu_name" => esc_html__( 'Pricing', 'nt-antidote' ),
	);

	$args = array(
		"label" => esc_html__( 'Pricing', 'nt-antidote' ),
		"labels" => $labels,
		"description" => "",
		"public" => true,
		"publicly_queryable" => true,
		"show_ui" => true,
		"show_in_rest" => false,
		"rest_base" => "",
		"has_archive" => false,
		"show_in_menu" => true,
		"exclude_from_search" => false,
		"capability_type" => "post",
		"map_meta_cap" => true,
		"hierarchical" => false,
		"rewrite" => array( "slug" => "price", "with_front" => true ),
		"query_var" => true,
		"menu_position" => 6,
		"menu_icon" => "dashicons-list-view",
		"taxonomies" => array( "price" ),
	);

	register_post_type( "price", $args );
}

add_action( 'init', 'nt_antidote_register_my_cpts' );

function nt_antidote_register_my_taxes() {

	/**
	 * Taxonomy: Price Taxonomy.
	 */

	$labels = array(
		"name" => esc_html__( 'Price Taxonomy', 'nt-antidote' ),
		"singular_name" => esc_html__( 'price', 'nt-antidote' ),
	);

	$args = array(
		"label" => esc_html__( 'Price Taxonomy', 'nt-antidote' ),
		"labels" => $labels,
		"public" => true,
		"hierarchical" => false,
		"label" => "Price Taxonomy",
		"show_ui" => true,
		"show_in_menu" => true,
		"show_in_nav_menus" => true,
		"query_var" => true,
		"rewrite" => array( 'slug' => 'price', 'with_front' => true, ),
		"show_admin_column" => false,
		"show_in_rest" => false,
		"rest_base" => "",
		"show_in_quick_edit" => false,
	);
	register_taxonomy( "price", array( "price" ), $args );
}

add_action( 'init', 'nt_antidote_register_my_taxes' );


/*-----------------------------------------------------------------------------------*/
/*	INFO SECTION antidote
/*-----------------------------------------------------------------------------------*/
function theme_nt_antidote_infoarea( $atts, $content = null ) {
    extract( shortcode_atts(array(
	"big_image"		=> '',
	"small_image1"	=> '',
	"small_image2"	=> '',
	"heading"		=> '',
	"description"	=> '',
	"css"			=> ''
	), $atts) );
	$row_css 		= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
	$bigimage 		= wp_get_attachment_url( $big_image,'full' ) ;
	$smallimage1 	= wp_get_attachment_url( $small_image1,'full' ) ;
	$smallimage2 	= wp_get_attachment_url( $small_image2,'full' ) ;
	$b_image 		= nt_antidote_aq_resize( $bigimage, 720, 520 , true, true, true );
	$s_image1 		= nt_antidote_aq_resize( $smallimage1, 176, 127 , true, true, true );
	$s_image2 		= nt_antidote_aq_resize( $smallimage2, 176, 127 , true, true, true );
	$out = '';
    $out .= '<section class="info-area section-padding'. esc_attr($row_css) . '">';
        $out .= '<div class="container-for-bootsrap">';
            $out .= '<div class="row-for-bootsrap">';
                $out .= '<div class="col-md-6">';
                    $out .= '<div class="info-thumbs fix">';
                        $out .= '<div class="large-thumb thumbs">';
                            if ( $bigimage != '' ) { $out .= '<img src="'.esc_url( $b_image ).'" alt="">'; }
                        $out .= '</div>';
                        $out .= '<div class="small-thumbs thumbs">';
                            if ( $smallimage1 != '' ) { $out .= '<img src="'.esc_url( $s_image1 ).'" alt="">'; }
                            if ( $smallimage2 != '' ) { $out .= '<img src="'.esc_url( $s_image2 ).'" alt="">'; }
                        $out .= '</div>';
                    $out .= '</div>';
                $out .= '</div>';
                $out .= '<div class="col-md-6">';
                    $out .= '<div class="info-text height-right">';
                        if ( $heading != '' ) { $out .= '<h2>'.esc_html( $heading ).'</h2>'; }
                        if ( $description != '' ) { $out .= '<p>'.esc_html( $description ).'</p>'; }
                    $out .= '</div>';
                $out .= '</div>';
            $out .= '</div>';
        $out .= '</div>';
    $out .= '</section>';
return $out;
}
add_shortcode('nt_antidote_infoarea', 'theme_nt_antidote_infoarea');

/*-----------------------------------------------------------------------------------*/
/*	PRICE TABLE
/*-----------------------------------------------------------------------------------*/
function theme_nt_antidote_pricing($atts){
	extract(shortcode_atts(array(
		'section_id'		=> '',
		'sheading'			=> '',
		'css'				=> '',
		'custompost'		=> 'price',
		'orderby'         	=> 'date',
		'order'           	=> 'DESC',
		'post_number'     	=> '4',
		'price_category'  	=> 'all',
		'link'   			=> ''
	), $atts));

	$link 		= ( $link == '||' ) ? '' : $link;
	$link 		= vc_build_link( $link );
	$a_href 	= $link['url'];
	$a_title 	= $link['title'];
	$a_target 	= $link['target'];
	$atarget 	= $a_target ? 'target="'.esc_attr( $a_target ).'"' : '';

	// CPT for pricing
	$customposttype 	= $custompost ? ''. $custompost  .'' : 'price';
	if ( post_type_exists( $customposttype ) ) {

		$nt_revity_price_args = array(
			'post_type'  		=> $customposttype,
			'posts_per_page'	=> $post_number,
			'order'   			=> $order,
			'orderby'  			=> $orderby,
			'post_status' 		=> 'publish'
		);

		if( $price_category != 'all' ){
			$str = $price_category;
			$arr = explode(',', $str);
			$nt_revity_price_args['tax_query'][] = array(
				'taxonomy' 	=> ''.$customposttype.'',
				'field' 	=> 'slug',
				'terms' 	=> $arr
			);
		}

		$row_css = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
		$id = ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';
		$out = '';
		$out .= '<section '.$id.' class="pricing-table-area pb-130'. esc_attr($row_css) . '">';
			$out .= '<div class="container-for-bootsrap">';
			if ( $sheading != '' ) {
				$out .= '<div class="row-for-bootsrap">';
					$out .= '<div class="col-md-12 section-title text-center mb-70">';
						$out .= '<h2>'.$sheading.'</h2>';
					$out .= '</div>';
				$out .= '</div>';
			}
				$out .= '<div class="row">';

					$count = 0;
					$nt_antidote_price_query = new WP_Query($nt_revity_price_args);
					if( $nt_antidote_price_query->have_posts() ) :
					while ($nt_antidote_price_query->have_posts()) :
					$nt_antidote_price_query->the_post();
					$count++;

					$column_mobile   	= get_post_meta( get_the_ID(), 'nt_antidote_column_mobile', true );
					$column_desk   		= get_post_meta( get_the_ID(), 'nt_antidote_column_desk', true );
					$column_offset   	= get_post_meta( get_the_ID(), 'nt_antidote_column_offset', true );
					$price_categories 	= get_post_meta( get_the_ID(), 'nt_antidote_price_categories', true );
					$packname           = get_post_meta( get_the_ID(), 'nt_antidote_packname', true );
					$priceamount        = get_post_meta( get_the_ID(), 'nt_antidote_priceamount', true );
					$priceperiod        = get_post_meta( get_the_ID(), 'nt_antidote_priceperiod', true );
					$tablefeatures      = get_post_meta( get_the_ID(), 'nt_antidote_features_list', true );

					$pricecategories 	= $price_categories ? $price_categories : 'normal';
					$columnmobile 		= $column_mobile ? $column_mobile : 'col-sm-6';
					$columndesk 		= $column_desk ? $column_desk : 'col-md-3';
					$columnoffset 		= $column_offset ? $column_offset : 'col-md-offset-0';
					$col_str 			= ''.esc_attr( $columnmobile ).' '.esc_attr( $columndesk ).' '.esc_attr( $columnoffset ).'';

					$out .= '<!-- Single Pricing Table -->';
					$out .= '<div class="'.$col_str = preg_replace('/\s\s+/', ' ', $col_str).'">';
						$out .= '<div class="nt-theme-pricing-table '.esc_attr( $pricecategories ).'">';
							$out .= '<div class="pricing-head">';
								$out .= '<span class="price">'.esc_html( $priceamount ).'</span>';
								$out .= '<span>'.esc_html( $priceperiod ).'</span>';
							 $out .= '</div>';
							 $out .= '<div class="pricing-status">';
								$out .= '<h4>'.esc_html( $packname ).'</h4>';
							$out .= '</div>';
							$out .= '<div class="pricing-body">';
								$out .= '<ul>';
								foreach ( $tablefeatures as $listitem ) {
									$out .= '<li>'.$listitem.'</li>';
								}
							   $out .= ' </ul>';
							$out .= '</div>';
							$out .= '<a href="'.esc_attr( $a_href ).'" '.$atarget.' class="pricing-btn">'.esc_attr( $a_title ).'</a>';
						$out .= '</div>';
					$out .= '</div>';
					$out .= '<!-- /.End Of Single Pricing Table -->';
				endwhile;
				endif;
				wp_reset_postdata();
			$out .= '</div>';
			$out .= '</div>';
			$out .= '</section>';
			$out .= ' <!-- /.End Of Pricing Table Area -->';
	}
return $out;
}
add_shortcode('nt_antidote_pricing', 'theme_nt_antidote_pricing');

/*-----------------------------------------------------------------------------------*/
/*	LATEST BLOG
/*-----------------------------------------------------------------------------------*/

function nt_antidote_shortcode_excerpt($limit) {
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}

function theme_nt_antidote_blog($atts){
	extract(shortcode_atts(array(
		'section_id'	=> '',
		'sheading'		=> '',
		'posts'			=> '3',
		'categories'	=> 'all',
		'order'			=> 'DESC',
		'orderby'		=> 'date',
		'css'			=> ''
    ), 	$atts));

	global $post;
	$args = array(
		'post_type'         => 'post',
		'posts_per_page'	=> $posts,
		'order'             => $order,
		'orderby'           => $orderby,
		'post_status'       => 'publish'
	);
	if( $categories != 'all' ){
		$str = $categories;
		$arr = explode(',', $str);
		$args['tax_query'][] = array(
			'taxonomy' 	    => 'category',
			'field' 	    => 'slug',
			'terms' 	    => $arr
		);
	}

	$row_css 	= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts );
	$id 		= ($section_id != '') ? 'id="'. esc_attr($section_id) . '"' : '';

	$out 		= '';
    $out .='<section '.$id.' class="latestNews-area'. esc_attr($row_css) . '">';
        $out .='<div class="container-for-bootsrap">';
		 if ( $sheading != '' ) {
            $out .='<div class="row-for-bootsrap">';
                $out .='<div class="col-md-12 section-title text-center mb-70">';
                   $out .= '<h2>'.$sheading.'</h2>';
                $out .='</div>';
            $out .='</div>';
		 }
            $out .='<div class="row">';
			$nt_antidote_blog_post_query = new WP_Query($args);
			if( $nt_antidote_blog_post_query->have_posts() ) :
			while ($nt_antidote_blog_post_query->have_posts()) : $nt_antidote_blog_post_query->the_post();

				$thumb 	 = get_post_thumbnail_id();
				$img_url = wp_get_attachment_url( $thumb,'full' );
				$image 	 = nt_antidote_aq_resize( $img_url, 370, 247, true, true, true );

			if ( $posts == '2' ) { $column_desk = 'col-md-6'; }
			elseif ( $posts == '3' ) { $column_desk = 'col-md-4'; }
			elseif ( $posts == '4' ) { $column_desk = 'col-md-3 col-sm-6'; }
			elseif ( $posts == '6' ) { $column_desk = 'col-md-4'; }
			else { $column_desk = 'col-md-4'; }

                $out .='<div class="'.esc_attr( $column_desk ).'">';
                    $out .='<div class="nt-theme-news">';
					$out .='<div class="date center">'.esc_attr( get_the_date('M') ).' <br> '.esc_attr( get_the_date( 'j' ) ).'</div>';
                        $out .='<a class="news-thumb" href="'.get_permalink().'">';
                            $out .='<img src="'. $image .'" alt="">';
                            $out .='<div class="news-hover"></div>';
                        $out .='</a>';

                        $out .='<div class="nt-theme-news-container">';
							$out .='<div class="news-excerpt">';
								$out .='<a href="' .get_permalink(). '"><h2>'.get_the_title().'</h2></a>';
								$out .='<p class="news-excerpt-text">'. nt_antidote_shortcode_excerpt(13) .'</p>';

								$out .='<div class="post-meta">';
									$out .='<span><i class="fa fa-user"></i>By ' . get_the_author() . '</span>';
									if ( $posts == '3' || $posts == '2'  ) {  $out .='<span><i class="fa fa-comments"></i>' . get_comment() . ' Comments</span>'; }
									$out .='<a href="' .get_permalink(). '" class="link_btn">' . esc_html__('Read More','nt-antidote') . '</a>';
								$out .='</div>';

							$out .='</div>';
						$out .='</div>';

                    $out .='</div>';
                $out .='</div>';
			endwhile;
			endif;
			wp_reset_postdata();
            $out .='</div>';
        $out .='</div>';
    $out .='</section>';
	return $out;
}
add_shortcode('nt_antidote_blog', 'theme_nt_antidote_blog');
