<?php
	//The template for displaying 404 pages (not found).

	get_header();
	get_template_part( 'index-header' );
	$nt_antidote_404layout = ot_get_option( 'nt_antidote_404layout' );
?>
    <!-- PAGE TITLE Area
      =========================== -->
    <section class="page-title fix color-3">
        <div class="container bb-bottom">
            <div class="row">
                <div class="col-md-12">
                    <div class="page-title-content">
						<?php if ( ot_get_option( 'nt_antidote_error_disable_heading' ) != 'off' ) : ?>
							<?php if ( ot_get_option( 'nt_antidote_error_heading' ) != '' ) : ?>
								<h2 class="page-title"><?php echo ot_get_option( 'nt_antidote_error_heading' ); ?></h2>
							<?php else : ?>
								<h2 class="page-title"><?php echo esc_html_e( '404!', 'nt-antidote' ); ?></h2>
							<?php endif; ?>
						<?php endif; ?>

						<?php if ( ot_get_option( 'nt_antidote_error_disable_subtitle' ) != 'off' ) : ?>
							<?php if ( ot_get_option( 'nt_antidote_error_subtitle' ) != '' ) : ?>
								<span class="sub-title"><?php echo ot_get_option( 'nt_antidote_error_subtitle' ); ?></span>
							<?php else : ?>
								<span class="sub-title"><?php echo esc_html_e( 'Wrong link or wrong page!', 'nt-antidote' ); ?></span>
							<?php endif; ?>
						<?php endif; ?>
                    </div>
					<!-- /.END OF PAGE-TITLE -->
					<?php if ( ot_get_option( 'nt_antidote_breadcrubms_visibility' ) != 'off' ) : ?>
						<!-- BREADCUMB -->
						<?php do_action( 'nt_antidote_breadcumb' ); ?>
						<!-- /.END OF BREADCUMB -->
					<?php endif; ?>
                </div>
            </div>
        </div>
    </section>
    <!--  -->

<?php if ( ot_get_option( 'nt_antidote_error_content_type' ) != 'custom' ) : ?>
    <!-- 404 Content -->
    <section class="dissapp-content">
        <div class="container">
            <div class="row">
                <div class="col-md-12 text-center fix">
					<?php if ( ot_get_option( 'nt_antidote_error_content_heading1' ) != '' ) : ?>
						<h1 class="fourzerofour"><?php echo ot_get_option( 'nt_antidote_error_content_heading1' ); ?></h1>
					<?php else : ?>
						<h1 class="fourzerofour"><?php echo esc_html_e( '404 Page', 'nt-antidote' ); ?></h1>
					<?php endif; ?>
					<?php if ( ot_get_option( 'nt_antidote_error_content_heading2' ) != '' ) : ?>
						<h2 class="error"><?php echo ot_get_option( 'nt_antidote_error_content_heading2' ); ?></h2>
					<?php else : ?>
						<h2 class="error"><?php echo esc_html_e( 'Error', 'nt-antidote' ); ?></h2>
					<?php endif; ?>
					<?php if ( ot_get_option( 'nt_antidote_error_content_message' ) != '' ) : ?>
						<h3 class="err-mess"><?php echo ot_get_option( 'nt_antidote_error_content_message' ); ?></h3>
					<?php else : ?>
						<h3 class="err-mess"><?php echo esc_html_e( 'We are not finding what you are looking for!', 'nt-antidote' ); ?></h3>
					<?php endif; ?>

                    <!-- Search Box -->
                    <div class="dissapp-search-box">
						<?php if ( ot_get_option( 'nt_antidote_error_content_search_label' ) != '' ) : ?>
							<label for="search"><?php echo ot_get_option( 'nt_antidote_error_content_search_label' ); ?></label>
						<?php else : ?>
							<label for="search"><?php echo esc_html_e( 'Please try searching here', 'nt-antidote' ); ?></label>
						<?php endif; ?>
						<div class="search-form fix">
							<?php global $form; echo nt_antidote_header_search_form($form); ?>
						</div>
                    </div>
                    <!-- /.End Of Search Box -->
					<?php if ( ot_get_option( 'nt_antidote_error_content_backhome_title' ) != '' ) : ?>
						<span class="gohome"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo ot_get_option( 'nt_antidote_error_content_backhome_title' ); ?></a></span>
					<?php else : ?>
						<span class="gohome"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_html_e( 'Go back to Home', 'nt-antidote' ); ?></a></span>
					<?php endif; ?>

                </div>
            </div>
        </div>
    </section>
    <!-- /.End default Of 404 Content -->
<?php else : ?>
    <!--Custom 404 Content -->
    <div class="theme-inner-page-container">
        <div class="container">
            <div class="row">

			<?php if ( $nt_antidote_404layout == 'right-sidebar' || $nt_antidote_404layout == 'right-sidebar' ) { ?>
			<div class="col-md-9 index float-right posts">
			<?php } elseif ( $nt_antidote_404layout == 'left-sidebar' ) { ?>
			<?php get_sidebar(); ?>
			<div class="col-md-9 index float-left posts">
			<?php } elseif ( $nt_antidote_404layout == 'full-width' ) { ?>
			<div class="col-xs-12 full-width-index v">
			<?php } ?>
				<?php echo ot_get_option( 'nt_antidote_error_custom_content' ); ?>
					<div class="search-form fix">
						<?php global $form; echo nt_antidote_header_search_form( $form ); ?>
					</div>
			</div>
				<?php if ( $nt_antidote_404layout == 'right-sidebar' || $nt_antidote_404layout == 'right-sidebar' ) { ?>
					<?php get_sidebar(); ?>
				<?php } ?>
	
			</div>
		</div>
	</div>
<?php endif; ?>

<?php get_footer(); ?>