<?php

	//The template for displaying archives.

	get_header();
	get_template_part('index-header');

	$nt_antidote_blog_content_type = ot_get_option( 'nt_antidote_blog_content_type' );

	$nt_antidote_archive_layout = ot_get_option( 'nt_antidote_archive_layout' );

	if ( $nt_antidote_blog_content_type == 'masonry' ) : 
		$nt_antidote_post_desk_col = ot_get_option( 'nt_antidote_post_desk_col' );
		$nt_antidote_deskcol = $nt_antidote_post_desk_col ? $nt_antidote_post_desk_col : '6';
		$nt_antidote_post_col = 'col-sm-12 col-md-'.esc_attr( $nt_antidote_deskcol ).' col-lg-'.esc_attr( $nt_antidote_deskcol ).'';

		wp_enqueue_script( 'nt-antidote-masonry-set' );
	
	endif;
?>
    <!-- PAGE TITLE Area
      =========================== -->
    <section class="page-title fix color-3">
        <div class="container bb-bottom">
            <div class="row">
                <div class="col-md-12">
                    <div class="page-title-content">
						<?php if ( ot_get_option( 'nt_antidote_archive_disable_heading' ) != 'off' ) : ?>
							<?php if ( ot_get_option( 'nt_antidote_archive_heading' ) != '' ) : ?>
								<h2 class="page-title"><?php echo ot_get_option( 'nt_antidote_archive_heading' ); ?></h2>
							<?php else : ?>
								<h2 class="page-title"> <?php echo esc_html( the_archive_title() );?></h2>
							<?php endif; ?>
						<?php endif; ?>

						<?php if ( ot_get_option( 'nt_antidote_archive_disable_subtitle' ) != 'off' ) : ?>
							<?php if ( ot_get_option( 'nt_antidote_archive_subtitle' ) != '' ) : ?>
								<span class="sub-title"><?php echo ot_get_option( 'nt_antidote_archive_subtitle' ); ?></span>
							<?php else : ?>
								<span class="sub-title"><?php echo esc_html_e( 'This is our archive page', 'nt-antidote' ); ?></span>
							<?php endif; ?>
						<?php endif; ?>
                    </div>
					<!-- /.END OF PAGE-TITLE -->
					<?php if ( ot_get_option( 'nt_antidote_breadcrubms_visibility' ) != 'off' ) : ?>
						<!-- BREADCUMB -->
						<?php do_action( 'nt_antidote_breadcumb' ); ?>
						<!-- /.END OF BREADCUMB -->
					<?php endif; ?>

                </div>
            </div>
        </div>
    </section>

    <!-- Page Internal Content -->
    <div class="theme-inner-page-container">
        <div class="container">
            <div class="row">

				<?php if ( $nt_antidote_archive_layout == 'right-sidebar' || $nt_antidote_archive_layout == '') { ?>
				<div class="col-md-8 main-content index float-right posts">
					<?php if ( $nt_antidote_blog_content_type == 'masonry' ) : ?>
					<div class="row">
						<div id="gallery" class="masonry gallery blog">
							<div class="grid-sizer <?php echo esc_attr( $nt_antidote_post_col ); ?>"></div>
					<?php endif; ?>
				<?php } elseif ( $nt_antidote_archive_layout == 'left-sidebar' ) { ?>
				<?php get_sidebar(); ?>
				<div class="col-md-8 main-content index float-left posts">
				<?php if ( $nt_antidote_blog_content_type == 'masonry' ) : ?>
					<div class="row">
						<div id="gallery" class="masonry gallery blog">
							<div class="grid-sizer <?php echo esc_attr( $nt_antidote_post_col ); ?>"></div>
					<?php endif; ?>
				<?php } elseif ( $nt_antidote_archive_layout == 'full-width' ) { ?>
				<div class="col-xs-12 full-width-index v">
					<?php if ( $nt_antidote_blog_content_type == 'masonry' ) : ?>
					<div class="row">
						<div id="gallery" class="masonry gallery blog">
							<div class="grid-sizer <?php echo esc_attr( $nt_antidote_post_col ); ?>"></div>
					<?php endif; ?>
				<?php } ?>
				<?php if ( have_posts() ) : ?>
					<?php while ( have_posts() ) : the_post(); ?>
						<?php get_template_part( 'post-format/content', get_post_format() ); ?>
					<?php endwhile; ?>
						<?php if ( $nt_antidote_blog_content_type!= 'masonry' || $nt_antidote_blog_content_type=='' ) : ?>
						<?php the_posts_pagination( array(
								'prev_text'          => esc_html__( 'Previous page', 'nt-antidote' ),
								'next_text'          => esc_html__( 'Next page', 'nt-antidote' ),
								'before_page_number' => '<span class="meta-nav screen-reader-text"></span>',
							) ); ?>
						<?php endif; ?>
				<?php else : ?>
					<?php get_template_part( 'content', 'none' ); ?>
				<?php endif; ?>
					<?php if ( $nt_antidote_blog_content_type == 'masonry' ) : ?>
						</div>
					</div>
					<?php the_posts_pagination( array(
							'prev_text'          => esc_html__( 'Previous page', 'nt-antidote' ),
							'next_text'          => esc_html__( 'Next page', 'nt-antidote' ),
							'before_page_number' => '<span class="meta-nav screen-reader-text"></span>',
						) ); ?>
					<?php endif; ?>
				</div>
				
				<?php if( $nt_antidote_archive_layout == 'right-sidebar' || $nt_antidote_archive_layout == '' ) { ?>
					<?php get_sidebar(); ?>
				<?php } ?>
			</div>
		</div>
	</div>
<!--Page Internal Contentr-->

<!--page footer-->
<?php get_footer(); ?>