<?php

function nt_antidote_css_options() {

    /* CSS to output */
    $theCSS = '';

	// admin bar
	if( is_admin_bar_showing() && ! is_customize_preview() ) {
		$theCSS .= '

		.navbar-fixed-top { top: 32px !important;}
		@media (max-width: 767px){
			.navbar-fixed-top { top: 45px !important;}
		}
		@media (max-width: 600px){
			.navbar-fixed-top { top: 0px !important;}
		}
		';

	}

	// color options
	$body_bgcolor 	= esc_attr( ot_get_option( 'nt_antidote_theme_body_bgcolor' ) );

	// body background options
	if ( ot_get_option( 'nt_antidote_boxed' ) == 'boxed' ) {

		$bodybackground = ot_get_option( 'nt_antidote_theme_body_bg', array() );
		if ( !empty( $bodybackground ) ) {
			$background_color       = ( $bodybackground['background-color'] != '' ) ? $bodybackground['background-color'] . ' ' : '';
			$background_image       = ( $bodybackground['background-image'] != '' ) ? 'url('.$bodybackground['background-image'].') ' : '';
			$background_repeat      = ( $bodybackground['background-repeat'] != '' ) ? $bodybackground['background-repeat']. ' ' : '';
			$background_positon     = ( $bodybackground['background-position'] != '' ) ? $bodybackground['background-position']. ' ' : '';
			$background_attachment  = ( $bodybackground['background-attachment'] != '' ) ? $bodybackground['background-attachment']. ' ' : '';
			$background_size        = ( $bodybackground['background-size'] != '' ) ? 'background-size: '. $bodybackground['background-size']. ';' : '';
		}
		$theCSS .= 'body.body-wrap { background: '.$background_color.$background_image.$background_repeat.$background_attachment.$background_positon.';'."\n". $background_size .'}';
	}

	if ( ( ot_get_option( 'nt_antidote_boxed' ) == 'stretched' ) && ( $body_bgcolor != '' ) ) {
		$theCSS .= 'body { background: '.$body_bgcolor.'}';
	}

	// color skins
	if ( ot_get_option( 'theme_skin_color' ) != 'custom' ) {
		if ( ot_get_option( 'theme_skin_color' ) == 'skin1' ) :
		$nt_antidote_skincolor = '#2DCC70';
		elseif ( ot_get_option( 'theme_skin_color' ) == 'skin2' ) :
		$nt_antidote_skincolor = '#246eb9';
		elseif ( ot_get_option( 'theme_skin_color' ) == 'skin3' ) :
		$nt_antidote_skincolor = '#213140';
		elseif ( ot_get_option( 'theme_skin_color' ) == 'skin4' ) :
		$nt_antidote_skincolor = '#19B5FF';
		elseif ( ot_get_option( 'theme_skin_color' ) == 'skin5' ) :
		$nt_antidote_skincolor = '#8a6d3b';
		else :
		$nt_antidote_skincolor = '#246eb9';
		endif;

		$theCSS .= '
		.entry-title a:hover, .news-meta a:hover, .tagcloud a:hover, .bread-crumb a:hover, td#today, .widget td a:hover, #footer-area a:hover, .news-tags p a:hover, .pagination a:hover, cite a, .text-content p a {
			color:'. esc_attr( $nt_antidote_skincolor ) .';
		}
		 .format-link a:hover {
			color:'. esc_attr( $nt_antidote_skincolor ) .' !important;
		}
		'; // end color
	}



 if ( ot_get_option( 'theme_skin_color' ) =='custom' )  {

	if ( ot_get_option( 'theme_skin_bgcolor1' ) !='' ) {

		$theCSS .= '
			.head-bottom-area, .contact-btn, .footer-newsletter > input[type="submit"], .nt-main-menu-container ul.nav.navbar-nav li ul li::after, .Modern-Slider .PrevArrow:hover, .Modern-Slider .NextArrow:hover, .navbar-collapse, .cta-area, .color-palate-head, .nt-theme-whatWork::after, .single-form input[type="submit"], input#submit-comment, ul.degins li::after, .mean-container .mean-bar, .mean-container .mean-nav ul li, .Modern-Slider .PrevArrow:hover, .Modern-Slider .NextArrow:hover, .nt-theme-pricing-table.active, a.pricing-btn {background-color:'. ot_get_option( 'theme_skin_bgcolor1' ) .';}
		';

	}

	if ( ot_get_option( 'theme_skin_bghovercolor' ) !='' ) {

		$theCSS .= '
			.nt-main-menu-container ul.nav.navbar-nav > li > a:hover,
			.nt-main-menu-container ul.nav.navbar-nav li.active,
			.button-hover::after,
			.color-trigger,
			.about-gallery-posts .owl-dot.active,
			.nt-theme-pricing-table.active .pricing-status {background-color:'. ot_get_option( 'theme_skin_bghovercolor' ) .'; }
			.social-links ul li a:hover, #footer-area .widget ul li a:hover, #footer-area .widget a:hover, .footer-newsletter > input[type="submit"]:hover {color:'. ot_get_option( 'theme_skin_bghovercolor' ) .';}
			#commentform input#submit {background:'. ot_get_option( 'theme_skin_bghovercolor' ) .' none repeat scroll 0 0;}

			.info-icon,
			a.link-out,
			.facts-headding h2 > strong,
			.nt-main-menu-container ul.nav.navbar-nav li ul li a:hover,
			a.replay-btn:hover,
			a.author,
			.slider-text h1 span,
			.sidebar .widget ul li a:hover,
			.logged-in-as a,
			.sidebar .nt-theme-testimonial .quote-icon {color:'. ot_get_option( 'theme_skin_bghovercolor' ) .';}
		';

	}

	if ( ot_get_option( 'theme_skin_bgcolor2' ) !='' ) {

		$theCSS .= '
			#footer-area,
			.overlay::after,
			.nt-main-menu-container ul.nav.navbar-nav li ul li a,
			.button.menu-custom-btn,
			.button.button-cta,
			.sidebar .widget,
			.nt-theme-pricing-table.active .pricing-btn,
			.nt-theme-pricing-table {background-color:'. ot_get_option( 'theme_skin_bgcolor2' ) .';}
		';

	}
}



	// frontpage custom color
	$nt_antidote_theme_color 	= ot_get_option( 'nt_antidote_theme_color' ) ;
	$custom_color 				= ot_get_option( 'nt_antidote_custom_color' ) ;

	if( $nt_antidote_theme_color == 'custom' ){

	$one_color = $custom_color;

	}else{

		$one_color = $nt_antidote_theme_color;

	}

	if ( $one_color !='' ) {

		$theCSS .= '
		body.error404 .index .searchform input[type="submit"], body.search article .searchform input[type="submit"], .nt-theme-widget #searchform input#searchsubmit, #respond input:hover, .pager li > span, .pager li > a, .widget-title:after{background-color:'.esc_attr( $one_color ).';}
		body.error404 .index .searchform input[type="submit"]:hover, body.search article .searchform input[type="submit"]:hover, input[type="button"]:hover, input[type="submit"]:hover, input[type="reset"]:hover { background-color: '.esc_attr( $one_color ).';}
		a:hover, a:focus{ color: '.esc_attr( $one_color ).'; }
		.nt-theme-widget .widget ul li a:hover, .entry-title a:hover, .entry-meta a, #share-buttons i:hover{ color:'.esc_attr( $one_color ).'; }
		input[type="color"]:focus, input[type="date"]:focus, input[type="datetime"]:focus, input[type="datetime-local"]:focus, input[type="email"]:focus, input[type="month"]:focus, input[type="number"]:focus, input[type="password"]:focus, .ie input[type="range"]:focus, .ie9 input[type="range"]:focus, input[type="search"]:focus, input[type="tel"]:focus, input[type="text"]:focus, input[type="time"]:focus, input[type="url"]:focus, input[type="week"]:focus, select:focus, textarea:focus, .pager li > a, .pager li > span  { border-color:'.esc_attr( $one_color ).'; }
		.breadcrubms, .breadcrubms span a span { color: '.esc_attr( $one_color ).';}
		.breadcrubms span { color: '.esc_attr( $one_color ).';}
		.breadcrubms span a span:hover, .text-logo:hover { color: '.esc_attr( $one_color ).';}
		'; // end color

	}


	//header mini area
	$nt_antidote_hmbc 		=	esc_attr( ot_get_option( 'nt_antidote_header_mini_bg_color' ) );
	$nt_antidote_hmtc		=	esc_attr( ot_get_option( 'nt_antidote_header_mini_text_color' ) );
	$nt_antidote_hmib		=	esc_attr( ot_get_option( 'nt_antidote_header_mini_icon_bg' ) );
	$nt_antidote_hmibc		=	esc_attr( ot_get_option( 'nt_antidote_header_mini_icon_border' ) );
	$nt_antidote_hmic		=	esc_attr( ot_get_option( 'nt_antidote_header_mini_icon_color' ) );
	$nt_antidote_hmihc		=	esc_attr( ot_get_option( 'nt_antidote_header_mini_icon_hover' ) );

	if ( $nt_antidote_hmbc !='' ) 		{ $theCSS .= '.header-mini-area {background-color:' . $nt_antidote_hmbc . '!important;}'; }
	if ( $nt_antidote_hmtc !='' ) 		{ $theCSS .= '.header-mini-area {color:' . $nt_antidote_hmtc . '!important;}'; }
	if ( $nt_antidote_hmib !='' ) 		{ $theCSS .= '.header-mini-area .header-social-list > li {background-color:' . $nt_antidote_hmib . '!important;}'; }
	if ( $nt_antidote_hmibc !='' ) 		{ $theCSS .= '.header-mini-area .header-social-list > li {border-color:' . $nt_antidote_hmibc . '!important;}'; }
	if ( $nt_antidote_hmihc !='' ) 		{ $theCSS .= '.header-mini-area .header-social-list > li:hover {background-color:' . $nt_antidote_hmihc . '!important;border-color:' . $nt_antidote_hmihc . '!important;}'; }
	if ( $nt_antidote_hmic !='' ) 		{ $theCSS .= '.header-mini-area .header-social-list > li a {color:' . $nt_antidote_hmic . '!important;}'; }

	//static nav
	$nav_menu_fs 			= esc_attr( ot_get_option( 'nt_antidote_nav_menu_fs' ) );
	$static_nav_bg 			= esc_attr( ot_get_option( 'nt_antidote_nav_bg' ) );
    $static_navitem 		= esc_attr( ot_get_option( 'nt_antidote_nav_item' ) );
    $static_navitemhover 	= esc_attr( ot_get_option( 'nt_antidote_nav_itemhover' ) );

	if ( $nav_menu_fs !=0 ) 		{ $theCSS .= '.nt-main-menu-container ul.nav.navbar-nav li a{font-size:' . $nav_menu_fs . 'px!important;}'; }
	if ( $static_navitem !='' ) 	{ $theCSS .= '.head-bottom-area ul:not(.sub-menu) > li > a {color:' . $static_navitem . '!important;}'; }
	if ( $static_navitemhover !='' ){ $theCSS .= '.head-bottom-area ul:not(.sub-menu) > li > a:hover{background-color:' . $static_navitemhover . '!important;}'; }

	//dropdown submenu
	$dropdownbg 			= esc_attr( ot_get_option( 'nt_antidote_dropdown_bg' ) );
    $dropdownitem 			= esc_attr( ot_get_option( 'nt_antidote_dropdown_item' ) );
    $dropdownitemhover 		= esc_attr( ot_get_option( 'nt_antidote_dropdown_itemhover' ) );
    $nt_antidote_nbg 		= esc_attr( ot_get_option( 'nt_antidote_nav_button_bg' ) );
    $nt_antidote_ntc 		= esc_attr( ot_get_option( 'nt_antidote_nav_button_c' ) );
    $nt_antidote_nthc 		= esc_attr( ot_get_option( 'nt_antidote_nav_button_hc' ) );

	if ( $nt_antidote_nbg !='' ) 	{ $theCSS .= '.menu-custom-btn{
    background-color:' . $nt_antidote_nbg . '!important;
    border-color:' . $nt_antidote_nbg . '!important;
  }';}
	if ( $nt_antidote_ntc !='' ) 	{ $theCSS .= '.menu-custom-btn{color:' . $nt_antidote_ntc . '!important;}'; }
	if ( $nt_antidote_nthc !='' ) 	{ $theCSS .= '.menu-custom-btn:after{
    background-color:' . $nt_antidote_nthc . '!important;
    border-color:' . $nt_antidote_nthc . '!important;
  }'; }
	if ( $dropdownbg !='' ) 		{ $theCSS .= '.nt-main-menu-container ul.nav.navbar-nav li ul li a{background-color:' . $dropdownbg . '!important;}'; }
	if ( $dropdownitem !='' ) 		{ $theCSS .= '.nt-main-menu-container ul.nav.navbar-nav li ul li a{color:' . $dropdownitem . '!important;}'; }
	if ( $dropdownitemhover !='' ) 	{ $theCSS .= '.nt-main-menu-container ul.nav.navbar-nav li ul li a:hover{color:' . $dropdownitemhover . '!important;}'; }

	// mobile nav
	$nt_antidote_mobile_bg 				= esc_attr( ot_get_option( 'nt_antidote_mobile_bg' ) );
    $nt_antidote_mobile_item 			= esc_attr( ot_get_option( 'nt_antidote_mobile_item' ) );
    $nt_antidote_mobile_i_h 			= esc_attr( ot_get_option( 'nt_antidote_mobile_itemhover' ) );
    $nt_antidote_mobile_btn				= esc_attr( ot_get_option( 'nt_antidote_mobile_btntoggler' ) );

	if ( $nt_antidote_mobile_bg !='' ) 	 { $theCSS .= '.mean-container .mean-bar{background-color:' . $nt_antidote_mobile_bg . '!important;}'; }
	if ( $nt_antidote_mobile_item !='' ) { $theCSS .= '.mean-container .mean-bar li a {color:' . $nt_antidote_mobile_item . '!important;}'; }
	if ( $nt_antidote_mobile_i_h !='' )  { $theCSS .= '.mean-container .mean-bar li a hover{color:' . $nt_antidote_mobile_i_h . ' !important;}'; }
	if ( $nt_antidote_mobile_btn !='' ) { $theCSS .= '.mean-container a.meanmenu-reveal{background-color:' . $nt_antidote_mobile_btn . ' !important;}'; }


	// logo style
	$theme_logo_type		=  ot_get_option( 'nt_antidote_logo_type' );
	if ( $theme_logo_type == 'text' ){

		//variable for text logo custom style
		$textlogo_fs 			= esc_attr( ot_get_option( 'nt_antidote_textlogo_fs' ) );
		$textlogo_fw 			= esc_attr( ot_get_option( 'nt_antidote_textlogo_fw' ) );
		$textlogo_fstyle		= esc_attr( ot_get_option( 'nt_antidote_textlogo_fstyle' ) );
		$textlogo_ltsp			= esc_attr( ot_get_option( 'nt_antidote_textlogo_lettersp' ) );
		$staticlogo_color		= esc_attr( ot_get_option( 'nt_antidote_staticlogo_color' ) );

		//static menu text logo
		$theCSS .= '.nt-theme-logo .text-logo {';
		if ( $textlogo_fw 		!= '' ){ $theCSS .= 'font-weight:'.$textlogo_fw.';'; }
		if ( $textlogo_ltsp 	!= '' ){ $theCSS .= 'letter-spacing:'.$textlogo_ltsp.'px;';}
		if ( $textlogo_fs 		!= '' ){ $theCSS .= 'font-size:'.$textlogo_fs.'px;';}
		if ( $textlogo_fstyle 	!= '' ){ $theCSS .= 'font-style:'.$textlogo_fstyle.';';}
		if ( $staticlogo_color 	!= '' ){ $theCSS .= 'color:'.$staticlogo_color.'!important;';}
		$theCSS .= '}';


	}
	// logo dimension var
	$nt_antidote_logoimg 	= ( ot_get_option( 'nt_antidote_nt_antidote_logoimg' ) );
	$nt_antidote_mobilelogo = ( ot_get_option( 'nt_antidote_mobilent_antidote_logoimg' ) );
	$nt_antidote_logo 		= ( ot_get_option( 'nt_antidote_logo_dimension', array() ) );
	$nt_antidote_logo_m 	= ( ot_get_option( 'nt_antidote_margin_logo', array() ) );
	$nt_antidote_logo_p 	= ( ot_get_option( 'nt_antidote_padding_logo', array() ) );


	// logo img width and height
	if(isset($nt_antidote_logo['unit']))   { $nt_antidote_logounit = $nt_antidote_logo['unit'];}else{ $nt_antidote_logounit = 'px'; }
	if(isset($nt_antidote_logo['width']))   { $theCSS .= '.nt-theme-logo img{ width:' . $nt_antidote_logo['width'] .''. $nt_antidote_logounit . ' !important; }'; }
	if(isset($nt_antidote_logo['height']))  { $theCSS .= '.nt-theme-logo img{ height:' . $nt_antidote_logo['height'] .''. $nt_antidote_logounit . ' !important; }'; }

	//logo  margin
	if(isset($nt_antidote_logo_m['unit']))   { $nt_antidote_logomarunit = $nt_antidote_logo_m['unit'];}else{ $nt_antidote_logomarunit = 'px'; }
	if(isset($nt_antidote_logo_m['top']))    { $theCSS .= '.nt-theme-logo img,.nt-theme-logo .text-logo{ margin-top:' . $nt_antidote_logo_m['top'] .''. $nt_antidote_logomarunit . ' !important; }'; }
	if(isset($nt_antidote_logo_m['bottom'])) { $theCSS .= '.nt-theme-logo img,.nt-theme-logo .text-logo{ margin-bottom:' . $nt_antidote_logo_m['bottom'] .''. $nt_antidote_logomarunit . ' !important; }'; }
	if(isset($nt_antidote_logo_m['right']))  { $theCSS .= '.nt-theme-logo img,.nt-theme-logo .text-logo{ margin-right:' . $nt_antidote_logo_m['right'] .''. $nt_antidote_logomarunit . ' !important; }'; }
	if(isset($nt_antidote_logo_m['left']))   { $theCSS .= '.nt-theme-logo img,.nt-theme-logo .text-logo{ margin-left:' . $nt_antidote_logo_m['left'] .''. $nt_antidote_logomarunit . ' !important; }'; }

	//logo padding
	if(isset($nt_antidote_logo_p['unit']))   { $nt_antidote_logopadunit = $nt_antidote_logo_p['unit'];}else{ $nt_antidote_logopadunit = 'px'; }
	if(isset($nt_antidote_logo_p['top']))    { $theCSS .= '.nt-theme-logo img,.nt-theme-logo .text-logo{ padding-top:' . $nt_antidote_logo_p['top'] .''. $nt_antidote_logopadunit . ' !important; }'; }
	if(isset($nt_antidote_logo_p['bottom'])) { $theCSS .= '.nt-theme-logo img,.nt-theme-logo .text-logo{ padding-bottom:' . $nt_antidote_logo_p['bottom'] .''. $nt_antidote_logopadunit . ' !important; }'; }
	if(isset($nt_antidote_logo_p['right']))  { $theCSS .= '.nt-theme-logo img,.nt-theme-logo .text-logo{ padding-right:' . $nt_antidote_logo_p['right'] .''. $nt_antidote_logopadunit . ' !important; }'; }
	if(isset($nt_antidote_logo_p['left']))   { $theCSS .= '.nt-theme-logo img,.nt-theme-logo .text-logo{ padding-left:' . $nt_antidote_logo_p['left'] .''. $nt_antidote_logopadunit . ' !important; }'; }

	// sidebar
    $sb_bg 					= esc_attr( ot_get_option( 'nt_antidote_sb_bg' ) );
    $sb_t_c 				= esc_attr( ot_get_option( 'nt_antidote_sb_tbc' ) );
    $sb_c 					= esc_attr( ot_get_option( 'nt_antidote_sb_tc' ) );
    $sb_tbbc 				= esc_attr( ot_get_option( 'nt_antidote_sb_tbbc' ) );
    $sb_l_c 				= esc_attr( ot_get_option( 'nt_antidote_sb_l_c' ) );
    $sb_l_c_h 				= esc_attr( ot_get_option( 'nt_antidote_sb_l_c_h' ) );
    $sb_s_t 				= esc_attr( ot_get_option( 'nt_antidote_sb_s_t' ) );
    $sb_s_bg 				= esc_attr( ot_get_option( 'nt_antidote_sb_s_bg' ) );
    $sb_s_b_t 				= esc_attr( ot_get_option( 'nt_antidote_sb_s_b_t' ) );
    $top_sifs 				= esc_attr( ot_get_option( 'nt_antidote_top_sifs' ) );

	if ( $sb_bg !='' ) 		{ $theCSS .= '.nt-theme-widget, .sidebar .widget{ background-color:' . $sb_bg . '!important;}'; }
	if ( $sb_t_c !='' ) 	{ $theCSS .= '.nt-theme-widget .widget-head{ background-color:' . $sb_t_c . '!important;}'; }
	if ( $sb_c !='' ) 		{ $theCSS .= '.nt-theme-widget .widget-head{ color:' . $sb_c . '!important;}'; }
	if ( $sb_tbbc !='' ) 	{ $theCSS .= '.nt-theme-widget .widget-head:after{ background:' . $sb_tbbc . '!important;}'; }
	if ( $sb_l_c !='' ) 	{ $theCSS .= '.nt-theme-widget .widget ul li a{ color:' . $sb_l_c . '!important;}'; }
	if ( $sb_l_c_h !='' ) 	{ $theCSS .= '.nt-theme-widget .widget ul li a:hover{ color:' . $sb_l_c_h . '!important;}'; }
	if ( $sb_s_t !='' ) 	{ $theCSS .= '.nt-theme-widget  .widget_search .input-submit:after{ color:' . $sb_s_t . '!important;}'; }
	if ( $sb_s_bg !='' ) 	{ $theCSS .= '.nt-theme-widget  .widget .search-form-input{ background-color:' . $sb_s_bg . '!important;}'; }
	if ( $sb_s_b_t !='' ) 	{ $theCSS .= '.nt-theme-widget  .widget .search-form-input{ border-color:' . $sb_s_b_t . '!important;}'; }
	if ( $top_sifs !='' ) 	{ $theCSS .= '.header-social-list li a{ font-size:' . $top_sifs . 'px!important;}'; }


	// BLOG HEADER
	$blog_h_bg 				= esc_attr( ot_get_option( 'nt_antidote_blog_header_bg' ) );
	$blog_bg_c 				= esc_attr( ot_get_option( 'nt_antidote_blog_header_bgcolor' ) );
	$blog_h_h 				= esc_attr( ot_get_option( 'nt_antidote_blog_header_height' ) );
	$blog_h_c 				= esc_attr( ot_get_option( 'nt_antidote_blog_heading_color' ) );
	$blog_h_fs 				= esc_attr( ot_get_option( 'nt_antidote_blog_heading_fontsize' ) );
	$blog_sub_h_c 			= esc_attr( ot_get_option( 'nt_antidote_blog_slogan_color' ) );
	$blog_sub_h_fs 			= esc_attr( ot_get_option( 'nt_antidote_blog_slogan_fontsize' ) );
	$blog_h_p_t 			= esc_attr( ot_get_option( 'nt_antidote_blog_header_ptop' ) );
	$blog_h_p_b 			= esc_attr( ot_get_option( 'nt_antidote_blog_header_pbottom' ) );


	if ( $blog_bg_c =='' ) 	{
		if ( $blog_h_bg !='' ) 	{
			$theCSS .= '.blog .page-title.fix{background: transparent url( ' . $blog_h_bg .')no-repeat fixed center top / cover!important; }';
		}
	}

	if ( $blog_bg_c !='' ) 			{ $theCSS .= '.blog .page-title { background-color: ' . $blog_bg_c .'!important; }';  }
	if ( $blog_h_h !='' ) 			{ $theCSS .= '.blog .page-title-content { min-height: ' . $blog_h_h .'vh !important; max-height: 100%; }';  }
	if ( $blog_h_c !='' ) 			{ $theCSS .= '.blog .page-title {color: ' . $blog_h_c .' !important; }';  }
	if ( $blog_h_fs !='' ) 			{ $theCSS .= '.blog .page-title {font-size: '.$blog_h_fs.'px!important; }';  }
	if ( $blog_sub_h_c !='' ) 		{ $theCSS .= '.blog .sub-title {color: '.$blog_sub_h_c.'!important; }';  }
	if ( $blog_sub_h_fs !='' ) 		{ $theCSS .= '.blog .sub-title {font-size: '.$blog_sub_h_fs.'px!important; }';  }
	if ( $blog_h_p_t !='' )     	{ $theCSS .= '.blog .page-title-content{ padding-top:'.$blog_h_p_t.'px!important; }'; }
	if ( $blog_h_p_b !='' )     	{ $theCSS .= '.blog .page-title-content{ padding-bottom:'.$blog_h_p_b.'px!important; }'; }


	// PAGE.PHP AND FULLWIDTH-PAGE.PHP HEADER - CUSTOM PAGE METABOX OPTIONS
	$nt_antidote_page_bg 			= 	wp_get_attachment_url( get_post_meta(get_the_ID(), 'nt_antidote_page_bg_image', true ),'full' );
	$nt_antidote_page_bg_color 		= 	esc_attr( get_post_meta(get_the_ID(), 'nt_antidote_page_bg_color', true ) );
	$nt_antidote_page_text_color 	= 	esc_attr( get_post_meta(get_the_ID(), 'nt_antidote_page_text_color', true ) );
	$nt_antidote_page_subtitle_color= 	esc_attr( get_post_meta(get_the_ID(), 'nt_antidote_page_subtitle_color', true ) );
	$nt_antidote_header_p_top 		= 	esc_attr( get_post_meta(get_the_ID(), 'nt_antidote_header_p_top', true ) );
	$nt_antidote_header_p_bottom 	= 	esc_attr( get_post_meta(get_the_ID(), 'nt_antidote_header_p_bottom', true ) );

	if ( $nt_antidote_page_bg !='' ) {
		$theCSS .= '.page-id-' . get_the_ID().'.page-title-content { background-image: url(' . esc_url( $nt_antidote_page_bg ) .') !important; }';
	}
	if ( $nt_antidote_page_bg_color !='' && $nt_antidote_page_bg =='' ) {
		$theCSS .= '.page-id-' . get_the_ID().'.page-title-content { background-image: none !important; }';
	}
	if ( $nt_antidote_page_bg_color !='' ) {
		$theCSS .= '.page-id-' . get_the_ID().'.page-title-content { background-color: ' . $nt_antidote_page_bg_color .' !important; }';
	}
	if ( $nt_antidote_page_text_color !='' ) {
		$theCSS .= '.page-id-' . get_the_ID().'.page-title { color: ' . $nt_antidote_page_text_color .' !important; }';
	}
	if ( $nt_antidote_page_subtitle_color !='' ) {
		$theCSS .= '.page-id-' . get_the_ID().'.page-title p { color: ' . $nt_antidote_page_subtitle_color .' !important; }';
	}
	if ( $nt_antidote_header_p_top !='' ) {
		$theCSS .= '.page-id-' . get_the_ID().'.page-title-content { padding-bottom : ' . $nt_antidote_header_p_top .'px !important; }';
	}
	if ( $nt_antidote_header_p_bottom !='' ) {
		$theCSS .= '.page-id-' . get_the_ID().'.page-title-content { padding-top : ' . $nt_antidote_header_p_bottom .'px !important; }';
	}


	// SINGLE POST
	if  ( ot_get_option( 'nt_antidote_single_headbg' ) !='' ){
    $theCSS .= '.single .page-title.fix{background: transparent url( '.  esc_attr( ot_get_option( 'nt_antidote_single_headbg' ) ) .')no-repeat fixed center top / cover!important; }';
    }
	if  ( ot_get_option( 'nt_antidote_single_header_bgcolor' ) !='' ){
    $theCSS .= '.single .page-title.fix{background-color: '.  esc_attr( ot_get_option( 'nt_antidote_single_header_bgcolor' ) ) .'; }';
    }
	if  ( ot_get_option( 'nt_antidote_singleheadingcolor' ) !='' ){
    $theCSS .= '.single .page-title{color: '.  esc_attr( ot_get_option( 'nt_antidote_singleheadingcolor' ) ) .'; }';
    }
	if  ( ot_get_option( 'nt_antidote_single_heading_fontsize' ) !='' ){
    $theCSS .= '.single .page-title{font-size: '.  esc_attr( ot_get_option( 'nt_antidote_single_heading_fontsize' ) ) .'px; }';
    }
	if  ( ot_get_option( 'nt_antidote_single_header_bgheight' ) !='' ){
    $theCSS .= '.single .page-title-content{height: '.  esc_attr( ot_get_option( 'nt_antidote_single_header_bgheight' ) ) .'vh !important; }';
    }
	if  (( ot_get_option( 'nt_antidote_single_header_paddingtop' ) !='' )||( ot_get_option( 'nt_antidote_single_header_paddingbottom' ) !='' )){
		$theCSS .= '@media (min-width: 768px){
			.single .page-title.fix{
				padding-top: '.  esc_attr( ot_get_option( 'nt_antidote_single_header_paddingtop' ) ) .'px !important;
				padding-bottom: '.  esc_attr( ot_get_option( 'nt_antidote_single_header_paddingbottom' ) ) .'px !important;
			}
		}';
    }

	// ARCHIVE PAGES
	if  ( ot_get_option( 'nt_antidote_archive_headbg' ) !='' ){
     $theCSS .= '.archive .page-title.fix{background: transparent url( '.  esc_attr( ot_get_option( 'nt_antidote_archive_headbg' ) ) .')no-repeat fixed center top / cover!important; }';
    }
	if  ( ot_get_option( 'nt_antidote_archive_header_bgcolor' ) !='' ){
     $theCSS .= '.archive .page-title.fix {background-color: '.  esc_attr( ot_get_option( 'nt_antidote_archive_header_bgcolor' ) ) .'; }';
    }
    if  ( ot_get_option( 'nt_antidote_archive_header_bgheight' ) !='' ){
       $theCSS .= '.archive .page-title.fix {height: '.  esc_attr( ot_get_option( 'nt_antidote_archive_header_bgheight' ) ) .'vh !important; }';
      }
  	if  (( ot_get_option( 'nt_antidote_archive_header_paddingtop' ) !='' )||( ot_get_option( 'nt_antidote_archive_header_paddingbottom' ) !='' )) {
  		$theCSS .= '@media (min-width: 768px){
  			.archive .page-title.fix  {
  				padding-top: '.  esc_attr( ot_get_option( 'nt_antidote_archive_header_paddingtop' ) ) .'px !important;
  				padding-bottom: '.  esc_attr( ot_get_option( 'nt_antidote_archive_header_paddingbottom' ) ) .'px !important;
  			}
  		}';
  	}
	if  ( ot_get_option( 'nt_antidote_archiveheadingcolor' ) !='' ){
     $theCSS .= '.archive .page-title{color: '.  esc_attr( ot_get_option( 'nt_antidote_archiveheadingcolor' ) ) .'; }';
	}
	if  ( ot_get_option( 'nt_antidote_archive_heading_fontsize' ) !='' ){
     $theCSS .= '.archive .page-title{font-size: '.  esc_attr( ot_get_option( 'nt_antidote_archive_heading_fontsize' ) ) .'px; }';
    }
  if  ( ot_get_option( 'nt_antidote_archive_subtitle_fontsize' ) !='' ){
    $theCSS .= '.archive .sub-title{font-size: '.  esc_attr( ot_get_option( 'nt_antidote_archive_subtitle_fontsize' ) ) .'px; }';
  }
  if  ( ot_get_option( 'nt_antidote_archivesubtitlecolor' ) !='' ){
    $theCSS .= '.archive .sub-title{color: '.  esc_attr( ot_get_option( 'nt_antidote_archivesubtitlecolor' ) ) .'; }';
  }


	// 404 PAGE
	if  ( ot_get_option( 'nt_antidote_error_headbg' ) !='' ){
     $theCSS .= '.error404 .page-title.fix{background: transparent url( '.  esc_attr( ot_get_option( 'nt_antidote_error_headbg' ) ) .')no-repeat fixed center top / cover!important; }';
    }
	if  ( ot_get_option( 'nt_antidote_error_header_bgcolor' ) !='' ){
     $theCSS .= '.error404 .page-title.fix{background-color: '.  esc_attr( ot_get_option( 'nt_antidote_error_header_bgcolor' ) ) .'; }';
    }
	if  ( ot_get_option( 'nt_antidote_errorheadingcolor' ) !='' ){
     $theCSS .= '.error404 .page-title{color: '.  esc_attr( ot_get_option( 'nt_antidote_errorheadingcolor' ) ) .'; }';
	}
	if  ( ot_get_option( 'nt_antidote_error_heading_fontsize' ) !='' ){
     $theCSS .= '.error404 .page-title{font-size: '.  esc_attr( ot_get_option( 'nt_antidote_error_heading_fontsize' ) ) .'px; }';
    }
    if  ( ot_get_option( 'nt_antidote_errorsubtitlecolor' ) !='' ){
       $theCSS .= '.error404 .sub-title{color: '.  esc_attr( ot_get_option( 'nt_antidote_errorsubtitlecolor' ) ) .'; }';
    }
    if  ( ot_get_option( 'nt_antidote_error_subtitle_fontsize' ) !='' ){
       $theCSS .= '.error404 .sub-title{font-size: '.  esc_attr( ot_get_option( 'nt_antidote_error_subtitle_fontsize' ) ) .'px; }';
      }
	if  ( ot_get_option( 'nt_antidote_error_header_bgheight' ) !='' ){
     $theCSS .= '.error404 .page-title.fix{height: '.  esc_attr( ot_get_option( 'nt_antidote_error_header_bgheight' ) ) .'vh !important; }';
    }
	if  (( ot_get_option( 'nt_antidote_error_header_paddingtop' ) !='' )||( ot_get_option( 'nt_antidote_error_header_paddingbottom' ) !='' )) {
		$theCSS .= '@media (min-width: 768px){
			.error404 .page-title.fix{
				padding-top: '.  esc_attr( ot_get_option( 'nt_antidote_error_header_paddingtop' ) ) .'px !important;
				padding-bottom: '.  esc_attr( ot_get_option( 'nt_antidote_error_header_paddingbottom' ) ) .'px !important;
			}
		}';
	}

	// SEARCH PAGE
	if  ( ot_get_option( 'nt_antidote_search_headbg' ) !='' ){
     $theCSS .= '.search .page-title.fix{background: transparent url( '.  esc_attr( ot_get_option( 'nt_antidote_search_headbg' ) ) .')no-repeat scroll center top / cover!important; }';
    }
	if  ( ot_get_option( 'nt_antidote_search_header_bgcolor' ) !='' ){
     $theCSS .= '.search .page-title.fix{background-color: '.  esc_attr( ot_get_option( 'nt_antidote_search_header_bgcolor' ) ) .'; }';
    }
	if  ( ot_get_option( 'nt_antidote_searchheadingcolor' ) !='' ){
     $theCSS .= '.search .page-title{color: '.  esc_attr( ot_get_option( 'nt_antidote_searchheadingcolor' ) ) .'; }';
	}
	if  ( ot_get_option( 'nt_antidote_search_heading_fontsize' ) !='' ){
     $theCSS .= '.search .page-title{font-size: '.  esc_attr( ot_get_option( 'nt_antidote_search_heading_fontsize' ) ) .'px; }';
    }
    if  ( ot_get_option( 'nt_antidote_searchsubtitlecolor' ) !='' ){
       $theCSS .= '.search .sub-title{color: '.  esc_attr( ot_get_option( 'nt_antidote_searchsubtitlecolor' ) ) .'; }';
  	}
  	if  ( ot_get_option( 'nt_antidote_search_subtitle_fontsize' ) !='' ){
       $theCSS .= '.search .sub-title{font-size: '.  esc_attr( ot_get_option( 'nt_antidote_search_subtitle_fontsize' ) ) .'px; }';
      }
	if  ( ot_get_option( 'nt_antidote_search_header_bgheight' ) !='' ){
     $theCSS .= '.search .page-title.fix{height: '.  esc_attr( ot_get_option( 'nt_antidote_search_header_bgheight' ) ) .'vh !important; }';
    }
	if  (( ot_get_option( 'nt_antidote_search_header_paddingtop' ) !='' )||( ot_get_option( 'nt_antidote_search_header_paddingbottom' ) !='' )) {
		$theCSS .= '@media (min-width: 768px){
			.search .page-title.fix{
				padding-top: '.  esc_attr( ot_get_option( 'nt_antidote_search_header_paddingtop' ) ) .'px !important;
				padding-bottom: '.  esc_attr( ot_get_option( 'nt_antidote_search_header_paddingbottom' ) ) .'px !important;
			}
		}';
	}

	// BREADCRUBMS
	if  ( ot_get_option( 'nt_antidote_blogbreadcrubmscolor' ) !='' ){
     $theCSS .= '.bread-crumb .bread-crumb span a span{color: '.  esc_attr( ot_get_option( 'nt_antidote_blogbreadcrubmscolor' ) ) .'!important; }';
	}
	if  ( ot_get_option( 'nt_antidote_blogbreadcrubmshovercolor' ) !='' ){
     $theCSS .= '.bread-crumb span a span:hover{color: '.  esc_attr( ot_get_option( 'nt_antidote_blogbreadcrubmshovercolor' ) ) .'!important; }';
	}
	if  ( ot_get_option( 'nt_antidote_blogbreadcrubmscurrentcolor' ) !='' ){
     $theCSS .= '.bread-crumb span {color: '.  esc_attr( ot_get_option( 'nt_antidote_blogbreadcrubmscurrentcolor' ) ) .'!important; }';
	}
	if  ( ot_get_option( 'nt_antidote_blogbreadcrubmsfontsize' ) !='' ){
     $theCSS .= '.bread-crumb{font-size: '.  esc_attr( ot_get_option( 'nt_antidote_blogbreadcrubmsfontsize' ) ) .'px!important; }';
	}

	// POSTS
	if  ( ot_get_option( 'nt_antidote_blogposttitlecolor' ) !='' ){
     $theCSS .= '.entry-title a{color: '.  esc_attr( ot_get_option( 'nt_antidote_blogposttitlecolor' ) ) .'; }';
	}
	if  ( ot_get_option( 'nt_antidote_blogposttitlhoverecolor' ) !='' ){
     $theCSS .= '.entry-title a:hover{color: '.  esc_attr( ot_get_option( 'nt_antidote_blogposttitlhoverecolor' ) ) .'; }';
    }
	if  ( ot_get_option( 'nt_antidote_blogmetacolor' ) !='' ){
     $theCSS .= '.entry-meta li{color: '.  esc_attr( ot_get_option( 'nt_antidote_blogmetacolor' ) ) .'; }';
    }
	if  ( ot_get_option( 'nt_antidote_blogmetalinktextcolor' ) !='' ){
     $theCSS .= '.entry-meta li a{color: '.  esc_attr( ot_get_option( 'nt_antidote_blogmetalinktextcolor' ) ) .'; }';
	}
	if  ( ot_get_option( 'nt_antidote_blogmetalinkhovercolor' ) !='' ){
     $theCSS .= '.entry-meta li a:hover{color: '.  esc_attr( ot_get_option( 'nt_antidote_blogmetalinkhovercolor' ) ) .'; }';
    }
	if  ( ot_get_option( 'nt_antidote_blogmetalinktextbgcolor' ) !='' ){
     $theCSS .= '.entry-meta li a{background-color: '.  esc_attr( ot_get_option( 'nt_antidote_blogmetalinktextbgcolor' ) ) .'; }';
    }
	if  ( ot_get_option( 'nt_antidote_blogmetalinktextbghovercolor' ) !='' ){
     $theCSS .= '.entry-meta li a:hover{background-color: '.  esc_attr( ot_get_option( 'nt_antidote_blogmetalinktextbghovercolor' ) ) .'; }';
    }
	if  ( ot_get_option( 'nt_antidote_blogpostparagraphcolor' ) !='' ){
     $theCSS .= '.text-content p{color: '.  esc_attr( ot_get_option( 'nt_antidote_blogpostparagraphcolor' ) ) .'; }';
	 $theCSS .= '.entry-content p{color:#000;}';
	}
	if  ( ot_get_option( 'nt_antidote_blogpostbuttonbgcolor' ) !='' ){
     $theCSS .= '.text-content .margin_30{background-color:'.  esc_attr( ot_get_option( 'nt_antidote_blogpostbuttonbgcolor' ) ) .';}';
    }
	if  ( ot_get_option( 'nt_antidote_blogpostbuttonbghovercolor' ) !='' ){
     $theCSS .= '.text-content .margin_30:hover{background-color:'.  esc_attr( ot_get_option( 'nt_antidote_blogpostbuttonbghovercolor' ) ) .';}';
    }
	if  ( ot_get_option( 'nt_antidote_blogpostbuttontitlecolor' ) !='' ){
     $theCSS .= '.text-content .margin_30{color:'.  esc_attr( ot_get_option( 'nt_antidote_blogpostbuttontitlecolor' ) ) .'!important;}';
    }
	if  ( ot_get_option( 'nt_antidote_blogpostbuttontitlehovercolor' ) !='' ){
     $theCSS .= '.text-content .margin_30:hover{color:'.  esc_attr( ot_get_option( 'nt_antidote_blogpostbuttontitlehovercolor' ) ) .'!important;}';
    }

	// SHARE BUTTONS
	if  ( ot_get_option( 'nt_antidote_blogsharebgcolor' ) !='' ){
     $theCSS .= '#share-buttons i{ background-color: '.  esc_attr( ot_get_option( 'nt_antidote_blogsharebgcolor' ) ) .'; }';
    }
	if  ( ot_get_option( 'nt_antidote_blogsharebghovercolor' ) !='' ){
    $theCSS .= ' #share-buttons i:hover{ background-color: '.  esc_attr( ot_get_option( 'nt_antidote_blogsharebghovercolor' ) ) .'; }';
    }
	if  ( ot_get_option( 'nt_antidote_blogsharecolor' ) !='' ){
     $theCSS .= '#share-buttons i{ color: '.  esc_attr( ot_get_option( 'nt_antidote_blogsharecolor' ) ) .'; }';
    }
	if  ( ot_get_option( 'nt_antidote_blogsharehovercolor' ) !='' ){
     $theCSS .= '#share-buttons i:hover{ color: '.  esc_attr( ot_get_option( 'nt_antidote_blogsharehovercolor' ) ) .'; }';
    }


	// PAGER
	if  ( ot_get_option( 'nt_antidote_pagertitlecolor' ) !='' ){
     $theCSS .= '.pager li a{color: '.  esc_attr( ot_get_option( 'nt_antidote_pagertitlecolor' ) ) .'; }';
	}
	if  ( ot_get_option( 'nt_antidote_pagertitlehovercolor' ) !='' ){
     $theCSS .= '.pager li a:hover{color: '.  esc_attr( ot_get_option( 'nt_antidote_pagertitlehovercolor' ) ) .'; }';
    }
	if  ( ot_get_option( 'nt_antidote_pagerbgcolor' ) !='' ){
     $theCSS .= '.pager li a{background-color: '.  esc_attr( ot_get_option( 'nt_antidote_pagerbgcolor' ) ) .'; }';
    }
	if  ( ot_get_option( 'nt_antidote_pagerbghovercolor' ) !='' ){
     $theCSS .= '.pager li a:hover{background-color: '.  esc_attr( ot_get_option( 'nt_antidote_pagerbghovercolor' ) ) .'; }';
	}


	// FOOTER WIDGETIZE OPTIONS
	$nt_antidote_fw_bg_c	= 	esc_attr( ot_get_option( 'nt_antidote_fw_bg_c' ) );
	$nt_antidote_fw_h_c		= 	esc_attr( ot_get_option( 'nt_antidote_fw_h_c' ) );
	$nt_antidote_fw_a_c		= 	esc_attr( ot_get_option( 'nt_antidote_fw_a_c' ) );
	$nt_antidote_fw_a_ch		= 	esc_attr( ot_get_option( 'nt_antidote_fw_a_ch' ) );
	$nt_antidote_fw_t_c		= 	esc_attr( ot_get_option( 'nt_antidote_fw_t_c' ) );

	// WIDGETIZE FOOTER
	if  ( $nt_antidote_fw_bg_c !='' ){
    $theCSS .= '#footer-area{ background-color: '. $nt_antidote_fw_bg_c .'; }';
    }
	if  ( $nt_antidote_fw_h_c !='' ){
     $theCSS .= 'footer .widget .widget-head{color: '. $nt_antidote_fw_h_c	.'!important; }';
	}
	if  ( $nt_antidote_fw_a_c ){
     $theCSS .= '#footer-area .widget ul li a{ color: '. $nt_antidote_fw_a_c .'!important; }';
	}
  if  ( $nt_antidote_fw_a_ch ){
     $theCSS .= '#footer-area .widget ul li a:hover{ color: '. $nt_antidote_fw_a_ch .'!important; }';
	}
	if  ( $nt_antidote_fw_t_c !='' ){
     $theCSS .= '#footer-area .widget .textwidget p{color: '. $nt_antidote_fw_t_c .'!important; }';
	}
  //MAİN FOOTER
	$nt_antidote_cb			= 	esc_attr( ot_get_option( 'nt_antidote_copyright_bg' ) );
	$nt_antidote_cc			= 	esc_attr( ot_get_option( 'nt_antidote_copyright_color' ) );
	$nt_antidote_clc		= 	esc_attr( ot_get_option( 'nt_antidote_copyright_link_color' ) );
	$nt_antidote_clhc		= 	esc_attr( ot_get_option( 'nt_antidote_copyright_link_h_color' ) );


	if ( $nt_antidote_cb !='' ) 	{
		$theCSS .= '.footer-bottom { background-color: '.  $nt_antidote_cb .'; }';
	}
	if ( $nt_antidote_cc !='' ) 	{
		$theCSS .= '.footer-bottom { color: '.  $nt_antidote_cc .'; }';
	}
	if ( $nt_antidote_clc !='' ) 	{
		$theCSS .= '.footer-bottom a ,.social-links ul li a{ color: '.  $nt_antidote_clc .'!important; }';
	}
	if ( $nt_antidote_clhc !='' ) 	{
		$theCSS .= '.footer-social a:hover, .footer_bottom copyright a:hover, .footer-logo.text-logo:hover,.social-links ul li a:hover,.footer-bottom .copyright a:hover{ color: '.  $nt_antidote_clhc .'!important; }';
	}


	// CUSTOM PRELOADER CSS
	if  ( ot_get_option('nt_antidote_prebgcolor')  !='' ) {
    $theCSS .= 'div#preloader{background-color: '.  ot_get_option('nt_antidote_prebgcolor') .'!important; }';

  }


    /* Add CSS to style.css */
    wp_add_inline_style( 'nt-antidote-custom-style', $theCSS );
	}

add_action( 'wp_enqueue_scripts', 'nt_antidote_css_options' );
