<?php

add_filter( 'rwmb_meta_boxes', 'nt_antidote_register_meta_boxes' );
function nt_antidote_register_meta_boxes( $meta_boxes ) {
$prefix = 'nt_antidote_';
$meta_boxes = array();


/* ----------------------------------------------------- */
// Page Settings
/* ----------------------------------------------------- */
	
$meta_boxes[] = array(
    'title'			=> esc_html__( 'Page Header Options', 'nt-antidote' ),
    'pages'			=> array( 'page' ),
    'clone-group'	=> 'my-clone-group','clone-group' => 'my-clone-group',
    'id'			=> 'page_general_settings',
	'context'		=> 'normal',
	'priority'		=> 'high',
	
	// onepage tab start
	'tabs'      => array(
	
		'p_topheader' 			=> array(
			'label' 			=> esc_html__( 'Topheader', 'nt-antidote' ),
			'icon'  			=> 'dashicons-admin-settings', 
		),	
		'page_heading' 			=> array(
			'label' 			=> esc_html__( 'Page Heading', 'nt-antidote' ),
			'icon'  			=> 'dashicons-admin-settings', 
		),
		'page_breadcrumb' 		=> array(
			'label' 			=> esc_html__( 'Page Breadcrumb', 'nt-antidote' ),
			'icon'  			=> 'dashicons-admin-settings', 
		),
		'page_layout'    		=> array(
			'label' 			=> esc_html__( 'Page Sidebar', 'nt-antidote' ),
			'icon'  			=> 'dashicons-admin-settings', 
		),

	),
	'tab_style'		=> 'left', // Tab style: 'default', 'box' or 'left'. Optional
	// onepage tab end
	'tab_wrapper'	=> true,

    'fields'		=> array(

/* ----------------------------------------------------- */
// Page Header Settings
/* ----------------------------------------------------- */

		// Topheader Settings
		array(
			'name'     		=> esc_html__( 'Page title container visibility', 'nt-antidote' ),
			'id'       		=> $prefix . "page_title_area",
			'type'     		=> 'select',
			'options'  		=> array(
					'' 		=> esc_html__( 'Select an options', 'nt-antidote' ),
					'show' 	=> esc_html__( 'Show', 'nt-antidote' ),
					'hide' 	=> esc_html__( 'Hide', 'nt-antidote' ),
			),
			'multiple'    	=> false,
			'std'         	=> 'show',
			'tab'  			=> 'p_topheader',
		),

		// Page Heading Settings
		array(
			'name'     		=> esc_html__( 'Alternate Page Title', 'nt-antidote' ),
			'id'       		=> $prefix . "disable_page_title",
			'type'     		=> 'select',
			'options'  		=> array(
							'' => esc_html__( 'Select title visibility', 'nt-antidote' ),
							'show' => esc_html__( 'Show', 'nt-antidote' ),
							'hide' => esc_html__( 'Hide', 'nt-antidote' ),
			),
			'multiple'    	=> false,
			'std'         	=> 'show',
			'tab'  			=> 'page_heading',
		),
		array(
			'name' 			=> esc_html__( 'Page Title', 'nt-antidote' ),
			'id'			=> $prefix . "page_title",
			'clone'			=> false,
			'type'			=> 'text',
			'tab'  			=> 'page_heading',
		),
		array(
			'name' 			=> esc_html__( 'Page Title color', 'nt-antidote' ),
			'id'			=> $prefix . "pagetitlecolor",
			'clone'			=> false,
			'type'			=> 'color',
			'tab'  			=> 'page_heading',
		),
		array(
			'name' 			=> esc_html__( 'Page Title font-size', 'nt-antidote' ),
			'id'   			=> $prefix . "pagetitlefontsize",
			'type' 			=> 'slider',
			'suffix' 		=> esc_html__( ' Pixel', 'nt-antidote' ),
			'js_options' 	=> array(
							'min'   => 0,
							'max'   => 100,
							'step'  => 1,
			),
			'std'  			=> 30,
			'tab'  			=> 'page_heading',
		),
		array(
			'name' 			=> esc_html__( 'Title margin bottom', 'nt-antidote' ),
			'id'   			=> $prefix . "title_margin_bottom",
			'type' 			=> 'slider',
			'suffix' 		=> esc_html__( ' Pixel', 'nt-antidote' ),
			'js_options' 	=> array(
							'min'   => 0,
							'max'   => 500,
							'step'  => 1,
			),
			'std'  			=> 0,
			'tab'  			=> 'page_heading',
		),
		array(
			'type' 			=> 'divider',
			'id'   			=> 'fake_divider_15', // Not used, but needed
			'tab'  			=> 'page_heading',
		),
		array(
			'name'     		=> esc_html__( 'Alternate Subtitle', 'nt-antidote' ),
			'id'       		=> $prefix . "disable_subtitle",
			'type'     		=> 'select',
			'options'  		=> array(
							'' => esc_html__( 'Select title visibility', 'nt-antidote' ),
							'show' => esc_html__( 'Show', 'nt-antidote' ),
							'hide' => esc_html__( 'Hide', 'nt-antidote' ),
			),
			'multiple'    	=> false,
			'std'         	=> 'show',
			'tab'  			=> 'page_heading',
		),
		array(
			'name' 			=> esc_html__( 'Page Subtitle', 'nt-antidote' ),
			'id'			=> $prefix . "page_subtitle",
			'clone'			=> false,
			'type'			=> 'text',
			'std'			=> 'know more about us',
			'tab'  			=> 'page_heading',
		),
		array(
			'name' 			=> esc_html__( 'Page Title font-size', 'nt-antidote' ),
			'id'   			=> $prefix . "pagesubtitlefontsize",
			'type' 			=> 'slider',
			'suffix' 		=> esc_html__( ' Pixel', 'nt-antidote' ),
			'js_options' 	=> array(
							'min'   => 0,
							'max'   => 100,
							'step'  => 1,
			),
			'std'  			=> 12,
			'tab'  			=> 'page_heading',
		),
		array(
			'name' 			=> esc_html__( 'Subtitle color', 'nt-antidote' ),
			'id'			=> $prefix . "page_subtitlecolor",
			'clone'			=> false,
			'type'			=> 'color',
			'tab'  			=> 'page_heading',
		),

		// Page Breadcrumb Settings
		array(
			'name'     		=> esc_html__( 'Page Breadcrumb Visibility', 'nt-antidote' ),
			'id'       		=> $prefix . "disable_breadcrumb",
			'type'     		=> 'select',
			'options'  		=> array(
							'show' 	=> esc_html__( 'Show Breadcrumb', 'nt-antidote' ),
							'hide'  => esc_html__( 'Hide Breadcrumb', 'nt-antidote' )
			),
			'multiple'    	=> false,
			'std'         	=> 'show',
			'tab'  			=> 'page_breadcrumb',
		),

		// Page Sidebar Settings
		array(
			'name'     		=> esc_html__( 'Page sidebar', 'nt-antidote' ),
			'id'       		=> $prefix . "pagelayout",
			'type'     		=> 'select',
			'options'  		=> array(
						'left-sidebar' 	=> esc_html__( 'left', 'nt-antidote' ),
						'right-sidebar' => esc_html__( 'right', 'nt-antidote' ),
						'full-width' 	=> esc_html__( 'full-width ( no-sidebar )', 'nt-antidote' ),
			),
			'multiple'  	=> false,
			'std'       	=> 'right-sidebar',
			'tab'  			=> 'page_layout',
		),

		array(
			'type' 			=> 'divider',
			'id'   			=> 'fake_divider_6', // Not used, but needed
			'tab'  			=> 'page_layout',
		),
		
		array(
			'type' 			=> 'heading',
			'name' 			=> esc_html__( 'INFO', 'nt-antidote' ),
			'desc' 			=> esc_html__( 'This options is only compatible with Default Template', 'nt-antidote' ),
			'tab'  			=> 'page_layout',
		),

	),
);


/* ----------------------------------------------------- */
// PRICE PLUGINS SETTINGS
/* ----------------------------------------------------- */

$meta_boxes[] = array(
	'id' 		=> 'eventssettings',
	'title' 	=> esc_html__('Price table', 'nt-antidote'),
	'pages' 	=> array( 'price' ),
	'context' 	=> 'normal',
	'priority' 	=> 'high',

	// List of meta fields
	'fields' => array(

		array(
			'name' 		=> esc_html__('Select pricing pack', 'nt-antidote'),
			'id'		=> $prefix . "price_categories",
			'type'		=> 'select',
			'options'	=> array(
						'normal'	=> esc_html__( 'Normal', 'nt-antidote' ),
						'active' 	=> esc_html__( 'Popular', 'nt-antidote' )
			),
			'multiple'	=> false,
			'std'		=> 'normal'
		),
		
		array(
			'name' 		=> esc_html__('Price pack name', 'nt-antidote'),
			'id'		=> $prefix . "packname",
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> 'Basic'
		),
		array(
			'name' 		=> esc_html__('Price amount', 'nt-antidote'),
			'id'		=> $prefix . "priceamount",
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> '$250'
		),
		array(
			'name' 		=> esc_html__('Price period', 'nt-antidote'),
			'id'		=> $prefix . "priceperiod",
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> 'per month'
		),

		array(
			'name' 		=> esc_html__('Table Features List', 'nt-antidote'),
			'desc'  	=> esc_html__( 'Format: 140GB or any text', 'nt-antidote' ),
			'id'    	=> $prefix . 'features_list',
			'type'  	=> 'text',
			'std'   	=> '25 theme included',
			'class' 	=> 'custom-class',
			'clone' 	=> true,
			'sort_clone' 	=> true,
			'clone-group' => 'my-clone-group','clone-group' => 'my-clone-group',
        ),

		// responsive opt

		array(
			'type' 			=> 'divider',
			'id'   			=> 'fake_divider_7', // Not used, but needed
		),
		array(
			'name'		=> esc_html__( 'Mobile column size', 'nt-antidote' ),
			'id'		=> $prefix . "column_mobile",
			'type'		=> 'select',
			'multiple'	=> false,
			'std'		=> 'col-sm-6',
			'options'	=> array(
						''				=> esc_html__( 'Use Custom Column', 'nt-antidote' ),
						'col-sm-1'		=> esc_html__( 'col-sm-1', 'nt-antidote' ),
						'col-sm-2'		=> esc_html__( 'col-sm-2', 'nt-antidote' ),
						'col-sm-3'		=> esc_html__( 'col-sm-3', 'nt-antidote' ),
						'col-sm-4'		=> esc_html__( 'col-sm-4', 'nt-antidote' ),
						'col-sm-5'		=> esc_html__( 'col-sm-5', 'nt-antidote' ),
						'col-sm-6'		=> esc_html__( 'col-sm-6', 'nt-antidote' ),
						'col-sm-7'		=> esc_html__( 'col-sm-7', 'nt-antidote' ),
						'col-sm-8'		=> esc_html__( 'col-sm-8', 'nt-antidote' ),
						'col-sm-9'		=> esc_html__( 'col-sm-9', 'nt-antidote' ),
						'col-sm-10'		=> esc_html__( 'col-sm-10', 'nt-antidote' ),
						'col-sm-11'		=> esc_html__( 'col-sm-11', 'nt-antidote' ),
						'col-sm-12'		=> esc_html__( 'col-sm-12', 'nt-antidote' ),
			)
		),

		array(
			'name'		=> esc_html__( 'Desktop column size', 'nt-antidote' ),
			'id'		=> $prefix . "column_desk",
			'type'		=> 'select',
			'multiple'	=> false,
			'std'		=> 'col-md-3',
			'options'	=> array(
						''				=> esc_html__( 'Use Custom Column', 'nt-antidote' ),
						'col-md-1'		=> esc_html__( 'col-md-1', 'nt-antidote' ),
						'col-md-2'		=> esc_html__( 'col-md-2', 'nt-antidote' ),
						'col-md-3'		=> esc_html__( 'col-md-3', 'nt-antidote' ),
						'col-md-4'		=> esc_html__( 'col-md-4', 'nt-antidote' ),
						'col-md-5'		=> esc_html__( 'col-md-5', 'nt-antidote' ),
						'col-md-6'		=> esc_html__( 'col-md-6', 'nt-antidote' ),
						'col-md-7'		=> esc_html__( 'col-md-7', 'nt-antidote' ),
						'col-md-8'		=> esc_html__( 'col-md-8', 'nt-antidote' ),
						'col-md-9'		=> esc_html__( 'col-md-9', 'nt-antidote' ),
						'col-md-10'		=> esc_html__( 'col-md-10', 'nt-antidote' ),
						'col-md-11'		=> esc_html__( 'col-md-11', 'nt-antidote' ),
						'col-md-12'		=> esc_html__( 'col-md-12', 'nt-antidote' ),
			)
		),

		array(
			'name'		=> esc_html__( 'Column offset size for desktop', 'nt-antidote' ),
			'id'		=> $prefix . "column_offset",
			'type'		=> 'select',
			'multiple'	=> false,
			'std'		=> 'col-md-offset-0',
			'options'	=> array(
						'col-md-offset-0'		=> esc_html__( 'offset-0', 'nt-antidote' ),
						'col-md-offset-1'		=> esc_html__( 'offset-1', 'nt-antidote' ),
						'col-md-offset-2'		=> esc_html__( 'offset-2', 'nt-antidote' ),
						'col-md-offset-3'		=> esc_html__( 'offset-3', 'nt-antidote' ),
						'col-md-offset-4'		=> esc_html__( 'offset-4', 'nt-antidote' ),
						'col-md-offset-5'		=> esc_html__( 'offset-5', 'nt-antidote' ),
						'col-md-offset-6'		=> esc_html__( 'offset-6', 'nt-antidote' ),
						'col-md-offset-7'		=> esc_html__( 'offset-7', 'nt-antidote' ),
						'col-md-offset-8'		=> esc_html__( 'offset-8', 'nt-antidote' ),
						'col-md-offset-9'		=> esc_html__( 'offset-9', 'nt-antidote' ),
						'col-md-offset-10'		=> esc_html__( 'offset-10', 'nt-antidote' ),
						'col-md-offset-11'		=> esc_html__( 'offset-11', 'nt-antidote' ),
						'col-md-offset-12'		=> esc_html__( 'offset-12', 'nt-antidote' ),
			)
		),

	)
);


/* ----------------------------------------------------- */
// TEAM PLUGINS SETTINGS
/* ----------------------------------------------------- */

$meta_boxes[] = array(
	'title' 		=> esc_html__( 'Team Details', 'nt-antidote' ),
	'pages'    		=> array( 'team' ),
	'id' 			=> 'mm_review',
	'context'     	=> 'normal',
	'priority'    	=> 'high',
	'fields' 		=> array(

		array(
			'name' 		=> esc_html__('Team Job', 'nt-antidote'),
			'id'		=> $prefix . "team_job",
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> 'Developer'
		),

		array(
			'name' 		=> esc_html__('Team image size', 'nt-antidote'),
			'id'		=> $prefix . "team_image_size",
			'clone'		=> false,
			'type'		=> 'text',
			'desc'		=> 'Add your custom image size for auto-crop.Default image size : 100',
			'std'		=> '100'
		),

		// responsive opt

		array(
			'type' 			=> 'divider',
			'id'   			=> 'fake_divider_7', // Not used, but needed
		),
		array(
			'name'		=> 'Mobile column size',
			'id'		=> $prefix . "column_mobile",
			'type'		=> 'select',
			'multiple'	=> false,
			'std'		=> 'col-sm-6',
			'options'	=> array(
						''				=> esc_html__( 'Use Custom Column', 'nt-antidote' ),
						'col-sm-1'		=> esc_html__( 'col-sm-1', 'nt-antidote' ),
						'col-sm-2'		=> esc_html__( 'col-sm-2', 'nt-antidote' ),
						'col-sm-3'		=> esc_html__( 'col-sm-3', 'nt-antidote' ),
						'col-sm-4'		=> esc_html__( 'col-sm-4', 'nt-antidote' ),
						'col-sm-5'		=> esc_html__( 'col-sm-5', 'nt-antidote' ),
						'col-sm-6'		=> esc_html__( 'col-sm-6', 'nt-antidote' ),
						'col-sm-7'		=> esc_html__( 'col-sm-7', 'nt-antidote' ),
						'col-sm-8'		=> esc_html__( 'col-sm-8', 'nt-antidote' ),
						'col-sm-9'		=> esc_html__( 'col-sm-9', 'nt-antidote' ),
						'col-sm-10'		=> esc_html__( 'col-sm-10', 'nt-antidote' ),
						'col-sm-11'		=> esc_html__( 'col-sm-11', 'nt-antidote' ),
						'col-sm-12'		=> esc_html__( 'col-sm-12', 'nt-antidote' ),
			)
		),

		array(
			'name'		=> 'Desktop column size',
			'id'		=> $prefix . "column_desk",
			'type'		=> 'select',
			'multiple'	=> false,
			'std'		=> 'col-md-4',
			'options'	=> array(
						''				=> esc_html__( 'Use Custom Column', 'nt-antidote' ),
						'col-md-1'		=> esc_html__( 'col-md-1', 'nt-antidote' ),
						'col-md-2'		=> esc_html__( 'col-md-2', 'nt-antidote' ),
						'col-md-3'		=> esc_html__( 'col-md-3', 'nt-antidote' ),
						'col-md-4'		=> esc_html__( 'col-md-4', 'nt-antidote' ),
						'col-md-5'		=> esc_html__( 'col-md-5', 'nt-antidote' ),
						'col-md-6'		=> esc_html__( 'col-md-6', 'nt-antidote' ),
						'col-md-7'		=> esc_html__( 'col-md-7', 'nt-antidote' ),
						'col-md-8'		=> esc_html__( 'col-md-8', 'nt-antidote' ),
						'col-md-9'		=> esc_html__( 'col-md-9', 'nt-antidote' ),
						'col-md-10'		=> esc_html__( 'col-md-10', 'nt-antidote' ),
						'col-md-11'		=> esc_html__( 'col-md-11', 'nt-antidote' ),
						'col-md-12'		=> esc_html__( 'col-md-12', 'nt-antidote' ),
			)
		),

		array(
			'name'		=> 'Column offset size for desktop',
			'id'		=> $prefix . "column_offset",
			'type'		=> 'select',
			'multiple'	=> false,
			'std'		=> 'col-md-offset-0',
			'options'	=> array(
						'col-md-offset-0'		=> esc_html__( 'offset-0', 'nt-antidote' ),
						'col-md-offset-1'		=> esc_html__( 'offset-1', 'nt-antidote' ),
						'col-md-offset-2'		=> esc_html__( 'offset-2', 'nt-antidote' ),
						'col-md-offset-3'		=> esc_html__( 'offset-3', 'nt-antidote' ),
						'col-md-offset-4'		=> esc_html__( 'offset-4', 'nt-antidote' ),
						'col-md-offset-5'		=> esc_html__( 'offset-5', 'nt-antidote' ),
						'col-md-offset-6'		=> esc_html__( 'offset-6', 'nt-antidote' ),
						'col-md-offset-7'		=> esc_html__( 'offset-7', 'nt-antidote' ),
						'col-md-offset-8'		=> esc_html__( 'offset-8', 'nt-antidote' ),
						'col-md-offset-9'		=> esc_html__( 'offset-9', 'nt-antidote' ),
						'col-md-offset-10'		=> esc_html__( 'offset-10', 'nt-antidote' ),
						'col-md-offset-11'		=> esc_html__( 'offset-11', 'nt-antidote' ),
						'col-md-offset-12'		=> esc_html__( 'offset-12', 'nt-antidote' ),
			)
		),
		
	),
);


/*-----------------------------------------------------------------------------------*/
/*  METABOXES FOR BLOG POSTS
/*-----------------------------------------------------------------------------------*/

	//Gallery Post Format
    $meta_boxes[] = array(
        'title'    => esc_html__('Gallery Settings', 'nt-antidote'),
        'pages'    => array('post'),
        'fields' => array(
            array(
                'name' => esc_html__('Select Images', 'nt-antidote'),
                'desc' => esc_html__('Select the images from the media library or upload your new ones.', 'nt-antidote'),
                'id'   => $prefix . 'gallery_image',
                'type' => 'image_advanced',
            ),

        )
    );

	//Link Post Format
    $meta_boxes[] = array(
        'title'    	=> esc_html__('Link Settings', 'nt-antidote'),
        'pages'    	=> array('post'),
        'fields' 	=> array(
            array(
                'name' => esc_html__('Link text', 'nt-antidote'),
                'desc' => esc_html__('Enter linkable text', 'nt-antidote'),
                'id'   => $prefix . 'link_text',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('The URL', 'nt-antidote'),
                'desc' => esc_html__('Insert the URL you wish to link to.', 'nt-antidote'),
                'id'   => $prefix . 'the_link',
                'type' => 'textarea',
            ),
            array(
                'name' => esc_html__('Background Color', 'nt-antidote'),
                'desc' => esc_html__('Choose the background color for this link.', 'nt-antidote'),
                'id'   => $prefix . 'link_bg',
                'type' => 'color',
                'std'  => '#000000'
            ),
            array(
                'name' => esc_html__('Background Opacity', 'nt-antidote'),
                'desc' => esc_html__('Choose the opacity of the background color.', 'nt-antidote'),
                'id'   => $prefix . 'link_bg_opacity',
                'type' => 'text',
                'std'  => 80
            ),

        )
    );

	//Image Post Format
    $meta_boxes[] = array(
        'title'    => esc_html__('Image Settings', 'nt-antidote'),
        'pages'    => array('post'),
        'fields'   => array(
            array(
                'name' => esc_html__('Image URL type', 'nt-antidote'),
                'desc' => esc_html__('Check this to enable the lightbox.', 'nt-antidote'),
                'id'   => $prefix . 'image_urltype',
                'type' => 'select',
                'options'  => array(
					'lightbox' 	 	=> esc_html__( 'Lightbox image', 'nt-antidote' ),
					'externallink' 	=> esc_html__( 'External link', 'nt-antidote' ),
                ),
                'multiple'    => false,
                'std'         => 'Yes'
            ),
            array(
                'name' => esc_html__('Enter URL', 'nt-antidote'),
                'desc' => esc_html__('Insert the url for the image.', 'nt-antidote'),
                'id'   => $prefix . 'the_image_url',
                'type' => 'text',
            ),

        )
    );

	//Quote Post Format
    $meta_boxes[] = array(
        'title'    => esc_html__('Quote Settings', 'nt-antidote'),
        'pages'    => array('post'),
        'fields'   => array(
            array(
                'name' => esc_html__('The Quote', 'nt-antidote'),
                'desc' => esc_html__('Write your quote in this field.', 'nt-antidote'),
                'id'   => $prefix . 'quote_text',
                'type' => 'textarea',
                'rows' => 5
            ),
            array(
                'name' => esc_html__('The Author', 'nt-antidote'),
                'desc' => esc_html__('Enter the name of the author of this quote.', 'nt-antidote'),
                'id'   => $prefix . 'quote_author',
                'type' => 'text'
            ),
            array(
                'name' => esc_html__('Background Color', 'nt-antidote'),
                'desc' => esc_html__('Choose the background color for this quote.', 'nt-antidote'),
                'id'   => $prefix . 'quote_bg',
                'type' => 'color'
            ),
            array(
                'name' => esc_html__('Background Opacity', 'nt-antidote'),
                'desc' => esc_html__('Choose the opacity of the background color.', 'nt-antidote'),
                'id'   => $prefix . 'quote_bg_opacity',
                'type' => 'text',
                'std'  => 80
            ),
        )
    );

	//Video Post Format 
    $meta_boxes[] = array(
        'title'    => esc_html__('Video Settings', 'nt-antidote'),
        'pages'    => array('post'),
        'fields'   => array(
            array(
            'type' => 'heading',
            'name' => esc_html__( 'These settings enable you to embed videos into your posts. Note that for video, you must supply an M4V file to satisfy both HTML5 and Flash solutions. The optional OGV format is used to increase x-browser support for HTML5 browsers such as Firefox and Opera. For the poster, you can select a featured image.', 'nt-antidote' ),
            'id'   => 'video_head'
            ),
            array(
                'name' => esc_html__('M4V File URL', 'nt-antidote'),
                'desc' => esc_html__('The URL to the .m4v video file.', 'nt-antidote'),
                'id'   => $prefix . 'video_m4v',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('OGV File URL', 'nt-antidote'),
                'desc' => esc_html__('The URL to the .ogv video file.', 'nt-antidote'),
                'id'   => $prefix . 'video_ogv',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('WEBM File URL', 'nt-antidote'),
                'desc' => esc_html__('The URL to the .webm video file.', 'nt-antidote'),
                'id'   => $prefix . 'video_webm',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('Embeded Code', 'nt-antidote'),
                'desc' => esc_html__('Add your embed code for this video.', 'nt-antidote'),
                'id'   => $prefix . 'video_embed',
                'type' => 'textarea',
                'rows' => 8
            ),
        )
    );

	//Audio Post Format 
    $meta_boxes[] = array(
        'title'    => esc_html__('Audio Settings', 'nt-antidote'),
        'pages'    => array('post'),
        'fields'   => array(
            array(
            'type' => 'heading',
            'name' => esc_html__( 'These settings enable you to embed audio in your posts. Note that for audio, you must supply both MP3 and OGG files to satisfy all browsers. For poster you can select a featured image.', 'nt-antidote' ),
            'id'   => 'audio_head'
            ),
			
            array(
                'name' => esc_html__('SoundCloud', 'nt-antidote'),
                'desc' => esc_html__('Enter the url of the soundcloud audio.', 'nt-antidote'),
                'id'   => $prefix . 'audio_sc',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('Color', 'nt-antidote'),
                'desc' => esc_html__('Choose the color.', 'nt-antidote'),
                'id'   => $prefix . 'audio_sc_color',
                'type' => 'color',
                'std'  => '#ff7700'
            ),
			array(
				'type' 	=> 'divider',
				'id'   	=> 'audio_divider', // Not used, but needed
			),

            array(
                'name' => esc_html__('MP3 File URL', 'nt-antidote'),
                'desc' => esc_html__('The URL to the .mp3 audio file.', 'nt-antidote'),
                'id'   => $prefix . 'audio_mp3',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__('OGA File URL', 'nt-antidote'),
                'desc' => esc_html__('The URL to the .oga, .ogg audio file.', 'nt-antidote'),
                'id'   => $prefix . 'audio_ogg',
                'type' => 'text',
            ),
        )
    );

    //Status Post Format 

    $meta_boxes[] = array(
        'title'    => esc_html__('Status Settings', 'nt-antidote'),
        'pages'    => array('post'),
        'fields'   => array(
            array(
                'name' => esc_html__('Style', 'nt-antidote'),
                'desc' => esc_html__('Select status style.', 'nt-antidote'),
                'id'   => $prefix . 'status_style',
                'type' => 'select',
                'options'  => array(
                    'value1' => esc_html__( 'Normal', 'nt-antidote' ),
                    'value2' => esc_html__( 'Background', 'nt-antidote' ),
                ),
                'multiple'    => false,
                'std'         => 'Static'
            ),
            array(
                'name' => esc_html__('Background Color', 'nt-antidote'),
                'desc' => esc_html__('Choose the background color for this status.', 'nt-antidote'),
                'id'   => $prefix . 'status_bg',
                'type' => 'color',
                'std'  => '#d5d85f'
            ),
            array(
                'name' => esc_html__('Background Opacity', 'nt-antidote'),
                'desc' => esc_html__('Choose the opacity of the background color.', 'nt-antidote'),
                'id'   => $prefix . 'status_bg_opacity',
                'type' => 'text',
                'std'  => 80
            ),

        )
    );
	//General Post Settings
    $meta_boxes[] = array(
        'title'    => esc_html__('Post Customize Settings', 'nt-antidote'),
        'pages'    => array('post'),
        'fields' => array(

            array(
                'name' => esc_html__('Show Meta Information', 'nt-antidote'),
                'desc' => esc_html__('Check this to show metadata.', 'nt-antidote'),
                'id'   => $prefix . 'show_meta',
                'type' => 'select',
                'options'  => array(
                    'show' => esc_html__( 'Yes', 'nt-antidote' ),
                    'hide' => esc_html__( 'No', 'nt-antidote' ),
                ),
                'multiple'    => false,
                'std'         => 'show',
            ),
        )
    );
  //end
 return $meta_boxes;
}

function nt_antidote_admin_scripts() {
    wp_register_script( 'nt_antidote_custom_admin', 		get_template_directory_uri() . '/js/jquery.custom.admin.js');
    wp_enqueue_script(  'nt_antidote_custom_admin');
}
add_action('admin_print_scripts', 'nt_antidote_admin_scripts');

?>