<?php
function nt_antidote_allowed_html() {

	$allowed_tags = array(
		'a' => array(
			'class' => array(),
			'href'  => array(),
			'rel'   => array(),
			'title' => array(),
			'target' => array(),
		),
		'abbr' => array(
			'title' => array(),
		),
		'iframe' => array(
			'src' => array(),
			'width' => array(),
			'height' => array(),
		),
		'b' => array(),
		'br' => array(),
		'blockquote' => array(
			'cite'  => array(),
		),
		'cite' => array(
			'title' => array(),
		),
		'code' => array(),
		'del' => array(
			'datetime' => array(),
			'title' => array(),
		),
		'dd' => array(),
		'div' => array(
			'class' => array(),
			'title' => array(),
			'style' => array(),
		),
		'dl' => array(),
		'dt' => array(),
		'em' => array(),
		'h1' => array(),
		'h2' => array(),
		'h3' => array(),
		'h4' => array(),
		'h5' => array(),
		'h6' => array(),
		'i' => array(),
		'img' => array(
			'alt'    => array(),
			'class'  => array(),
			'height' => array(),
			'src'    => array(),
			'width'  => array(),
		),
		'li' => array(
			'class' => array(),
		),
		'ol' => array(
			'class' => array(),
		),
		'p' => array(
			'class' => array(),
		),
		'q' => array(
			'cite' => array(),
			'title' => array(),
		),
		'span' => array(
			'class' => array(),
			'title' => array(),
			'style' => array(),
		),
		'strike' => array(),
		'strong' => array(),
		'ul' => array(
			'class' => array(),
		),
	);

	return $allowed_tags;
}
// site default menu
if ( ! function_exists( 'nt_antidote_site_defaultmenu' ) ) :
	function nt_antidote_site_defaultmenu() { ?>

		<div class="container">
			<div class="row">
				<div class="nt-main-menu-container">
					<nav class="navigation-menus">
						<?php
							wp_nav_menu( array(
								'menu'              => 'main-menu',
								'theme_location'    => 'primary',
								'depth'             => 4,
								'container'         => '',
								'container_class'   => '',
								'menu_class'        => 'mobile-menu nav navbar-nav',
								'menu_id'		    => 'main-menu',
								'echo' 				=> true,
								'fallback_cb'       => 'nt_antidote_Wp_Bootstrap_Navwalker::fallback',
								'walker'            => new nt_antidote_Wp_Bootstrap_Navwalker()
							));
						?>
					</nav>
					<!-- navigation free quote button -->
					<?php do_action( 'nt_antidote_nav_free_quote' ); ?>

				</div>
			</div>
		</div>
<?php }
endif;
add_action('nt_antidote_menu',  'nt_antidote_site_defaultmenu');


// nav_free_quote
if ( ! function_exists( 'nt_antidote_site_nav_free_quote' ) ) :

	function nt_antidote_site_nav_free_quote() {

		// nav button for free quote
		$nt_antidote_nav_free_quote_btn_show 	= ot_get_option( 'nt_antidote_nav_free_quote_btn_show' );
		$nt_antidote_nav_free_quote_url 		= ot_get_option( 'nt_antidote_nav_free_quote_url' );
		$nt_antidote_nav_free_quote_btn 		= ot_get_option( 'nt_antidote_nav_free_quote_btn' );
		$nt_antidote_nav_free_quote_btn_t 		= ot_get_option( 'nt_antidote_nav_free_quote_btn_target' );

		if ( $nt_antidote_nav_free_quote_btn_show != 'off' ) {
			if ( $nt_antidote_nav_free_quote_btn != '' ) { ?>
				<a href="<?php echo esc_url( $nt_antidote_nav_free_quote_url ); ?>" target="<?php echo esc_attr( $nt_antidote_nav_free_quote_btn_t ); ?>" class="menu-button button-hover menu-custom-btn"><?php echo esc_html( $nt_antidote_nav_free_quote_btn ); ?></a>
	<?php	}
		}
	}

endif;

add_action('nt_antidote_nav_free_quote',  'nt_antidote_site_nav_free_quote');



// megamenu
if ( ! function_exists( 'nt_antidote_site_megamenu' ) ) :

	function nt_antidote_site_megamenu() { ?>

			<div class="container">
				<div class="row">
					<div class="nt-main-menu-container">
						<nav class="navigation-menus">
							<?php if ( function_exists( 'lmmmenu' ) ) : ?>
							 <?php lmmmenu(array(
								'theme_location' => 'primary'
							 )); ?>
							<?php endif; ?>
						</nav>
					</div>
				</div>
			</div>

<?php }
endif;

add_action('nt_antidote_megamenu',  'nt_antidote_site_megamenu');


// breadcrumb
if ( ! function_exists( 'nt_antidote_site_breadcumb' ) ) :

	function nt_antidote_site_breadcumb() { ?>

		<div class="bread-crumb">
			<?php if ( function_exists( 'bcn_display' ) ) : ?>
				<ul>
					<li><?php bcn_display(); ?></li>
				</ul>
			<?php else : ?>

				<?php if ( function_exists( 'nt_antidote_breadcrubms' ) ) : ?>
					<ul>
						<li><?php nt_antidote_breadcrubms(); ?></li>
					</ul>
				<?php endif; ?>
			<?php endif; ?>
		</div>

<?php }
endif;

add_action('nt_antidote_breadcumb',  'nt_antidote_site_breadcumb');


// header mini
if ( ! function_exists( 'nt_antidote_header_top_section' ) ) :
	function nt_antidote_header_top_section() {
	if ( ot_get_option( 'nt_antidote_header_mini_display' ) =='on' )  {

	$nt_antidote_h_t_slogan 		= 	ot_get_option( 'nt_antidote_h_t_slogan' );
	$nt_antidote_h_t_slogan_c 		= 	$nt_antidote_h_t_slogan !='' ? $nt_antidote_h_t_slogan : 'Welcome visitor!';
	$nt_antidote_header_top_social 	= 	ot_get_option( 'nt_antidote_htsicons' );
?>
		<div class="header-mini-area">
			<div class="container">
				<div class="row">

					<div class="col-lg-9 col-md-9 col-sm-9 col-xs-12 mobile-centered">
						<?php  if ( $nt_antidote_h_t_slogan_c != '' ) { ?>
							<span class="header-slogan float-left"><?php echo wp_kses( $nt_antidote_h_t_slogan_c, nt_antidote_allowed_html() ); ?></span>
						<?php } ?>
					</div>

					<div class="col-lg-3 col-md-3 col-sm-3 col-xs-12 col-centered">
						<div class="header-social float-right">
							<ul class="header-social-list inline-block-list">

								<?php
									if ( $nt_antidote_header_top_social != 'off' ) {
										$nt_antidote_topheader_socials = ot_get_option( 'nt_antidote_topheader_socials', array() );
										if ( ! empty( $nt_antidote_topheader_socials ) ) {
											foreach( $nt_antidote_topheader_socials as $tsocial ) {
											$nt_antidote_tst 	= ot_get_option( 'nt_antidote_tst' );
											$nt_antidote_slt 	= $nt_antidote_tst ? 'target="'. $nt_antidote_tst .'"' : '';

												echo '<li><a href="'. esc_url( $tsocial['nt_antidote_tsu'] ) .'" '. $nt_antidote_slt .' title="'. esc_attr($tsocial['title']) .'"><i class="'. esc_attr( $tsocial['nt_antidote_tsc'] ) .'"></i></a></li>';
											}

										}
									}
								?>

							</ul>
						</div>
					</div>

				</div>
			</div>
		</div>

<?php
	} // nt_antidote_header_mini_display
	} // nt_antidote_header_top_section
endif;

add_action('nt_antidote_header_top',  'nt_antidote_header_top_section');


// theme_logo
if ( ! function_exists( 'nt_antidote_site_logo' ) ) :

	function nt_antidote_site_logo() {

		$nt_antidote_logo_type 	= 	ot_get_option( 'nt_antidote_logo_type' );
		$nt_antidote_logo_img 	= 	ot_get_option( 'nt_antidote_img_logo' );
		$nt_antidote_logo_text 	= 	ot_get_option( 'nt_antidote_text_logo' );

		// Start Image Logo
		if ( ot_get_option( 'nt_antidote_logo_display' ) !='off' ) {
	?>

		<div class="col-sm-3">
			<div class="logo nt-theme-logo">
				<?php if ( $nt_antidote_logo_type == 'img' ) { ?>
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img class="logo" src="<?php echo esc_url( $nt_antidote_logo_img ); ?>" alt="<?php echo esc_html( bloginfo('name') ); ?>"></a>
				<?php } elseif ( $nt_antidote_logo_type == 'text' ) { ?>
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="text-logo"><?php echo esc_html( $nt_antidote_logo_text ); ?></a>
				<?php } else { ?>
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logo"><img src="<?php echo get_template_directory_uri() .'/img/antidote-logo.png'; ?>"/></a>
				<?php } ?>
			</div>
			<!-- /.End Of Logo -->
		</div>

<?php
		}
	}

endif;

add_action('nt_antidote_logo',  'nt_antidote_site_logo');


// theme_topheader
if ( ! function_exists( 'nt_antidote_site_topheader_info' ) ) :

	function nt_antidote_site_topheader_info() {

		// Start custom top header info

		if ( ot_get_option( 'nt_antidote_topheader_info' ) != 'default' ) {
			$topheader = ot_get_option( 'nt_antidote_topheader_custom_info', array() );
			if ( ! empty( $topheader ) ) {
				foreach( $topheader as $info ) {
					if ( ! empty( $info ) ) {

					?>

						<div class="nt-theme-info fix">
							<div class="info-icon">
								<i class="<?php echo esc_attr( $info['nt_antidote_topheader_item_iconname'] ); ?>"></i>
							</div>
							<div class="info-content">
								<span><?php echo esc_html( $info['nt_antidote_topheader_item_info1'] ); ?><br><?php echo esc_html( $info['nt_antidote_topheader_item_info2'] ); ?></span>
							</div>
						</div>
		<?php		}
				}
			}
		}
		// Start default top header info
		else{

			$nt_antidote_topheader_location_show 	= ot_get_option( 'nt_antidote_topheader_location_show' );
			$nt_antidote_topheader_location_icon 	= ot_get_option( 'nt_antidote_topheader_location_icon' );
			$nt_antidote_topheader_location_city 	= ot_get_option( 'nt_antidote_topheader_location_city' );
			$nt_antidote_topheader_location_country 	= ot_get_option( 'nt_antidote_topheader_location_country' );

			if ( $nt_antidote_topheader_location_show != 'off' ) { ?>

				<div class="nt-theme-info fix">
					<div class="info-icon">
						<i class="<?php echo esc_attr( $nt_antidote_topheader_location_icon ); ?>"></i>
					</div>
					<div class="info-content">
						<span><?php echo esc_html( $nt_antidote_topheader_location_city ); ?><br><?php echo esc_html( $nt_antidote_topheader_location_country ); ?></span>
					</div>
				</div>
				<!-- /.End Of Seven -->

	<?php	}

			$nt_antidote_topheader_working_hours_show 	= ot_get_option( 'nt_antidote_topheader_working_hours_show' );
			$nt_antidote_topheader_working_hours_icon 	= ot_get_option( 'nt_antidote_topheader_working_hours_icon' );
			$nt_antidote_topheader_working_hours 		= ot_get_option( 'nt_antidote_topheader_working_hours' );
			$nt_antidote_topheader_working_day 			= ot_get_option( 'nt_antidote_topheader_working_day' );

			if ( $nt_antidote_topheader_working_hours_show != 'off' ) { ?>
				<div class="nt-theme-info fix">
					<div class="info-icon">
						<i class="<?php echo esc_attr( $nt_antidote_topheader_working_hours_icon ); ?>"></i>
					</div>
					<div class="info-content">
						<span><?php echo esc_html( $nt_antidote_topheader_working_hours ); ?><br><?php echo esc_html( $nt_antidote_topheader_working_day ); ?></span>
					</div>
				</div>
				<!-- /.End Of Seven -->
	<?php	}

			$nt_antidote_topheader_contact_show 	= ot_get_option( 'nt_antidote_topheader_contact_show' );
			$nt_antidote_topheader_contact_icon 	= ot_get_option( 'nt_antidote_topheader_contact_icon' );
			$nt_antidote_topheader_mail_to			= ot_get_option( 'nt_antidote_topheader_mail_to' );
			$nt_antidote_topheader_phone_link		= ot_get_option( 'nt_antidote_topheader_phone_link' );
			$nt_antidote_topheader_phone_number		= ot_get_option( 'nt_antidote_topheader_phone_number' );

			if ( $nt_antidote_topheader_contact_icon != 'off' ) { ?>
				<div class="nt-theme-info border-none fix">
					<div class="info-icon">
						<?php 	if ( $nt_antidote_topheader_contact_icon != '' ) { ?>
							<i class="<?php echo esc_attr( $nt_antidote_topheader_contact_icon ); ?>"></i>
						<?php } ?>
					</div>
					<div class="info-content">
						<a href="mailto:<?php echo esc_attr( $nt_antidote_topheader_mail_to ); ?>"><?php echo esc_html( $nt_antidote_topheader_mail_to ); ?></a>
						<a href="<?php echo esc_url( $nt_antidote_topheader_phone_link ); ?>"><?php echo esc_html( $nt_antidote_topheader_phone_number ); ?></a>
					</div>
				</div>
				<!-- /.End Of Seven -->

	<?php	}

		}
		if ( ! class_exists( 'OT_Loader' ) ) { ?>

			<div class="nt-theme-info fix">
				<div class="info-icon">
					<i class="icofont icofont-social-google-map"></i>
				</div>
				<div class="info-content"><span><?php echo esc_html('24, Lane Street');?><br><?php echo esc_html('New York, USA');?></span></div>
			</div>
			<!-- /.End Of Seven -->

			<div class="nt-theme-info fix">
				<div class="info-icon">
					<i class="icofont icofont-clock-time"></i>
				</div>
				<div class="info-content"><span><?php echo esc_html('9am - 7pm');?><br><?php echo esc_html('Mon - Sat');?></span></div>
			</div>
			<!-- /.End Of Seven -->

			<div class="nt-theme-info border-none fix">
				<div class="info-icon">
					<i class="icofont icofont-contacts"></i>
				</div>
				<div class="info-content">
					<span><?php echo esc_html('info@company.com');?></span><br><span><?php echo esc_html('+021-3421-543');?></span>
				</div>
			</div>
			<!-- /.End Of Seven -->

<?php	}

	}
endif;

add_action('nt_antidote_topheader_info',  'nt_antidote_site_topheader_info');


// theme footer logo
if ( ! function_exists( 'nt_antidote_site_footerlogo' ) ) :

	function nt_antidote_site_footerlogo() {

		$nt_antidote_footer_logo_v 		= 	ot_get_option( 'nt_antidote_footer_logo_v' );
		$nt_antidote_footer_logo_type 	= 	ot_get_option( 'nt_antidote_footer_logo_type' );
		$nt_antidote_footer_logoimg 	= 	ot_get_option( 'nt_antidote_footer_logoimg' );
		$nt_antidote_footer_textlogo 	= 	ot_get_option( 'nt_antidote_footer_textlogo' );

		// Start Image Logo
		if ( $nt_antidote_footer_logo_v == 'on' ) {
		if ( $nt_antidote_footer_logo_type == 'img' ) {
		?>

			<div class="footer-logo"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img class="logo" src="<?php echo esc_url( $nt_antidote_footer_logoimg ); ?>" alt="<?php echo esc_html( bloginfo('name') ); ?>"></a></div>
			<?php 	}
			//Start Text Logo
			elseif ( $nt_antidote_footer_logo_type == 'text' ) { ?>
			<div class="footer-logo"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="text-logo"><?php echo esc_html( $nt_antidote_footer_textlogo ); ?></a></div>
			<?php 	}
			//Start Text Logo
			else { ?>
			<div class="footer-logo"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="text-logo"><?php echo esc_html_e( 'FOOTER LOGO', 'nt-antidote' ); ?></a></div>
			<?php
			}
		}
	}
endif;

add_action('nt_antidote_footerlogo',  'nt_antidote_site_footerlogo');


// Start copyright footer_social
if ( ! function_exists( 'nt_antidote_footer_site_copyright' ) ) :

	function nt_antidote_footer_site_copyright() {

		$nt_antidote_copyright_show 		= ot_get_option( 'nt_antidote_copyright_text_section' );
		$nt_antidote_copyright_social 		= ot_get_option( 'nt_antidote_copyright_social_section' );

		if ( $nt_antidote_copyright_show != 'off' || $nt_antidote_ccopyright_social != 'off' ) { ?>
				<div class="footer-bottom">
					<div class="container">
					<div class="theme-footer-inner">
						<div class="row">
						<?php
							if ( $nt_antidote_copyright_show != 'off' ) {
							if ( ot_get_option('nt_antidote_footer_copyright_text') != '') :
								$nt_antidote_copyright_text = ot_get_option( 'nt_antidote_footer_copyright_text' );

								$nt_antidote_copyright_allowed_tags = array(
									'br' 		=> array(),
									'strong' 	=> array(),
									'p' 		=> array(),
									'a' 		=> array(
										'href' 	=> array(),
										'title' => array()
									)
								);
							?>
							<div class="col-sm-6 copyright"><?php echo wp_kses( $nt_antidote_copyright_text, $nt_antidote_copyright_allowed_tags ); ?></div>
							<?php else : ?>
								   <div class="col-sm-6 copyright"><p><?php echo esc_html_e( '2017 Copyright, the Antidote. A product by Ninetheme', 'nt-antidote' ); ?></p></div>
							<?php endif;
							}

								if ( $nt_antidote_copyright_social != 'off' ) {
								$nt_antidote_socials = ot_get_option( 'nt_antidote_social_link_container', array() );
									if ( ! empty( $nt_antidote_socials ) ) {
									if ( $nt_antidote_copyright_show == 'off' ) { ?>
								<div class="col-sm-12 text-right">
								<?php } else { ?>
								<div class="col-sm-6 text-right">
								<?php	} ?>
									<div class="social-links">
										<ul>
											<?php	foreach( $nt_antidote_socials as $social ) {
												if ( ! empty( $social ) ) {
												$nt_antidote_social_target 		= ot_get_option( 'nt_antidote_social_link_target' );
												$nt_antidote_social_link_target = $nt_antidote_social_target ? 'target="'.esc_attr( $nt_antidote_social_target ).'"' : '';

											?>
											<li><a href="<?php echo esc_url( $social['nt_antidote_social_link'] ); ?>" <?php echo esc_attr( $nt_antidote_social_link_target ); ?> title="<?php echo esc_attr( $social['nt_antidote_social_text'] ); ?>"><?php echo esc_html( $social['nt_antidote_social_text'] ); ?></a></li>
											<?php } } ?>
										</ul>
									</div>
								</div>

								<?php } ?>

								<?php } ?>
						</div>
					</div>
				</div>
				</div>
<?php	}
	}

endif;

add_action('nt_antidote_footer_copyright',  'nt_antidote_footer_site_copyright');


// Start footer_quick_link
if ( ! function_exists( 'nt_antidote_site_footer_quick_link' ) ) :

	function nt_antidote_site_footer_quick_link() {

		$nt_antidote_usefull_widget = ot_get_option( 'nt_antidote_footer_usefull_widget', array() );
		if ( ! empty( $nt_antidote_usefull_widget ) ) {
			 echo'<ul class="site_map_links">';
					foreach( $nt_antidote_usefull_widget as $usefull ) {
					if ( ! empty( $usefull ) ) {

					echo'<li><a href="'. esc_url( $usefull['nt_antidote_usefull_link'] ) .'">'. esc_html( $usefull['nt_antidote_usefull_title'] ) .'</a></li>';

					}
				}

			 echo'</ul>';

		}
	}

endif;

add_action('nt_antidote_footer_quick_link',  'nt_antidote_site_footer_quick_link');
?>
<?php
// Start footer_widgetize
if ( ! function_exists( 'nt_antidote_site_custom_footer_widgetize' ) ) :

		function nt_antidote_site_custom_footer_widgetize() {

			$nt_antidote_footer_w_column_select = ot_get_option( 'nt_antidote_footer_w_column_select' ); ?>
			<div class="footer-top section-padding">
					<div class="container">
						<div class="row">
						<?php
							if ( $nt_antidote_footer_w_column_select == 'two_column') {
								if ( is_active_sidebar( 'footer_widgetize_two_column' ) ) {
									dynamic_sidebar( 'footer_widgetize_two_column' );
								}
							}
							elseif ( $nt_antidote_footer_w_column_select == 'three_column') {
								if ( is_active_sidebar( 'footer_widgetize_three_column' ) ) {
									dynamic_sidebar( 'footer_widgetize_three_column' );
								}
							}
							else {
								if ( is_active_sidebar( 'footer_widgetize_four_column' ) ) {
									dynamic_sidebar( 'footer_widgetize_four_column' );
								}
							} ?>
						</div>
					</div>
				</div>
<?php	}
endif;

add_action('nt_antidote_custom_footer_widgetize',  'nt_antidote_site_custom_footer_widgetize');


// Start post_social_share
if ( ! function_exists( 'nt_antidote_site_post_social_share' ) ) :

		function nt_antidote_site_post_social_share() {

			echo '<a href="http://www.facebook.com/sharer.php?u='. esc_url( get_permalink() ).'"><i class="fa fa-facebook"></i></a>
				  <a href="http://twitter.com/share?url='. esc_url( get_permalink() ).'"><i class="fa fa-twitter"></i></a>
				  <a href="https://pinterest.com/pin/create/bookmarklet/?url='. esc_url( get_permalink() ).'"><i class="fa fa-pinterest"></i></a>
				  <a href="https://www.linkedin.com/shareArticle?url='. esc_url( get_permalink() ).'"><i class="fa fa-linkedin"></i></a>';
		}
endif;

add_action('nt_antidote_post_social_share',  'nt_antidote_site_post_social_share');

// Start nt_antidote_post_thumb
if ( ! function_exists( 'nt_antidote_post_thumb' ) ) :

	function nt_antidote_post_thumb() {

		if ( has_post_thumbnail() ) :

		$nt_antidote_att = get_post_thumbnail_id();
		$nt_antidote_image_src = wp_get_attachment_image_src( $nt_antidote_att, 'full' );
		$nt_antidote_image_src = $nt_antidote_image_src[0];
		echo '<img class="img-responsive" src="'.esc_url( $nt_antidote_image_src ).'" alt="post-thumb">';
		endif;
	}
endif;

// Start nt_antidote_entry_taxonomies

if ( ! function_exists( 'nt_antidote_entry_categories' ) ) :

function nt_antidote_entry_categories() {
	$categories_list = get_the_category_list( _x( ', ', 'Used between list items, there is a space after the comma.', 'nt-antidote' ) );
	if ( $categories_list && nt_antidote_categorized_blog() ) {
		echo'<div class="news-tags">';
		printf( '<p class="cat-links"><span class="screen-reader-text">%1$s </span>%2$s</p>',
			_x( 'Category :', 'Used before category names.', 'nt-antidote' ),
			$categories_list
		);
		echo'</div>';
	}
}
endif;


if ( ! function_exists( 'nt_antidote_entry_taxonomies' ) ) :

	function nt_antidote_entry_taxonomies() {

		$tags_list = get_the_tag_list( '', _x( ', ', 'Used between list items, there is a space after the comma.', 'nt-antidote' ) );
		if ( $tags_list ) {
			printf( '<div class="news-tags"><p class="screen-reader-text">%1$s %2$s</p></div>',
				_x( 'Tags :', 'Used before tag names.', 'nt-antidote' ),
				$tags_list
			);
		}
	}
endif;

function nt_antidote_categorized_blog() {
	if ( false === ( $all_the_cool_cats = get_transient( 'nt_antidote_categories' ) ) ) {
		// Create an array of all the categories that are attached to posts.
		$all_the_cool_cats = get_categories( array(
			'fields'     => 'ids',
			'hide_empty' => 1,

			// We only need to know if there is more than one category.
			'number'     => 2,
		) );

		// Count the number of categories that are attached to the posts.
		$all_the_cool_cats = count( $all_the_cool_cats );

		set_transient( 'nt_antidote_categories', $all_the_cool_cats );
	}

	if ( $all_the_cool_cats > 1 ) {
		// This blog has more than 1 category so nt_antidote_categorized_blog should return true.
		return true;
	} else {
		// This blog has only 1 category so nt_antidote_categorized_blog should return false.
		return false;
	}
}

function nt_antidote_category_transient_flusher() {
	// Like, beat it. Dig?
	delete_transient( 'nt_antidote_categories' );
}
add_action( 'edit_category', 'nt_antidote_category_transient_flusher' );
add_action( 'save_post',     'nt_antidote_category_transient_flusher' );


// Start nt_antidote_post_meta
if ( ! function_exists( 'nt_antidote_post_meta' ) ) :

	function nt_antidote_post_meta() {
	if ( ! is_single() ) :
		printf( '<span class="news-meta"><a href="%1$s" rel="bookmark"><time class="entry-date" datetime="%2$s">%3$s</time></a>, by<a class="author" href="%4$s" rel="author"> %5$s</a></span>',
		esc_url( get_permalink() ),
		esc_attr( get_the_date( 'c' ) ),
		esc_html( get_the_date() ),
		esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
		get_the_author()
		);
		endif;
	}
endif;

// Start nt_antidote_post_content
if ( ! function_exists( 'nt_antidote_post_content' ) ) :

	function nt_antidote_post_content() {

		if (  is_single() ) :
			the_content();
			else :
			the_excerpt();
		endif ;

		wp_link_pages( array(
			'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'nt-antidote' ) . '</span>',
			'after'       => '</div>',
			'link_before' => '<span>',
			'link_after'  => '</span>',
			'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'nt-antidote' ) . ' </span>%',
			'separator'   => '<span class="screen-reader-text">, </span>',
		) );
	}
endif;



if (!function_exists('nt_antidote_woo_loop_columns')) {


	add_filter('loop_shop_columns', 'nt_antidote_woo_loop_columns', 999);

	function nt_antidote_woo_loop_columns( ) {

	  // $cols contains the current number of products per page based on the value stored on Options -> Reading
	  // Return the number of products you wanna show per page.
		$cols = ot_get_option( 'nt_antidote_shop_loop_column' );

	  return $cols;

	}
}

if (!function_exists('nt_antidote_woo_shop_per_page')) {

	add_filter( 'loop_shop_per_page', 'nt_antidote_woo_shop_per_page', 20 );

	function nt_antidote_woo_shop_per_page( $cols ) {

	  // $cols contains the current number of products per page based on the value stored on Options -> Reading
	  // Return the number of products you wanna show per page.
		$cols = ot_get_option( 'nt_antidote_shop_perpage' );

	  return $cols;

	}
}


?>
