<?php
/**
 *
 * @package WordPress
 * @subpackage nt-antidote
 * @since nt-antidote 1.0
 *
*/


/*************************************************
## Google Font
*************************************************/

if ( ! function_exists( 'nt_antidote_fonts_url' ) ) :
function nt_antidote_fonts_url() {
	$fonts_url = '';


	$roboto = _x( 'on', 'Roboto font: on or off', 	'nt-antidote' );

	if ( 'off' !== $roboto  ) {
		$font_families = array();

		if ( 'off' !== $roboto )
			$font_families[] = 'Roboto:300,400,700';

		$query_args = array(
			'family' => urlencode( implode( '|', $font_families ) ),
			'subset' => urlencode( 'latin,latin-ext' ),
		);
		$fonts_url = add_query_arg( $query_args, "//fonts.googleapis.com/css" );
	}

	return $fonts_url;
}
endif;


/*************************************************
## Styles and Scripts
*************************************************/

function nt_antidote_scripts() {

	if ( is_singular() ) wp_enqueue_script( 'comment-reply' );


	/*************************************************
	## Theme CSS Files
	*************************************************/

	// BOOTSTRAP CSS
	wp_enqueue_style( 'bootstrap',					get_template_directory_uri() . '/css/plugin/bootstrap.min.css', 	false, '1.0');

	if ( ot_get_option( 'nt-antidote_icofont_opt' ) =='on' ){
	// ICOFONT CSS
	wp_enqueue_style( 'icofont',					get_template_directory_uri() . '/css/plugin/icofont.css', 			false, '1.0');
	}

	// FONTAWESOME Css
	wp_enqueue_style( 'font-awesome',				get_template_directory_uri() . '/css/plugin/font-awesome.min.css', 	false, '1.0');
	// OWL CAROUSEL CSS
	wp_enqueue_style( 'owl-carousel',				get_template_directory_uri() . '/css/plugin/owl.carousel.css', 		false, '1.0');
	// MOBILE MENU CSS
	wp_enqueue_style( 'meanmenu',					get_template_directory_uri() . '/css/plugin/meanmenu.css', 			false, '1.0');
	// STYLE CSS
	wp_enqueue_style( 'nt-antidote-theme-style',	get_template_directory_uri() . '/css/style.css', 					false, '1.0');
	wp_enqueue_style( 'nt-antidote-loaders',		get_template_directory_uri() . '/css/plugin/css-spin-loader.css', 	false, '1.0');
	// RESPONSIVE CSS
	wp_enqueue_style( 'nt-antidote-responsive',		get_template_directory_uri() . '/css/plugin/responsive.css', 		false, '1.0');

	// COLORS CSS
	$nt_andidote_scheme 		= ot_get_option( 'theme_skin_color' );
	if  ( $nt_andidote_scheme  !='custom' ) {
	$nt_andidote_scheme_c 		= $nt_andidote_scheme !=''  ?  $nt_andidote_scheme : 'color1.css';
	wp_enqueue_style( 'nt-antidote-skin1',			get_template_directory_uri() . '/css/theme/skin/' . $nt_andidote_scheme_c , 	false, '1.0');
	}

	if ( is_rtl() ) {
		wp_enqueue_style( 'bootstrap-rtl',			get_template_directory_uri() . '/css/lib/bootstrap-rtl.css', 	 	false, '1.0');
		wp_enqueue_style( 'nt-antidote-rtl',		get_template_directory_uri() . '/css/rtl.css', 					 	false, '1.0');
	}

	if ( has_post_format() ) {
	// Flexslider for blog gallery posts
	wp_enqueue_style( 'nt-antidote-flex-custom',	get_template_directory_uri() . '/css/theme/flexslider.css', 	 	false, '1.0');
	}

	// Default WordPress styles
	wp_enqueue_style( 'nt-antidote-wordpress',		get_template_directory_uri() . '/css/theme/wordpress.css', 		 	false, '1.0');
	// Google webfont loader
	wp_enqueue_style( 'nt-antidote-fonts-load',     nt_antidote_fonts_url(), array(), '1.0.0' );
	// theme update styles
	wp_enqueue_style( 'nt-antidote-update',  		get_template_directory_uri() . '/css/theme/update.css', 		 false, '1.0');

	// custom css
	wp_enqueue_style('nt-antidote-custom-style', 	get_template_directory_uri() . '/css/theme/framework-custom-style.css', false, '1.0');

	// WordPress default
	wp_enqueue_style( 'nt-antidote-style', 			get_stylesheet_uri() );


	/*************************************************
	## Theme Jquery Files
	*************************************************/

	// MOBILE MENU JS
	wp_enqueue_script( 'meanmenu', 		 			get_template_directory_uri() .  '/js/plugin/jquery.meanmenu.js', 	  		array('jquery'), '1.0', true );
	wp_register_script( 'nt-antidote-mainmenu-set', get_template_directory_uri() .  '/js/plugin/shortcode/mainmenu-set.js', 	array('jquery'), '1.0', true );
	// WAYPOINTS JS
	wp_enqueue_script( 'waypoints', 	 			get_template_directory_uri() .  '/js/plugin/waypoints.min.js', 				array('jquery'), '1.0', true );
	// BOOTSTRAP JS
	wp_enqueue_script( 'bootstrap',  	 			get_template_directory_uri() .  '/js/plugin/bootstrap.min.js', 				array('jquery'), '1.0', true );
	// CAROUSEL JS
	wp_enqueue_script( 'owl-carousel', 	 	 		get_template_directory_uri() .  '/js/plugin/owl.carousel.min.js', 	  		array('jquery'), '1.0', true );
	// PRETTYPHOTO JS
	wp_register_script( 'prettyPhoto', 	 			get_template_directory_uri() .  '/js/plugin/jquery.prettyPhoto.js', 		array('jquery'), '1.0', true );
	// THEME SHORTCODE SETTINGS JS
	wp_enqueue_script( 'preloader', 	 			get_template_directory_uri() .  '/js/plugin/shortcode/preloader.js', 		array('jquery'), '1.0', true );
	// FLEXSLIDER JS
	wp_enqueue_script( 'flexslider', 	 			get_template_directory_uri() .  '/js/theme/flexslider/jquery.flexslider.js',array('jquery'), '1.0', true );
	// MAGNIFIC-POPUP LIGHTBOX JS
	wp_register_script( 'magnific', 	 			get_template_directory_uri() .  '/js/theme/jquery.magnific-popup.min.js', 	array('jquery'), '1.0', true );
	wp_register_script( 'nt-antidote-magnific-set', get_template_directory_uri() .  '/js/theme/magnific-settings.js', 			array('jquery'), '1.0', true );
	// RESPONSIVE VIDEO IFRAME PLUGIN
	wp_enqueue_script( 'fitvids', 	 	 			get_template_directory_uri() .  '/js/theme/jquery.fitvids.js', 				array('jquery'), '1.0', true );
	// BLOG CUSTOM JQUERY SETTING FILE
	wp_enqueue_script( 'nt-antidote-blog-script',   get_template_directory_uri() .  '/js/theme/blog-script.js', 				array('jquery'), '1.0', true );

}

add_action( 'wp_enqueue_scripts', 'nt_antidote_scripts' );

/*************************************************
## Admin style and scripts
*************************************************/

function nt_antidote_admin_style() {

	// Update CSS within in Admin
	wp_enqueue_style('nt-antidote-custom-admin', get_template_directory_uri().'/admin/admin.css');

}
add_action('admin_enqueue_scripts', 'nt_antidote_admin_style');


/*************************************************
## Theme option & Metaboxes & shortcodes
*************************************************/

	if ( function_exists('vc_set_as_theme' ) ) {
		require_once get_template_directory() . '/includes/visual-shortcodes.php';
	}

	// Metabox plugin check
	if ( ! function_exists( 'rwmb_meta' ) ) {
		function rwmb_meta( $key, $args = '', $post_id = null ) {
			return false;
		}
	}

	// Theme default breadcrumb
	require_once get_template_directory() . '/includes/breadcrumb.php';

	// Theme default part and section
	require_once get_template_directory() . '/includes/template-part.php';

	// Theme navigation and pagination options
	require_once get_template_directory() . '/includes/template-tags.php';

	// Automatic image crop plugin
	require_once get_template_directory() . '/includes/aq_resizer.php';

	// Theme post and page meta plugin for customization and more features
	require_once get_template_directory() . '/includes/page-metaboxes.php';

	// Option tree controllers
	if ( ! class_exists( 'OT_Loader' )){

		function ot_get_option() {
			return false;
		}

	}

	// add filter for  options panel loader
	add_filter( 'ot_show_pages', 		'__return_false' );
	add_filter( 'ot_show_new_layout', 	'__return_false' );

	// Theme options admin panel setings file
	include_once get_template_directory() . '/includes/theme-options.php';

	// Theme customize css setting file
	require_once get_template_directory() . '/includes/custom-style.php';

/*************************************************
## Custom body class
*************************************************/
	function nt_antidote_body_classes( $classes ) {

		$classes[] = 'nt-theme-body-class';
		return $classes;

	}
	add_filter( 'body_class', 'nt_antidote_body_classes' );




/*************************************************
## Theme Setup
*************************************************/

if ( ! isset( $content_width ) ) $content_width = 960;

function nt_antidote_theme_setup() {

	/*
	* This theme styles the visual editor to resemble the theme style,
	* specifically font, colors, icons, and column width.
	*/
	add_editor_style ( 'custom-editor-style.css' );

	// Add default posts and comments RSS feed links to head.
	add_theme_support( 'automatic-feed-links' );

	/*
	* Enable support for Post Thumbnails on posts and pages.
	*
	* See: https://codex.wordpress.org/Function_Reference/add_theme_support#Post_Thumbnails
	*/
	add_theme_support( 'post-thumbnails' );

	// Theme customizer and tag support
	add_theme_support( 'title-tag' );
	add_theme_support( 'custom-background' );
	add_theme_support( 'custom-header' );

	/*
	* Enable support for Post Formats.
	*
	* See: https://codex.wordpress.org/Post_Formats
	*/
	add_theme_support( 'post-formats', array('gallery', 'link', 'image', 'quote', 'video', 'audio', 'aside'));
	add_post_type_support( 'portfolio', 'post-formats' );
	add_image_size( 'nt_antidote_member_thumb', 650, 650, true); 		// Team Member thumbnails

	// Make theme available for translation
	// Translations can be filed in the /languages/ directory
	load_theme_textdomain( 'nt-antidote', get_template_directory() . '/languages' );

	// This theme uses wp_nav_menu() in two locations.
	register_nav_menus( array(
		'primary' => esc_html__( 'Primary Menu', 'nt-antidote' ),
	) );


	add_theme_support( 'woocommerce'  );
	add_theme_support( 'wc-product-gallery-zoom' );
	add_theme_support( 'wc-product-gallery-lightbox' );
	add_theme_support( 'wc-product-gallery-slider' );

}
add_action( 'after_setup_theme', 'nt_antidote_theme_setup' );

/**
 * Generate custom header search form
 *
 * @param string $form Form HTML.
 * @return string Modified form HTML.
 */

function nt_antidote_header_search_form() {
	$form = '<form role="search" method="get" id="searchform" class="searchform" action="'.esc_url( home_url( '/' ) ).'" >
		<input type="text" class="form-search"  name="s" id="s" />
		<div class="input-submit">
			<input type="submit" id="searchsubmit" value="'.esc_html__( 'Go', 'nt-antidote' ).'" />
		</div>
	</form>';
	return $form;
}
add_filter( 'get_search_form', 'nt_antidote_header_search_form' );


/**
 * Generate custom sidebar search form
 *
 * @param string $form Form HTML.
 * @return string Modified form HTML.
 */
function nt_antidote_sidebar_search_form( $form ) {
    $form = '
	<form role="search" method="get" id="searchform" class="searchform" action="'.esc_url( home_url( '/' ) ).'" >
		<div class="search-form-input">
				<input type="text"  name="s" id="s" />
			<div class="input-submit">
				<input type="submit" id="searchsubmit" value="'.esc_html__( 'Go', 'nt-antidote' ).'" />
			</div>
		</div>
	</form>';
    return $form;
}
add_filter( 'get_search_form', 'nt_antidote_sidebar_search_form' );


/*************************************************
## Widget columns
*************************************************/

function nt_antidote_widgets_init() {

	register_sidebar( array(
		'name' 			=> esc_html__( 'Blog Sidebar', 'nt-antidote' ),
		'id' 			=> 'sidebar-1',
		'description'   => esc_html__( 'Widgets in this area will be shown on all posts and pages.', 'nt-antidote' ),
		'before_widget' => '<div class="widget sidebar-widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h5 class="widget-head">',
		'after_title'   => '</h5>'
	) );

	register_sidebar( array(
		'name' 			=> esc_html__( 'Widgetize Footer 2 Column', 'nt-antidote' ),
		'id' 			=> 'footer_widgetize_two_column',
		'description'   => esc_html__( 'These are widgets for the custom Footer Top Section.','nt-antidote' ),
		'before_widget' => '<div class="col-md-6 col-sm-6 col-xs-12"><div class="widget %2$s">',
		'after_widget'  => '</div></div>',
		'before_title'  => '<h5 class="widget-head">',
		'after_title'   => '</h5>'
	) );

	register_sidebar( array(
		'name' 			=> esc_html__( 'Widgetize Footer 3 Column', 'nt-antidote' ),
		'id' 			=> 'footer_widgetize_three_column',
		'description'   => esc_html__( 'These are widgets for the custom Footer Top Section.','nt-antidote' ),
		'before_widget' => '<div class="col-md-4 col-md-4 col-sm-12 col-xs-12"><div class="widget %2$s">',
		'after_widget'  => '</div></div>',
		'before_title'  => '<h5 class="widget-head">',
		'after_title'   => '</h5>'
	) );

	register_sidebar( array(
		'name' 			=> esc_html__( 'Widgetize Footer 4 Column', 'nt-antidote' ),
		'id' 			=> 'footer_widgetize_four_column',
		'description'   => esc_html__( 'These are widgets for the custom Footer section.','nt-antidote' ),
		'before_widget' => '<div class="col-md-3 col-sm-6 col-xs-12"><div class="widget %2$s">',
		'after_widget'  => '</div></div>',
		'before_title'  => '<h5 class="widget-head">',
		'after_title'   => '</h5>'
	) );
	register_sidebar( array(
		'name' 			=> esc_html__( 'Woo  shop page Sidebar', 'nt-antidote' ),
		'id' 			=> 'shop-page-sidebar',
		'description'   => esc_html__( 'These are widgets for the shop page Sidebar.','nt-antidote' ),
		'before_widget' => '<div class="widget sidebar-widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h5 class="widget-head">',
		'after_title'   => '</h5>'
	) );
	register_sidebar( array(
		'name' 			=> esc_html__( 'Buddypress Pages Sidebar', 'nt-antidote' ),
		'id' 			=> 'buddy-page-sidebar',
		'description'   => esc_html__( 'These are widgets for the buddypress page sidebar.','nt-antidote' ),
		'before_widget' => '<div class="widget  %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>'
	) );
}
add_action( 'widgets_init', 'nt_antidote_widgets_init' );


/*************************************************
## OPTION TREE WEBFONTS API
*************************************************/

add_filter( 'ot_google_fonts_api_key', 'nt_antidote_change_ot_google_fonts_api_key' );

function nt_antidote_change_ot_google_fonts_api_key( $key ) {
  return "AIzaSyA2rMBHxvoyNhL8gTR2dITpGgXOdAiW6IQ";
}



/*************************************************
## ADMIN NOTICES
*************************************************/


function nt_antidote_theme_activation_notice()
{
    global $current_user;

    $user_id = $current_user->ID;

    if (!get_user_meta($user_id, 'nt_antidote_theme_activation_notice')) {
        ?>

		<div class="updated notice">
			<p>
				<?php
					echo sprintf(
					esc_html__('If you need help about demodata installation, please read docs and %s', 'nt-antidote'),
					'<a target="_blank" href="' . esc_url('https://ninetheme.com/contact/') . '">' . esc_html__('Open a ticket', 'nt-antidote') . '</a>
					' . esc_html__('or', 'nt-antidote') . ' <a href="' . esc_url( wp_nonce_url( add_query_arg( 'nt-antidote-ignore-notice', 'dismiss_admin_notices' ), 'nt-antidote-dismiss-' . get_current_user_id() ) ) . '">' . esc_html__('Dismiss this notice', 'nt-antidote') . '</a>');
				?>
			</p>
		</div>


<?php
    }
}


add_action('admin_notices', 'nt_antidote_theme_activation_notice');

function nt_antidote_theme_activation_notice_ignore()
{
    global $current_user;

    $user_id = $current_user->ID;

    if (isset($_GET['nt-antidote-ignore-notice'])) {
        add_user_meta($user_id, 'nt_antidote_theme_activation_notice', 'true', true);
    }
}
add_action('admin_init', 'nt_antidote_theme_activation_notice_ignore');



/*************************************************
## Include the TGM_Plugin_Activation class.
*************************************************/

require_once get_template_directory() . '/includes/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'nt_antidote_register_required_plugins' );

function nt_antidote_register_required_plugins() {

	$url = 'https://ninetheme.com/documentation';

    $plugins = array(

		array(
            'name'         => esc_html__( 'Contact Form 7', 'nt-antidote' ),
            'slug'         => 'contact-form-7',
        ),
		array(
            'name'         => esc_html__( 'Woocommerce', 'nt-antidote' ),
            'slug'         => 'woocommerce',
        ),
        array(
            'name'         => esc_html__( 'Meta Box', 'nt-antidote' ),
            'slug'         => 'meta-box',
			'required'     => true,
        ),
		array(
            'name'         => esc_html__( 'Breadcrumb NavXT', 'nt-antidote' ),
            'slug'         => 'breadcrumb-navxt',
        ),
		array(
            'name'         => esc_html__( 'Google Webfonts', 'nt-antidote' ),
            'slug'         => 'easy-google-fonts',
        ),
		array(
            'name'         => esc_html__( 'Custom Post Type UI', 'nt-antidote' ),
            'slug'         => 'custom-post-type-ui',
        ),
		array(
            'name'         => esc_html__( 'Recent Posts Widget With Thumbnails', 'nt-antidote' ),
            'slug'         => 'recent-posts-widget-with-thumbnails',
        ),
		array(
			'name'				=> esc_html__('Theme Options Panel', "nt-antidote"),
			'slug'			=> 'option-tree',
			'source'		=> $url . '/plugins/option-tree.zip',
			'required'		=> true,
		),
		array(
            'name'         => esc_html__('Metabox Show/Hide', "nt-antidote"),
            'slug'         => 'meta-box-show-hide',
			'source'       	=> $url . '/plugins/meta-box-show-hide.zip',
            'required'     => true,
        ),
		array(
            'name'         => esc_html__('Metabox Tabs', "nt-antidote"),
            'slug'         => 'meta-box-tabs',
			'source'       	=> $url . '/plugins/meta-box-tabs.zip',
            'required'     => true,
        ),
		array(
			'name'		   	=> esc_html__('Envato Auto Update Theme', "nt-antidote"),
			'slug'		   	=> 'envato-market',
			'source'       	=> $url . '/plugins/envato-market.zip',
			'required'	   	=> false,
		),
		array(
			'name'         	=> esc_html__('Visual Composer', "nt-antidote"),
			'slug'         	=> 'js_composer',
			'source'        => $url . '/plugins/js_composer.zip',
			'required'     	=> true,
		),
		array(
			'name'         	=> esc_html__('Revolution Slider', "nt-antidote"),
			'slug'         	=> 'revslider',
			'source'        => $url . '/plugins/revslider.zip',
			'required'     	=> false,
		),
		array(
			'name'         	=> esc_html__('Booked', "nt-antidote"),
			'slug'         	=> 'booked',
			'source'        => $url . '/plugins/booked.zip',
			'required'     	=> false,
		),
		array(
            'name'         => esc_html__( 'Antidote Shortcodes', 'nt-antidote' ),
            'slug'         => 'nt-antidote-shortcodes',
            'source'       => get_template_directory() . '/plugins/nt-antidote-shortcodes.zip',
            'required'     => true,
            'version'      => '1.1.1',
        ),
    );

	$config = array(
		'id'           		=> 'nt-antidote',           // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' 		=> '',                      // Default absolute path to bundled plugins.
		'menu'         		=> 'tgmpa-install-plugins', // Menu slug.
		'has_notices'  		=> true,                    // Show admin notices or not.
		'dismissable'  		=> true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg' 		=> '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' 		=> true,                    // Automatically activate plugins after installation or not.
		'message'      		=> '',                      // Message to output right before the plugins table.
	);
	tgmpa( $plugins, $config );
}


/*************************************************
## Register Menu
*************************************************/

class nt_antidote_Wp_Bootstrap_Navwalker extends Walker_Nav_Menu {

	/**
	 * @see Walker::start_lvl()
	 * @since 3.0.0
	 */
	public function start_lvl( &$output, $depth = 0, $args = array() ) {
		$indent = str_repeat( "\t", $depth );
		$output .= "\n$indent<ul role=\"menu\" class=\"sub-menu\">\n";
	}

	/**
	 * @see Walker::start_el()
	 * @since 3.0.0
	 */
	public function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

		/**
		 * Dividers, Headers or Disabled
		 */
		if ( strcasecmp( $item->attr_title, 'divider' ) == 0 && $depth === 1 ) {
			$output .= $indent . '<li role="presentation" class="divider item-has-children dropdown">';
		} else if ( strcasecmp( $item->title, 'divider') == 0 && $depth === 1 ) {
			$output .= $indent . '<li role="presentation" class="divider item-has-children dropdown">';
		} else if ( strcasecmp( $item->attr_title, 'dropdown-header item-has-children dropdown') == 0 && $depth === 1 ) {
			$output .= $indent . '<li role="presentation" class="dropdown-header item-has-children dropdown">' . esc_attr( $item->title );
		} else if ( strcasecmp($item->attr_title, 'disabled' ) == 0 ) {
			$output .= $indent . '<li role="presentation" class="disabled"><a href="#">' . esc_attr( $item->title ) . '</a>';
		} else {

			$class_names = $value = '';

			$classes = empty( $item->classes ) ? array() : (array) $item->classes;
			$classes[] = 'menu-item-' . $item->ID;

			$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item, $args ) );

			if ( $args->has_children )
				$class_names .= ' sub item-has-children dropdown';

			if ( in_array( 'current-menu-item', $classes ) )
				$class_names .= ' active';

			$class_names = $class_names ? ' class="' . esc_attr( $class_names ) . '"' : '';

			$id = apply_filters( 'nav_menu_item_id', 'menu-item-'. $item->ID, $item, $args );
			$id = $id ? ' id="' . esc_attr( $id ) . '"' : '';

			$output .= $indent . '<li' . $id . $value . $class_names .'>';

			$atts = array();
			$atts['title']  = ! empty( $item->title )	? $item->title	: '';
			$atts['target'] = ! empty( $item->target )	? $item->target	: '';
			$atts['rel']    = ! empty( $item->xfn )		? $item->xfn	: '';

			// If item has_children add atts to a.
			if ( $args->has_children && $depth === 0 ) {
				$atts['href']   		= '#';
				$atts['data-toggle']	= 'dropdown';
				$atts['class']			= 'dropdown-toggle';
			} else {
				$atts['href'] = ! empty( $item->url ) ? $item->url : '';
			}

			$atts = apply_filters( 'nav_menu_link_attributes', $atts, $item, $args );

			$attributes = '';
			foreach ( $atts as $attr => $value ) {
				if ( ! empty( $value ) ) {
					$value = ( 'href' === $attr ) ? esc_url( $value ) : esc_attr( $value );
					$attributes .= ' ' . $attr . '="' . $value . '"';
				}
			}

			$item_output = $args->before;

			/*
			 * Glyphicons
			 **/
			if ( ! empty( $item->attr_title ) )
				$item_output .= '<a'. $attributes .'><span class=" ' . esc_attr( $item->attr_title ) . '"></span>&nbsp;';
			else
				$item_output .= '<a'. $attributes .'>';

			$item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after;
			$item_output .= ( $args->has_children && 0 === $depth ) ? ' <span class="caret"></span></a>' : '</a>';
			$item_output .= $args->after;

			$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
		}
	}

	/**
	 * Traverse elements to create list from elements.
	 **/
	public function display_element( $element, &$children_elements, $max_depth, $depth, $args, &$output ) {
        if ( ! $element )
            return;

        $id_field = $this->db_fields['id'];

        // Display this element.
        if ( is_object( $args[0] ) )
           $args[0]->has_children = ! empty( $children_elements[ $element->$id_field ] );

        parent::display_element( $element, $children_elements, $max_depth, $depth, $args, $output );
    }

	/**
	 * Menu Fallback
	 **/
	public static function fallback( $args ) {
		if ( current_user_can( 'manage_options' ) ) {

			extract( $args );

			$fb_output = null;

			if ( $container ) {
				$fb_output = '<' . $container;

				if ( $container_id )
					$fb_output .= ' id="' . $container_id . '"';

				if ( $container_class )
					$fb_output .= ' class="' . $container_class . '"';

				$fb_output .= '>';
			}

			$fb_output .= '<ul';

			if ( $menu_id )
				$fb_output .= ' id="' . $menu_id . '"';

			if ( $menu_class )
				$fb_output .= ' class="' . $menu_class . '"';

			$fb_output .= '>';
			$fb_output .= '<li><a href="' . admin_url( 'nav-menus.php' ) . '">Add a menu</a></li>';
			$fb_output .= '</ul>';

			if ( $container )
				$fb_output .= '</' . $container . '>';

			echo  wp_kses( $soundcloud_audio,nt_antidote_allowed_html() );
		}
	}
}




/*************************************************
## change author / user avatar  class
*************************************************/
function nt_antidote_change_avatar_css($class) {
	$class = str_replace("class='avatar", "class='img-circle img-thumbnail", $class) ;
	return $class;
}
add_filter( 'get_avatar','nt_antidote_change_avatar_css' );


/*************************************************
## Unset URL from comment form
*************************************************/

function nt_antidote_move_comment_form_below( $fields ) {
    $comment_field = $fields['comment'];
    unset( $fields['comment'] );
    $fields['comment'] = $comment_field;
    return $fields;
}
add_filter( 'comment_form_fields', 'nt_antidote_move_comment_form_below' );


/*************************************************
## Add placeholder for Name and Email
*************************************************/

function nt_antidote_modify_comment_form_fields( $fields ){

	$commenter = wp_get_current_commenter();
	$req = get_option( 'require_name_email' );
	$aria_req = ( $req ? " aria-required='true'" : '' );
    $fields['author'] = '<input id="author" placeholder="'.esc_html__('Your name *', 'nt-antidote').'" name="author" type="text" value="' .esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' />';
    $fields['email'] = '<input id="email" placeholder="'.esc_html__('Email address *', 'nt-antidote').'" name="email" type="text" value="' . esc_attr( $commenter['comment_author_email'] ) .'" size="30"' . $aria_req . ' />';
	$fields['comment'] = '<textarea id="comment" class="input-fields" placeholder="'.esc_html__('Leave a comment', 'nt-antidote').'" name="comment" cols="40" rows="200"' . $aria_req . '></textarea>';
    return $fields;
}
add_filter( 'comment_form_default_fields','nt_antidote_modify_comment_form_fields' );


/*************************************************
## change form submit button value/title
*************************************************/

function nt_antidote_comment_form_submit_button( $button ) {
	$button ='<input name="submit" type="submit" tabindex="5" id="submit" value="'.esc_html__('Submit Comment', 'nt-antidote').'" />' .get_comment_id_fields();
	return $button;
}
add_filter( 'comment_form_submit_button', 'nt_antidote_comment_form_submit_button' );


/*************************************************
## remove url in comment Form Field (Comment)
*************************************************/

function nt_antidote_remove_url_comment_fields( $fields ) {
    unset( $fields['url'] );
    return $fields;
}
add_filter( 'comment_form_default_fields','nt_antidote_remove_url_comment_fields' );


/*************************************************
## Replace title reply html tag h3 to h4
*************************************************/

function nt_antidote_form_before() {
    ob_start();
}
add_action( 'comment_form_before', 'nt_antidote_form_before' );

function nt_antidote_form_after() {
    $html = ob_get_clean();
    $html = preg_replace(
        '/<h3 id="reply-title"(.*)>(.*)<\/h3>/',
        '<h4 id="reply-title"\1>\2</h4>',
        $html
    );
    echo  wp_kses( $html,nt_antidote_allowed_html() );
}
add_action( 'comment_form_after', 'nt_antidote_form_after' );


/*************************************************
## Add Placehoder in comment Form Field (Comment)
*************************************************/
function nt_antidote_textarea_placeholder( $fields ){
	$fields['comment_field'] = str_replace(
		'<textarea',
		'<textarea placeholder="'.esc_html__('Leave a comment', 'nt-antidote').'"',
		$fields['comment_field']
	);
    return $fields;
}
add_filter( 'comment_form_defaults', 'nt_antidote_textarea_placeholder' );


/*************************************************
## Replace title reply
*************************************************/
function nt_antidote_comment_reform ($arg) {
	$arg['title_reply'] = esc_html__('Share your thoughts','nt-antidote');
	return $arg;
}
add_filter( 'comment_form_defaults','nt_antidote_comment_reform' );


/*************************************************
## replace reply link class
*************************************************/
function nt_antidote_replace_reply_link_class($class){
    $class = str_replace( "class='comment-reply-link", "class='replay-btn", $class );
    return $class;
}
add_filter( 'comment_reply_link', 'nt_antidote_replace_reply_link_class' );


/*************************************************
## change edit comment link class
*************************************************/
function  nt_antidote_edit_comment_link( $output ) {
	$nt_antidote_custom_class = 'replay-btn';
	return preg_replace( '/comment-edit-link/', 'comment-edit-link ' . $nt_antidote_custom_class, $output, 1 );
}
add_filter( 'edit_comment_link', 'nt_antidote_edit_comment_link' );


/*************************************************
## Excerpt More
*************************************************/

function nt_antidote_excerpt_more($more) {
  global $post;
  return '</p><a class="margin_30 btn" href="'. esc_url(get_permalink($post->ID)) . '" >' . '' . esc_html__('READ MORE', 'nt-antidote') . '</a>';
}
add_filter('excerpt_more', 'nt_antidote_excerpt_more');

function nt_antidote_excerpt_length( $length ) {
	return 80;
}
add_filter( 'excerpt_length', 'nt_antidote_excerpt_length', 999 );


/*************************************************
## nt-antidote Comment
*************************************************/

if ( ! function_exists( 'nt_antidote_comment' ) ) :
	function nt_antidote_comment( $comment, $args, $depth ) {
		$GLOBALS['comment'] = $comment;
		switch ( $comment->comment_type ) :
			case 'pingback' :
			case 'trackback' :
			?>
			<p><?php esc_html_e( 'Pingback:', 'nt-antidote' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( esc_html__( '(Edit)', 'nt-antidote' ), ' ' ); ?></p>
			<?php
			break;
			default :
			?>
				<!-- Single Comment -->
				<div class="single-comment">
					<div class="commenters-avatar">
						<?php echo get_avatar( $comment, 70 ); ?>
					</div>
					<div class="comment-content">
						<h4><?php comment_author(); ?></h4>
						<span class="comment-time"><?php comment_date();?> - <?php comment_time('H : i : s');?></span>

						<?php comment_text(); ?>

						<?php edit_comment_link( esc_html__( 'Edit', 'nt-antidote' ), ' ' ); ?> <?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
					</div>
				</div>

			<?php
			break;
		endswitch;
	}
endif;





/**********************************
## THEME ALLOWED HTML TAG
/**********************************/


if (! function_exists('nt_antidote_allowed_html')) {
    function nt_antidote_allowed_html()
    {
        $allowed_tags = array(
        'a' => array(
            'class' => array(),
            'href'  => array(),
            'rel'   => array(),
            'title' => array(),
            'target' => array(),
        ),
        'abbr' => array(
            'title' => array(),
        ),
        'iframe' => array(
            'src' => array(),
        ),
        'b' => array(),
        'br' => array(),
        'blockquote' => array(
            'cite'  => array(),
        ),
        'cite' => array(
            'title' => array(),
        ),
        'code' => array(),
        'del' => array(
            'datetime' => array(),
            'title' => array(),
        ),
        'dd' => array(),
        'div' => array(
            'class' => array(),
            'title' => array(),
            'style' => array(),
        ),
        'dl' => array(),
        'dt' => array(),
        'em' => array(),
        'h1' => array(),
        'h2' => array(),
        'h3' => array(),
        'h4' => array(),
        'h5' => array(),
        'h6' => array(),
        'i' => array(
            'class'  => array(),
        ),
        'img' => array(
            'alt'    => array(),
            'class'  => array(),
            'height' => array(),
            'src'    => array(),
            'width'  => array(),
        ),
        'li' => array(
            'class' => array(),
        ),
        'ol' => array(
            'class' => array(),
        ),
        'p' => array(
            'class' => array(),
        ),
        'q' => array(
            'cite' => array(),
            'title' => array(),
        ),
        'span' => array(
            'class' => array(),
            'title' => array(),
            'style' => array(),
        ),
        'strike' => array(),
        'strong' => array(),
        'ul' => array(
            'class' => array(),
        ),
    );

        return $allowed_tags;
    }
}

/*************************************************
## SANITIZE MODIFIED VC-ELEMENTS OUTPUT
*************************************************/


if (!function_exists('nt_antidote_vc_sanitize_data')) {
    function nt_antidote_vc_sanitize_data($html_data)
    {
        return $html_data;
    }
}


/**********************************
## THEME DEMODATA WIZARD
/**********************************/

require_once get_parent_theme_file_path( '/includes/merlin/vendor/autoload.php' );
require_once get_parent_theme_file_path( '/includes/merlin/class-merlin.php' );
require_once get_parent_theme_file_path( '/includes/demo-wizard-config.php' );


function antidote_local_import_files() {
    return array(
        array(

            'import_file_name' => 'Demo Import',
            'local_import_file' => get_parent_theme_file_path( '/includes/merlin/demodata/data.xml' ),
            'local_import_widget_file' => get_parent_theme_file_path( '/includes/merlin/demodata/widgets.wie' ),
            // option tree -> theme options
            'local_import_option_tree_file' => get_parent_theme_file_path( '/includes/merlin/demodata/optiontree.txt' ),

            // revolution slider -> demodata
            'import_rev' => array(
                array(
                    'slider1' => get_parent_theme_file_path( '/includes/merlin/demodata/factory1.zip' ),
                )
            ),

            // cptui -> custom post types data
            'import_cptui' => array(
				array(
					'cpt_file_url' => get_parent_theme_file_path( 'includes/merlin/demodata/cpt.json' ),
					'tax_file_url' => get_parent_theme_file_path( 'includes/merlin/demodata/cpttax.json' )
				)
			),

        ),
    );
}
add_filter( 'merlin_import_files', 'antidote_local_import_files' );



/**
 * Execute custom code after the whole import has finished.
 */
function antidote_merlin_after_import_setup() {

	// Assign menus to their locations.
	$primary = get_term_by( 'name', 'primary', 'nav_menu' );

	set_theme_mod(
		'nav_menu_locations', array(
            'primary' => $primary->term_id,
		)
	);

	// Assign front page and posts page (blog page).
	$front_page_id = get_page_by_title( 'Home Page' );
	$blog_page_id  = get_page_by_title( 'News' );

	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $front_page_id->ID );
	update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'merlin_after_all_import', 'antidote_merlin_after_import_setup' );


add_action('init', 'do_output_buffer'); function do_output_buffer() { ob_start(); }
