<?php

add_action( 'init', 'nt_antidote_custom_theme_options' );
function nt_antidote_custom_theme_options() {
	if ( ! function_exists( 'ot_settings_id' ) || ! is_admin() )
	return false;
	$nt_antidote_saved_settings = get_option( ot_settings_id(), array() );
	$nt_antidote_custom_settings = array(
    'contextual_help' => array(
      'sidebar'     => ''
    ),
    'sections'=> array(
	array(
		'id'  	=> 'skin',
		'title' => esc_html('Theme Skin Color', 'nt-antidote' )
	),
	array(
		'id'  	=> 'pre',
		'title' => esc_html('Preloader', 'nt-antidote' )
	),
	array(
		'id'  	=> 'logo',
		'title' => esc_html('Logo Options', 'nt-antidote' )
	),
	array(
		'id'  	=> 'topheadersocial',
		'title' => esc_html('Header Top Options', 'nt-antidote' )
	),
	array(
		'id'  	=> 'topheader',
		'title' => esc_html('Header Info Options', 'nt-antidote' )
	),
	array(
		'id'  	=> 'navigation',
		'title' => esc_html('Header Navigation', 'nt-antidote' )
	),
	array(
		'id'  	=> 'sidebars_settings',
		'title' => esc_html('Sidebars Color', 'nt-antidote' )
	),
	array(
		'id'  	=> 'blog_page',
		'title' => esc_html('Blog Page', 'nt-antidote' )
	),
	array(
		'id'  	=> 'post_color',
		'title' => esc_html('Blog Post Color', 'nt-antidote' )
	),
	array(
		'id'  	=> 'single_page',
		'title' => esc_html('Single Page Header', 'nt-antidote' )
	),
	array(
		'id'  	=> 'archive_page',
		'title' => esc_html('Archive Page Header', 'nt-antidote' )
	),
	array(
		'id'  => 'error_page',
		'title' => esc_html('404 Page Header', 'nt-antidote' )
	),
	array(
		'id'  	=> 'search_page',
		'title' => esc_html('Search Page Header', 'nt-antidote' )
	),
	array(
		'id'  	=> 'breadcrubms',
		'title' => esc_html('Breadcrubms', 'nt-antidote' )
	),
	array(
		'id'  	=> 'footer',
		'title' => esc_html('Footer Widgetize', 'nt-antidote' )
	),
	array(
		'id'  	=> 'copyright',
		'title' => esc_html('Footer Copyright', 'nt-antidote' )
	),
	array(
		'id'  	=> 'map',
		'title' => esc_html('Google Map', 'nt-antidote' )
	),
	array(
		'id'  	=> 'woo',
		'title' => esc_html('Woocommerce', 'nt-antidote' )
	),
  ),
	'settings'=> array(

	array(
        'id'          => 'woosingle',
        'label'       => esc_html__( 'Shop single page layout', 'nt-antidote' ),
        'desc'        => esc_html__( 'Please choose Shop single page layout type', 'nt-antidote' ),
        'std'         => 'right-sidebar',
        'type'        => 'radio-image',
        'section'     => 'woo',
        'operator'    => 'and'
	),
	array(
        'id'          => 'woopage',
        'label'       => esc_html__( 'Shop  page layout', 'nt-antidote' ),
        'desc'        => esc_html__( 'Please choose shop  page layout type', 'nt-antidote' ),
        'std'         => 'right-sidebar',
        'type'        => 'radio-image',
        'section'     => 'woo',
        'operator'    => 'and'
	),
	array(
        'id'          => 'nt_antidote_woopage_container',
        'label'       => esc_html('Shop page content Container Type', 'nt-antidote' ),
        'desc'        => esc_html('Please select shop page container type.', 'nt-antidote' ),
        'std'         => 'container',
        'type'        => 'select',
        'section'     => 'woo',
        'operator'    => 'and',
        'choices'     => array(
        array(
            'value' => 'container',
            'label' => esc_html('Default Container', 'nt-antidote' )
        ),
        array(
            'value' => 'container-fluid',
            'label' => esc_html('Container Fluid', 'nt-antidote' )
        )
      )
    ),
	array(
		'id'          => 'nt_antidote_shop_loop_column',
		'label'       => esc_html__('Shop page column', 'nt-antidote' ),
		'desc'        => esc_html__('Set your custom column size on shop page.', 'nt-antidote' ),
		'type'        => 'numeric-slider',
		'std'         => '4',
		'min_max_step'=> '1,6,1',
		'section'     => 'woo',
		'operator'    => 'and'
	),
	array(
		'id'          => 'nt_antidote_shop_perpage',
		'label'       => esc_html__('Shop page post count ( per page )', 'nt-antidote' ),
		'desc'        => esc_html__('Set your custom post count on shop page.', 'nt-antidote' ),
		'type'        => 'numeric-slider',
		'std'         => '20',
		'min_max_step'=> '0,100,1',
		'section'     => 'woo',
		'operator'    => 'and'
	),



	//'THEME SKIN  SETTINGS.
    array(
        'id'        => 'theme_skin_color',
        'label'     => esc_html('Theme color style', 'nt-antidote' ),
        'desc'      => esc_html('Please select theme color style', 'nt-antidote' ),
        'std'       => 'color1.css',
        'type'      => 'select',
        'section'   => 'skin',
        'operator'  => 'and',
        'choices'   => array(
        array(
            'value' => 'color1.css',
            'label' => esc_html('Style 1 ( Green )', 'nt-antidote' ),
            'src'   => ''
        ),
        array(
            'value' => 'color2.css',
            'label' => esc_html('Style 2 ( Yellow )', 'nt-antidote' ),
            'src'   => ''
        ),
        array(
            'value' => 'color3.css',
            'label' => esc_html('Style 3 ( Saxe )', 'nt-antidote' ),
            'src'   => ''
        ),
        array(
            'value' => 'color4.css',
            'label' => esc_html('Style 4 ( Blue )', 'nt-antidote' ),
            'src'   => ''
        ),
        array(
            'value' => 'color5.css',
            'label' => esc_html('Style 5 ( Dark moderate orange. )', 'nt-antidote' ),
            'src'   => ''
        ),
        array(
            'value' => 'custom',
            'label' => esc_html('Custom Color Style', 'nt-antidote' ),
            'src'   => ''
        ),

      )
    ),

    array(
        'id'        => 'theme_skin_bgcolor1',
        'label'     => esc_html('Primary color', 'nt-antidote' ),
        'desc'      => esc_html('Please select color', 'nt-antidote' ),
        'type'      => 'colorpicker',
        'section'   => 'skin',
		'condition' => 'theme_skin_color:is(custom)',
        'operator'  => 'and'
    ),
    array(
        'id'        => 'theme_skin_bghovercolor',
        'label'     => esc_html('Primary hover color', 'nt-antidote' ),
        'desc'      => esc_html('Please select color', 'nt-antidote' ),
        'type'      => 'colorpicker',
        'section'   => 'skin',
		'condition' => 'theme_skin_color:is(custom)',
        'operator'  => 'and'
    ),
    array(
        'id'        => 'theme_skin_bgcolor2',
        'label'     => esc_html('Secondary color', 'nt-antidote' ),
        'desc'      => esc_html('Please select color', 'nt-antidote' ),
        'type'      => 'colorpicker',
        'section'   => 'skin',
		'condition' => 'theme_skin_color:is(custom)',
        'operator'  => 'and'
    ),


	//PRELOADER  SETTINGS.
	array(
        'id'        => 'nt_antidote_pre',
        'label'     => esc_html( 'Preloader', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Preloader display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'on',
        'type'      => 'on-off',
        'section'   => 'pre',
        'operator'  => 'and'
    ),
	 array(
        'id'        => 'nt_antidote_pre_type',
        'label'     => esc_html('Preloader types', 'nt-antidote' ),
        'desc'      => esc_html('Please choose a preloader type', 'nt-antidote' ),
        'std'       => '12',
        'type'      => 'select',
        'section'   => 'pre',
        'operator'  => 'and',
        'choices'   => array(
        array(
            'value' => '01',
            'label' => esc_html('Type 1', 'nt-antidote' ),
        ),
        array(
            'value' => '02',
            'label' => esc_html('Type 2', 'nt-antidote' ),
        ),
        array(
            'value' => '03',
            'label' => esc_html('Type 3', 'nt-antidote' ),
        ),
        array(
            'value' => '04',
            'label' => esc_html('Type 4', 'nt-antidote' ),
        ),
        array(
            'value' => '05',
            'label' => esc_html('Type 5', 'nt-antidote' ),
        ),
        array(
            'value' => '06',
            'label' => esc_html('Type 6', 'nt-antidote' ),
        ),
        array(
            'value' => '07',
            'label' => esc_html('Type 7', 'nt-antidote' ),
        ),
        array(
            'value' => '08',
            'label' => esc_html('Type 8', 'nt-antidote' ),
        ),
        array(
            'value' => '09',
            'label' => esc_html('Type 9', 'nt-antidote' ),
        ),
        array(
            'value' => '10',
            'label' => esc_html('Type 10', 'nt-antidote' ),
        ),
        array(
            'value' => '11',
            'label' => esc_html('Type 11', 'nt-antidote' ),
        ),
        array(
            'value' => '12',
            'label' => esc_html('Type 12', 'nt-antidote' ),
        ),
      )
    ),
	array(
		'id'        => 'nt_antidote_prebgcolor',
		'label'     => esc_html( 'Preloader BG color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'condition' => 'nt_antidote_pre:is(on)',
		'section'   => 'pre'
	),

	//MINI HEADER  SETTINGS.
	array(
		'id'        => 'nt_antidote_header_mini_tab',
		'label'     => esc_html__( 'Header Top Options', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'topheadersocial'
	),

	array(
        'id'        => 'nt_antidote_header_mini_display',
        'label'     => esc_html( 'Header top visibility', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Please choose header top section display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'on',
        'type'      => 'on-off',
        'section'   => 'topheadersocial',
    ),
	array(
		'id'    	=> 'nt_antidote_h_t_slogan',
		'label' 	=> esc_html( 'Header top left slogan text', 'nt-antidote' ),
		'desc'  	=> esc_html( 'Enter custom text', 'nt-antidote' ),
		'type'  	=> 'text',
		'section'   => 'topheadersocial',
	),

	array(
		'id'        => 'nt_antidote_header_mini_tab_soc',
		'label'     => esc_html__( 'Header Social', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'topheadersocial'
	),
	array(
        'id'        => 'nt_antidote_topheader_socials',
        'label'     => esc_html( 'Header top social icons', 'nt-antidote' ),
        'desc'      => esc_html( 'Add social icons', 'nt-antidote' ),
        'type'      => 'list-item',
        'section'   => 'topheadersocial',
        'settings'  => array(
			array(
				'id'    => 'nt_antidote_tsc',
				'label' => esc_html( 'Social icon classes', 'nt-antidote' ),
				'desc'  => esc_html( 'Enter social icon item classes. Examples: fa fa-twitter or another font family icon classes', 'nt-antidote' ),
				'type'  => 'text'
			),
			array(
				'id'    => 'nt_antidote_tsu',
				'label' => esc_html( 'Social icon URL', 'nt-antidote' ),
				'desc'  => esc_html( 'Enter URL / Link', 'nt-antidote' ),
				'type'  => 'text'
			)
      )
    ),
	array(
        'id'        => 'nt_antidote_tst',
        'label'     => esc_html( 'Social icons target type', 'nt-antidote' ),
        'desc'      => esc_html( 'Select target type. Default : _blank' , 'nt-antidote' ),
        'std'       => '_blank',
        'type'      => 'select',
        'section'   => 'topheadersocial',
        'operator'  => 'and',
        'choices'   => array(
        array(
            'value' => '_blank',
            'label' => esc_html( 'blank', 'nt-antidote' )
        ),
        array(
            'value' => '_self',
            'label' => esc_html( 'self', 'nt-antidote' )
        ),
        array(
            'value' => '_parent',
            'label' => esc_html( 'parent', 'nt-antidote' )
        ),
        array(
            'value' => '_top',
            'label' => esc_html( 'top', 'nt-antidote' )
        ),
      )
	),
	array(
		'id'          => 'nt_antidote_top_sifs',
		'label'       => esc_html__('Socil icon font-size ', 'nt-antidote' ),
		'desc'        => esc_html__('Socil icon font-size ', 'nt-antidote' ),
		'type'        => 'numeric-slider',
		'min_max_step'=> '0,100',
		'section'     => 'topheadersocial',
		'operator'    => 'and'
	),
	array(
		'id'        => 'nt_antidote_header_mini_color_tab',
		'label'     => esc_html__( 'Design Options', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'topheadersocial'
	),
	array(
		'id'        => 'nt_antidote_header_mini_bg_color',
		'label'     => esc_html( 'Header mini background color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'topheadersocial'
	),
	array(
		'id'        => 'nt_antidote_header_mini_text_color',
		'label'     => esc_html( 'Header mini text color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'topheadersocial'
	),
	array(
		'id'        => 'nt_antidote_header_mini_icon_bg',
		'label'     => esc_html( 'Header mini icon background color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'topheadersocial'
	),
	array(
		'id'        => 'nt_antidote_header_mini_icon_border',
		'label'     => esc_html( 'Header mini icon border left-right color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'topheadersocial'
	),
	array(
		'id'        => 'nt_antidote_header_mini_icon_color',
		'label'     => esc_html( 'Header mini icon text color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'topheadersocial'
	),
	array(
		'id'        => 'nt_antidote_header_mini_icon_hover',
		'label'     => esc_html( 'Header mini icon hover background color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'topheadersocial'
	),
	array(
        'id'        => 'nt_antidote_topheader_info',
        'label'     => esc_html('Top Header type', 'nt-antidote' ),
        'desc'      => esc_html('Please choose top-header section type', 'nt-antidote' ),
        'std'       => 'default',
        'type'      => 'select',
        'section'   => 'topheader',
        'operator'  => 'and',
        'choices'   => array(
        array(
            'value' => 'default',
            'label' => esc_html('Default info', 'nt-antidote' ),
        ),
        array(
            'value' => 'custom',
            'label' => esc_html('Custom info', 'nt-antidote' ),
        )
      )
    ),
	array(
        'id'        => 'nt_antidote_topheader_custom_info',
        'label'     => esc_html( 'Custom top header', 'nt-antidote' ),
        'desc'      => esc_html( 'Add custom info for top header section', 'nt-antidote' ),
        'type'      => 'list-item',
        'section'   => 'topheader',
		'condition' => 'nt_antidote_topheader_info:is(custom)',
        'settings'  => array(
        array(
            'id'    => 'nt_antidote_topheader_item_iconname',
			'label' => esc_html( 'Info icon name', 'nt-antidote' ),
			'desc'  => esc_html( 'Enter custom icon name', 'nt-antidote' ),
			'std'   => 'icofont icofont-clock-time',
            'type'  => 'text'
        ),
        array(
            'id'    => 'nt_antidote_topheader_item_info1',
			'label' => esc_html( 'Info', 'nt-antidote' ),
			'desc'  => esc_html( 'Enter custom info 1', 'nt-antidote' ),
			'std'   => '9am - 7pm',
            'type'  => 'text'
        ),
        array(
            'id'    => 'nt_antidote_topheader_item_info2',
			'label' => esc_html( 'Info', 'nt-antidote' ),
			'desc'  => esc_html( 'Enter custom info 2', 'nt-antidote' ),
			'std'   => 'Mon - Sat',
            'type'  => 'text'
        ),
      )
    ),
	array(
		'id'        => 'nt_antidote_topheader_location_tab',
		'label'     => esc_html( 'Location Address', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'topheader'
	),
	array(
        'id'        => 'nt_antidote_topheader_location_show',
        'label'     => esc_html( 'location address display', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Location address display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'on',
        'type'      => 'on-off',
        'section'   => 'topheader',
		'condition' => 'nt_antidote_topheader_info:is(default)',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_topheader_location_icon',
		'label'     => esc_html('location icon', 'nt-antidote' ),
		'desc'      => esc_html('Enter your custom icon name for location address.Theme supports this fonticon ( IconFont Icon, Fontawesome Icon )', 'nt-antidote' ),
        'std'       => 'icofont icofont-social-google-map',
        'type'      => 'text',
        'section'   => 'topheader',
        'condition' => 'nt_antidote_topheader_info:is(default)',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_topheader_location_city',
		'label'     => esc_html('city name', 'nt-antidote' ),
		'desc'      => esc_html('Enter your city name', 'nt-antidote' ),
        'std'       => '24, Lane Street',
        'type'      => 'text',
        'section'   => 'topheader',
        'condition' => 'nt_antidote_topheader_info:is(default)',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_topheader_location_country',
		'label'     => esc_html('country name', 'nt-antidote' ),
		'desc'      => esc_html('Enter your country name', 'nt-antidote' ),
        'std'       => 'New York, USA',
        'type'      => 'text',
        'section'   => 'topheader',
        'condition' => 'nt_antidote_topheader_info:is(default)',
        'operator'  => 'and'
    ),
	array(
		'id'        => 'nt_antidote_topheader_working_tab',
		'label'     => esc_html( 'Working hours', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'topheader'
	),
	array(
        'id'        => 'nt_antidote_topheader_working_hours_show',
        'label'     => esc_html( 'working hours display', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Location address display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'on',
        'type'      => 'on-off',
        'section'   => 'topheader',
		'condition' => 'nt_antidote_topheader_info:is(default)',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_topheader_working_hours_icon',
		'label'     => esc_html('working hours icon', 'nt-antidote' ),
		'desc'      => esc_html('Enter your custom icon name for working hours.Theme supports this fonticon ( IconFont Icon, Fontawesome Icon )', 'nt-antidote' ),
        'std'       => 'icofont icofont-clock-time',
        'type'      => 'text',
        'section'   => 'topheader',
        'condition' => 'nt_antidote_topheader_info:is(default)',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_topheader_working_hours',
		'label'     => esc_html('working hours', 'nt-antidote' ),
		'desc'      => esc_html('Enter your working hours', 'nt-antidote' ),
        'std'       => '9am - 7pm',
        'type'      => 'text',
        'section'   => 'topheader',
        'condition' => 'nt_antidote_topheader_info:is(default)',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_topheader_working_day',
		'label'     => esc_html('working days', 'nt-antidote' ),
		'desc'      => esc_html('Enter your working days', 'nt-antidote' ),
        'std'       => 'Mon - Sat',
        'type'      => 'text',
        'section'   => 'topheader',
        'condition' => 'nt_antidote_topheader_info:is(default)',
        'operator'  => 'and'
    ),
	array(
		'id'        => 'nt_antidote_topheader_contact_tab',
		'label'     => esc_html( 'Mail', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'topheader'
	),
	array(
        'id'        => 'nt_antidote_topheader_contact_show',
        'label'     => esc_html( 'Mail display', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Mail display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'on',
        'type'      => 'on-off',
        'section'   => 'topheader',
		'condition' => 'nt_antidote_topheader_info:is(default)',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_topheader_contact_icon',
		'label'     => esc_html('Mail icon', 'nt-antidote' ),
		'desc'      => esc_html('Enter your custom icon name for mail-to.Theme supports this fonticon ( IconFont Icon, Fontawesome Icon )', 'nt-antidote' ),
        'std'       => 'icofont icofont-contacts',
        'type'      => 'text',
        'section'   => 'topheader',
        'condition' => 'nt_antidote_topheader_info:is(default)',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_topheader_mail_to',
		'label'     => esc_html('Mail', 'nt-antidote' ),
		'desc'      => esc_html('Enter your mail.Format : info@company.com', 'nt-antidote' ),
        'std'       => 'info@company.com',
        'type'      => 'text',
        'section'   => 'topheader',
        'condition' => 'nt_antidote_topheader_info:is(default)',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_topheader_phone_number',
		'label'     => esc_html('Phone number', 'nt-antidote' ),
		'desc'      => esc_html('Enter your phone number.', 'nt-antidote' ),
        'std'       => '+021-3421-543',
        'type'      => 'text',
        'section'   => 'topheader',
        'condition' => 'nt_antidote_topheader_info:is(default)',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_topheader_phone_link',
		'label'     => esc_html('Phone Custom link', 'nt-antidote' ),
		'desc'      => esc_html('Enter your phone number.', 'nt-antidote' ),
        'std'       => '#0',
        'type'      => 'text',
        'section'   => 'topheader',
        'condition' => 'nt_antidote_topheader_info:is(default)',
        'operator'  => 'and'
    ),
	array(
		'id'        => 'nt_antidote_topheader_saerch_tab',
		'label'     => esc_html( 'Search Form', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'topheader'
	),
	array(
        'id'        => 'nt_antidote_topheader_search_show',
        'label'     => esc_html( 'Search Form display', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Search Form display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'on',
        'type'      => 'on-off',
        'section'   => 'topheader',
        'operator'  => 'and'
    ),

	// LOGO OPTIONS
		array(
			'id'          => 'nt_antidote_logo_type',
			'label'       => esc_html__('Logo Type', 'nt-antidote' ),
			'desc'        => esc_html__('Choose logo type', 'nt-antidote' ),
			'std'         => 'text',
			'type'        => 'select',
			'section'     => 'logo',
			'operator'    => 'and',
			'choices'     => array(
				array(
					'value'	=> 'img',
					'label'	=> esc_html__('Image Logo', 'nt-antidote' ),
				),
				array(
					'value'	=> 'text',
					'label'	=> esc_html__('Text Logo', 'nt-antidote' ),
				)
			)
		),
		array(
			'id'          => 'nt_antidote_text_logo',
			'label'       => esc_html__('Text logo', 'nt-antidote' ),
			'desc'        => esc_html__('Text logo', 'nt-antidote' ),
			'std'         => 'ANTIDOTE',
			'type'        => 'text',
			'condition'   => 'nt_antidote_logo_type:is(text)',
			'section'     => 'logo'
		),
		array(
			'id'          => 'nt_antidote_img_logo',
			'label'       => esc_html__( 'Upload logo image', 'nt-antidote' ),
			'desc'        => esc_html__( 'Upload logo image', 'nt-antidote' ),
			'type'        => 'upload',
			'condition'   => 'nt_antidote_logo_type:is(img)',
			'section'     => 'logo'
		),
		array(
			'id'          => 'nt_antidote_logo_dimension',
			'label'       => esc_html__( 'Logo dimension', 'nt-antidote' ),
			'desc'        => esc_html__( 'Logo dimension', 'nt-antidote' ),
			'type'        => 'dimension',
			'condition'   => 'nt_antidote_logo_type:is(img)',
			'section'     => 'logo',
		),
		array(
			'id'          => 'nt_antidote_staticlogo_color',
			'label'       => esc_html__( 'Static text logo color', 'nt-antidote' ),
			'desc'        => esc_html__( 'Please select color for Menu text logo', 'nt-antidote' ),
			'type'        => 'colorpicker',
			'condition'   => 'nt_antidote_logo_type:is(text)',
			'section'     => 'logo'
		),
		array(
			'id'          => 'nt_antidote_textlogo_fs',
			'label'       => esc_html__('Font size', 'nt-antidote' ),
			'desc'        => esc_html__('Font size for text logo', 'nt-antidote' ),
			'std'         => '36',
			'type'        => 'numeric-slider',
			'condition'   => 'nt_antidote_logo_type:is(text)',
			'min_max_step'=> '0,100',
			'section'     => 'logo',
			'operator'    => 'and'
		),
		array(
			'id'          => 'nt_antidote_textlogo_fw',
			'label'       => esc_html__('Font weight', 'nt-antidote' ),
			'desc'        => esc_html__('Font weight for text logo', 'nt-antidote' ),
			'std'         => '700',
			'type'        => 'numeric-slider',
			'condition'   => 'nt_antidote_logo_type:is(text)',
			'min_max_step'=> '100,900,100',
			'section'     => 'logo',
			'operator'    => 'and'
		),
		array(
			'id'          => 'nt_antidote_textlogo_lettersp',
			'label'       => esc_html__('Letter spacing', 'nt-antidote' ),
			'desc'        => esc_html__('Letter spacing for text logo', 'nt-antidote' ),
			'std'         => '0',
			'type'        => 'numeric-slider',
			'condition'   => 'nt_antidote_logo_type:is(text)',
			'min_max_step'=> '0,10',
			'section'     => 'logo',
			'operator'    => 'and'
		),
		array(
			'id'          => 'nt_antidote_textlogo_fstyle',
			'label'       => esc_html__('Font style', 'nt-antidote' ),
			'desc'        => esc_html__('Choose font style for text logo', 'nt-antidote' ),
			'std'         => 'normal',
			'type'        => 'select',
			'section'     => 'logo',
			'condition'   => 'nt_antidote_logo_type:is(text)',
			'operator'    => 'and',
			'choices'     => array(
				array(
					'value'	=> 'normal',
					'label'	=> esc_html__('Normal', 'nt-antidote' ),
					'src'	=> ''
				),
				array(
					'value'	=> 'italic',
					'label'	=> esc_html__('Italic', 'nt-antidote' ),
					'src'	=> ''
				)
			)
		),
		array(
			'id'          => 'nt_antidote_padding_logo',
			'label'       => esc_html__( 'Logo padding', 'nt-antidote' ),
			'desc'        => esc_html__( 'Logo padding', 'nt-antidote' ),
			'type'        => 'spacing',
			'section'     => 'logo',
		),
		array(
			'id'          => 'nt_antidote_margin_logo',
			'label'       => esc_html__( 'Logo margin', 'nt-antidote' ),
			'desc'        => esc_html__( 'Logo margin', 'nt-antidote' ),
			'type'        => 'spacing',
			'section'     => 'logo',
		),

	// NAVIGATION SETTINGS

	array(
		'id'        => 'nt_antidote_nav_general',
		'label'     => esc_html( 'General', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'navigation'
	),

    array(
        'id'        => 'nt_antidote_navigation_type',
        'label'     => esc_html('Navigation Config', 'nt-antidote' ),
        'desc'      => esc_html('Please choose navigation', 'nt-antidote' ),
        'std'       => 'default',
        'type'      => 'select',
        'section'   => 'navigation',
        'operator'  => 'and',
        'choices'   => array(
        array(
            'value' => 'default',
            'label' => esc_html('Default Primary Menu', 'nt-antidote' ),
        ),
        array(
            'value' => 'megamenu',
            'label' => esc_html('LMM Mega Primary Menu ( Plugin )', 'nt-antidote' ),
        ),
      )
    ),
		array(
			'id'          => 'nt_antidote_nav_menu_fs',
			'label'       => esc_html__('Header menu font size', 'nt-antidote' ),
			'desc'        => esc_html__('Header menu font size', 'nt-antidote' ),
			'type'        => 'numeric-slider',
			'min_max_step'=> '0,100',
			'section'     => 'navigation',
			'operator'    => 'and'
		),

	array(
		'id'        => 'nt_antidote_nav_button',
		'label'     => esc_html( 'Menu Button', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'navigation'
	),

	array(
        'id'        => 'nt_antidote_nav_free_quote_btn_show',
        'label'     => esc_html( 'Menu button visibility', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Navigation button display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'on',
        'type'      => 'on-off',
        'section'   => 'navigation',
		'condition' => 'nt_antidote_navigation_type:is(default)',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_nav_free_quote_btn',
		'label'     => esc_html('Menu button title', 'nt-antidote' ),
		'desc'      => esc_html('Enter  button title', 'nt-antidote' ),
        'std'       => 'get a free quote',
        'type'      => 'text',
        'section'   => 'navigation',
        'condition' => 'nt_antidote_navigation_type:is(default)',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_nav_free_quote_url',
		'label'     => esc_html('Menu button url', 'nt-antidote' ),
		'desc'      => esc_html('Enter  button url/link', 'nt-antidote' ),
        'std'       => '#0',
        'type'      => 'text',
        'section'   => 'navigation',
        'condition' => 'nt_antidote_navigation_type:is(default)',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_nav_free_quote_btn_target',
		'label'     => esc_html('Menu button target type', 'nt-antidote' ),
		'desc'      => esc_html('Enter button target. Default : _blank', 'nt-antidote' ),
        'std'       => '_blank',
        'type'      => 'text',
        'section'   => 'navigation',
        'condition' => 'nt_antidote_navigation_type:is(default)',
        'operator'  => 'and'
    ),

	array(
		'id'        => 'nt_antidote_nav_design',
		'label'     => esc_html( 'Design', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'navigation'
	),
	array(
		'id'          => 'nt_antidote_nav_bg',
		'label'       => esc_html__( 'Menu background color', 'nt-antidote' ),
		'desc'        => esc_html__( 'Please select color', 'nt-antidote' ),
		'type'        => 'colorpicker',
		'section'     => 'navigation'
	),
	array(
		'id'          => 'nt_antidote_nav_item',
		'label'       => esc_html__( 'Menu item color', 'nt-antidote' ),
		'desc'        => esc_html__( 'Please select color', 'nt-antidote' ),
		'type'        => 'colorpicker',
		'section'     => 'navigation'
	),
	array(
		'id'          => 'nt_antidote_nav_itemhover',
		'label'       => esc_html__( 'Menu item hover color', 'nt-antidote' ),
		'desc'        => esc_html__( 'Please select color', 'nt-antidote' ),
		'type'        => 'colorpicker',
		'section'     => 'navigation'
	),

	// dropdown menu
	array(
		'id'        => 'nt_antidote_nav_dropdown_design',
		'label'     => esc_html( 'Dropdown Design', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'navigation'
	),
	array(
		'id'          => 'nt_antidote_dropdown_bg',
		'label'       => esc_html__( 'Menu dropdown color', 'nt-antidote' ),
		'desc'        => esc_html__( 'Please select color', 'nt-antidote' ),
		'type'        => 'colorpicker',
		'section'     => 'navigation'
	),
	array(
		'id'          => 'nt_antidote_dropdown_item',
		'label'       => esc_html__( 'Menu dropdown inner item color', 'nt-antidote' ),
		'desc'        => esc_html__( 'Please select color', 'nt-antidote' ),
		'type'        => 'colorpicker',
		'section'     => 'navigation'
	),
	array(
		'id'          => 'nt_antidote_dropdown_itemhover',
		'label'       => esc_html__( 'Menu dropdown inner item hover color', 'nt-antidote' ),
		'desc'        => esc_html__( 'Please select color', 'nt-antidote' ),
		'type'        => 'colorpicker',
		'section'     => 'navigation'
	),

	// dropdown menu
	array(
		'id'        => 'nt_antidote_nav_mobile_design',
		'label'     => esc_html( 'Mobile Design', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'navigation'
	),
	array(
		'id'          => 'nt_antidote_mobile_bg',
		'label'       => esc_html__( 'Mobile menu background color', 'nt-antidote' ),
		'desc'        => esc_html__( 'Please select color', 'nt-antidote' ),
		'type'        => 'colorpicker',
		'section'     => 'navigation'
	),
	array(
		'id'          => 'nt_antidote_mobile_item',
		'label'       => esc_html__( 'Mobile menu item color', 'nt-antidote' ),
		'desc'        => esc_html__( 'Please select color', 'nt-antidote' ),
		'type'        => 'colorpicker',
		'section'     => 'navigation'
	),
	array(
		'id'          => 'nt_antidote_mobile_itemhover',
		'label'       => esc_html__( 'Mobile menu item hover color', 'nt-antidote' ),
		'desc'        => esc_html__( 'Please select color', 'nt-antidote' ),
		'type'        => 'colorpicker',
		'section'     => 'navigation'
	),

	// mobile menu button
	array(
		'id'          => 'nt_antidote_mobile_btntoggler',
		'label'       => esc_html__( 'Mobile menu button color', 'nt-antidote' ),
		'desc'        => esc_html__( 'Please select color', 'nt-antidote' ),
		'type'        => 'colorpicker',
		'section'     => 'navigation'
	),

	// button design
	array(
		'id'        => 'nt_antidote_nav_btn_design',
		'label'     => esc_html( 'Button Design', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'navigation'
	),
	array(
		'id'          => 'nt_antidote_nav_button_bg',
		'label'       => esc_html__( 'Menu button background color', 'nt-antidote' ),
		'desc'        => esc_html__( 'Please select color', 'nt-antidote' ),
		'type'        => 'colorpicker',
		'section'     => 'navigation'
	),
	array(
		'id'          => 'nt_antidote_nav_button_c',
		'label'       => esc_html__( 'Menu button text color', 'nt-antidote' ),
		'desc'        => esc_html__( 'Please select color', 'nt-antidote' ),
		'type'        => 'colorpicker',
		'section'     => 'navigation'
	),
	array(
		'id'          => 'nt_antidote_nav_button_hc',
		'label'       => esc_html__( 'Menu button hover background color', 'nt-antidote' ),
		'desc'        => esc_html__( 'Please select color', 'nt-antidote' ),
		'type'        => 'colorpicker',
		'section'     => 'navigation'
	),


	//SIDEBAR COLOR SETTINGS.

    array(
        'id'        => 'nt_antidote_sb_bg',
        'label'     => esc_html('Theme Sidebar widget area background color', 'nt-antidote' ),
        'desc'      => esc_html('Please select color', 'nt-antidote' ),
        'type'      => 'colorpicker-opacity',
        'section'   => 'sidebars_settings',
    ),
    array(
        'id'        => 'nt_antidote_sb_tbc',
        'label'     => esc_html('Widget title background color', 'nt-antidote' ),
        'desc'      => esc_html('Please select color', 'nt-antidote' ),
        'type'      => 'colorpicker-opacity',
        'section'   => 'sidebars_settings',
    ),
    array(
        'id'        => 'nt_antidote_sb_tc',
        'label'     => esc_html('Widget title color', 'nt-antidote' ),
        'desc'      => esc_html('Please select color', 'nt-antidote' ),
        'type'      => 'colorpicker-opacity',
        'section'   => 'sidebars_settings',
    ),
    array(
        'id'        => 'nt_antidote_sb_tbbc',
        'label'     => esc_html('Widget title border bottom color', 'nt-antidote' ),
        'desc'      => esc_html('Please select color', 'nt-antidote' ),
        'type'      => 'colorpicker-opacity',
        'section'   => 'sidebars_settings',
    ),
    array(
        'id'        => 'nt_antidote_sb_l_c',
        'label'     => esc_html('Widget link color', 'nt-antidote' ),
        'desc'      => esc_html('Please select color', 'nt-antidote' ),
        'type'      => 'colorpicker-opacity',
        'section'   => 'sidebars_settings',
    ),
    array(
        'id'        => 'nt_antidote_sb_l_c_h',
        'label'     => esc_html('Widget link hover color', 'nt-antidote' ),
        'desc'      => esc_html('Please select color', 'nt-antidote' ),
        'type'      => 'colorpicker-opacity',
        'section'   => 'sidebars_settings',
    ),
    array(
        'id'        => 'nt_antidote_sb_s_bg',
        'label'     => esc_html('Sidebar search widget input background color', 'nt-antidote' ),
        'desc'      => esc_html('Please select color', 'nt-antidote' ),
        'type'      => 'colorpicker-opacity',
        'section'   => 'sidebars_settings',
    ),
    array(
        'id'        => 'nt_antidote_sb_s_t',
        'label'     => esc_html('Sidebar search widget input color', 'nt-antidote' ),
        'desc'      => esc_html('Please select color', 'nt-antidote' ),
        'type'      => 'colorpicker-opacity',
        'section'   => 'sidebars_settings',
    ),
    array(
        'id'        => 'nt_antidote_sb_s_b_t',
        'label'     => esc_html('Sidebar search widget input border color', 'nt-antidote' ),
        'desc'      => esc_html('Please select color', 'nt-antidote' ),
        'type'      => 'colorpicker-opacity',
        'section'   => 'sidebars_settings',
    ),

	//POST SETTINGS.
	array(
		'id'        => 'nt_antidote_blogposttitlecolor',
		'label'     => esc_html( 'Post Title color', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'post_color'
	),
	array(
		'id'        => 'nt_antidote_blogposttitlhoverecolor',
		'label'     => esc_html( 'Post Title hover color', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'post_color'
	),
	array(
		'id'        => 'nt_antidote_blogmetacolor',
		'label'     => esc_html( 'Post Meta color', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'post_color'
	),
	array(
		'id'        => 'nt_antidote_blogmetahovercolor',
		'label'     => esc_html( 'Post Meta hover color', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'post_color'
	),
	array(
		'id'        => 'nt_antidote_blogpostparagraphcolor',
		'label'     => esc_html( 'Post Paragraph color', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'post_color'
	),
	array(
		'id'        => 'nt_antidote_blogpostbuttonbgcolor',
		'label'     => esc_html( 'Pager button bg color', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'post_color'
	),
	array(
		'id'        => 'nt_antidote_blogpostbuttonbghovercolor',
		'label'     => esc_html( 'Pager button bg hover color', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'post_color'
	),
	array(
		'id'        => 'nt_antidote_blogpostbuttontitlecolor',
		'label'     => esc_html( 'Pager button title color', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'post_color'
	),
	array(
		'id'        => 'nt_antidote_blogpostbuttontitlehovercolor',
		'label'     => esc_html( 'Pager button title hover color', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'post_color'
	),

	//BLOG PAGE HEADER SETTINGS.
	array(
		'id'        => 'nt_antidote_blog_post_type_tab',
		'label'     => esc_html( 'Blog Layout', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'blog_page'
	),
	array(
        'id'        => 'nt_antidote_bloglayout',
        'label'     => esc_html( 'Blog Layout', 'nt-antidote' ),
        'desc'      => esc_html( 'Please choose blog page layout type', 'nt-antidote' ),
        'std'       => 'right-sidebar',
        'type'      => 'radio-image',
        'section'   => 'blog_page',
        'operator'  => 'and'
	),
	array(
        'id'        => 'nt_antidote_blog_content_type',
        'label'     => esc_html( 'Blog post style', 'nt-antidote' ),
        'desc'      => esc_html( 'You can change blog post content style with this option', 'nt-antidote' ),
        'std'       => 'default',
        'type'      => 'select',
        'section'   => 'blog_page',
        'operator'  => 'and',
        'choices'   => array(
        array(
            'value' => 'default',
            'label' => esc_html( 'Default', 'nt-antidote' )
        ),
		array(
            'value' => 'masonry',
            'label' => esc_html( 'Masonry', 'nt-antidote' )
        )
      )
	),

	array(
        'id'        => 'nt_antidote_blog_post_default_textalign',
        'label'     => esc_html( 'Text align style', 'nt-antidote' ),
        'desc'      => esc_html( 'You can change text align style with this option', 'nt-antidote' ),
        'std'       => 'default',
        'type'      => 'select',
        'section'   => 'blog_page',
		'condition' => 'nt_antidote_blog_content_type:is(default)',
        'operator'  => 'and',
        'choices'   => array(
        array(
            'value' => 'left',
            'label' => esc_html( 'Left', 'nt-antidote' )
        ),
		array(
            'value' => 'center',
            'label' => esc_html( 'Center', 'nt-antidote' )
        ),
		array(
            'value' => 'right',
            'label' => esc_html( 'Right', 'nt-antidote' )
        ),
      )
	),
	array(
        'id'        => 'nt_antidote_post_desk_col',
        'label'     => esc_html( 'Masonry Column', 'nt-antidote' ),
        'desc'      => esc_html( 'You can change masonry column with this option', 'nt-antidote' ),
        'std'       => 'default',
        'type'      => 'select',
        'section'   => 'blog_page',
		'condition' => 'nt_antidote_blog_content_type:is(masonry)',
        'operator'  => 'and',
        'choices'   => array(
        array(
            'value' => '6',
            'label' => esc_html( '2 Column', 'nt-antidote' )
        ),
		array(
            'value' => '4',
            'label' => esc_html( '3 Column', 'nt-antidote' )
        ),
		array(
            'value' => '3',
            'label' => esc_html( '4 Column', 'nt-antidote' )
        ),
      )
	),
	array(
        'id'        => 'nt_antidote_blog_post_masonry_textalign',
        'label'     => esc_html( 'Text align style', 'nt-antidote' ),
        'desc'      => esc_html( 'You can change text align style with this option', 'nt-antidote' ),
        'std'       => 'default',
        'type'      => 'select',
        'section'   => 'blog_page',
		'condition' => 'nt_antidote_blog_content_type:is(masonry)',
        'operator'  => 'and',
        'choices'   => array(
        array(
            'value' => 'left',
            'label' => esc_html( 'Left', 'nt-antidote' )
        ),
		array(
            'value' => 'center',
            'label' => esc_html( 'Center', 'nt-antidote' )
        ),
		array(
            'value' => 'right',
            'label' => esc_html( 'Right', 'nt-antidote' )
        ),
      )
	),
	array(
		'id'        => 'nt_antidote_blog_header_tab',
		'label'     => esc_html( 'Design', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'blog_page'
	),
	array(
		'id'          => 'nt_antidote_blog_header_bg',
		'label'       =>  esc_html__( 'Blog pages header section background image', 'nt-antidote' ),
		'desc'        =>  esc_html__( 'You can upload your image for header', 'nt-antidote' ),
		'type'        => 'upload',
		'section'     => 'blog_page',
		'operator'    => 'and'
	),
	array(
		'id'          => 'nt_antidote_blog_header_height',
		'label'       => esc_html__('Blog header height', 'nt-antidote' ),
		'desc'        => esc_html__('Enter Blog header height', 'nt-antidote' ),
		'type'        => 'numeric-slider',
		'min_max_step'=> '0,100',
		'section'     => 'blog_page',
		'operator'    => 'and'
	),
	array(
		'id'          => 'nt_antidote_blog_header_bgcolor',
		'label'       => esc_html__( 'Blog page header section background color ', 'nt-antidote' ),
		'desc'        => esc_html__( 'Please select color', 'nt-antidote' ),
		'type'        => 'colorpicker-opacity',
		'section'     => 'blog_page'
	),
	array(
		'id'          => 'nt_antidote_blog_header_ptop',
		'label'       => esc_html__('Blog header padding top', 'nt-antidote' ),
		'desc'        => esc_html__('Enter Blog header padding top', 'nt-antidote' ),
		'type'        => 'numeric-slider',
		'min_max_step'=> '0,100',
		'section'     => 'blog_page',
		'operator'    => 'and'
	),
	array(
		'id'          => 'nt_antidote_blog_header_pbottom',
		'label'       => esc_html__('Blog header padding bottom', 'nt-antidote' ),
		'desc'        => esc_html__('Enter Blog header padding bottom', 'nt-antidote' ),
		'type'        => 'numeric-slider',
		'min_max_step'=> '0,100',
		'section'     => 'blog_page',
		'operator'    => 'and'
	),

	array(
		'id'        => 'nt_antidote_blog_heading_tab',
		'label'     => esc_html( 'Blog heading', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'blog_page'
	),
   	array(
        'id'        => 'nt_antidote_blog_disable_heading',
        'label'     => esc_html( 'Blog heading display', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Please select blog pages heading display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'on',
        'type'      => 'on-off',
        'section'   => 'blog_page',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_blog_heading',
        'label'     => esc_html( 'Blog Page Heading', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter Blog Heading', 'nt-antidote' ),
        'std'       => 'Latest news',
        'type'      => 'text',
		'condition' => 'nt_antidote_blog_disable_heading:is(on)',
        'section'   => 'blog_page'
    ),
	array(
		'id'        => 'nt_antidote_blog_heading_color',
		'label'     => esc_html( 'Blog Heading color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'condition' => 'nt_antidote_blog_disable_heading:is(on)',
		'section'   => 'blog_page'
	),

	array(
        'id'        => 'nt_antidote_blog_heading_fontsize',
        'label'     => esc_html('Blog Heading font size', 'nt-antidote' ),
        'std'       => '30',
        'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
        'section'   => 'blog_page',
		'condition' => 'nt_antidote_blog_disable_heading:is(on)',
		'operator'  => 'and'
	),

	array(
		'id'        => 'nt_antidote_blog_subtitle_tab',
		'label'     => esc_html( 'Blog subtitle', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'blog_page'
	),
   	array(
        'id'        => 'nt_antidote_blog_disable_subtitle',
        'label'     => esc_html( 'Blog subtitle display', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Please select blog pages subtitle display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'on',
        'type'      => 'on-off',
        'section'   => 'blog_page',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_blog_subtitle',
        'label'     => esc_html( 'Blog Page Subtitle', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter Blog Subtitle', 'nt-antidote' ),
        'std'       => 'read latest news from our blog',
        'type'      => 'text',
		'condition' => 'nt_antidote_blog_disable_subtitle:is(on)',
        'section'   => 'blog_page'
    ),
	array(
        'id'        => 'nt_antidote_blog_slogan_fontsize',
        'label'     => esc_html('Blog subtitle font size', 'nt-antidote' ),
        'std'       => '12',
        'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
        'section'   => 'blog_page',
		'condition' => 'nt_antidote_blog_disable_subtitle:is(on)',
		'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_blog_slogan_color',
		'label'     => esc_html( 'Blog subtitle color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'condition' => 'nt_antidote_blog_disable_subtitle:is(on)',
		'section'   => 'blog_page'
	),

	//SINGLE PAGE HEADER SETTINGS.
	array(
        'id'        => 'nt_antidote_postlayout',
        'label'     => esc_html( 'Blog single page layout', 'nt-antidote' ),
        'desc'      => esc_html( 'Please choose post page layout type', 'nt-antidote' ),
        'std'       => 'right-sidebar',
        'type'      => 'radio-image',
        'section'   => 'single_page',
        'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_single_header_tab',
		'label'     => esc_html( 'Single Header', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'single_page'
	),
	array(
		'id'        => 'nt_antidote_single_headbg',
		'label'     => esc_html('Upload single header image', 'nt-antidote' ),
		'type'      => 'upload',
		'section'   => 'single_page'
	),
	array(
		'id'        => 'nt_antidote_single_header_bgcolor',
		'label'     => esc_html( 'Single Header background color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'single_page'
	),
	array(
		'id'        => 'nt_antidote_single_header_bgheight',
		'label'     => esc_html('Single header height', 'nt-antidote' ),
		'std'       => '30',
		'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
		'section'   => 'single_page',
		'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_single_header_paddingtop',
		'label'     => esc_html('Single padding top', 'nt-antidote' ),
		'std'       => '30',
		'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
		'section'   => 'single_page',
		'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_single_header_paddingbottom',
		'label'     => esc_html('Single padding bottom', 'nt-antidote' ),
		'std'       => '30',
		'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
		'section'   => 'single_page',
		'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_single_heading_tab',
		'label'     => esc_html( 'Single heading', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'single_page'
	),
   	array(
        'id'        => 'nt_antidote_single_disable_heading',
        'label'     => esc_html( 'Single heading post title display', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Please select single pages heading post title  display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'on',
        'type'      => 'on-off',
        'section'   => 'single_page',
        'operator'  => 'and'
    ),
	array(
		'id'        => 'nt_antidote_singleheadingcolor',
		'label'     => esc_html( 'Single Pages Heading color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'condition' => 'nt_antidote_single_disable_heading:is(on)',
		'section'   => 'single_page'
	),
	array(
        'id'        => 'nt_antidote_single_heading_fontsize',
        'label'     => esc_html('Single Heading font size', 'nt-antidote' ),
        'std'       => '30',
        'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
        'section'   => 'single_page',
		'condition' => 'nt_antidote_single_disable_heading:is(on)',
		'operator'  => 'and'
	),

	//ARCHIVE PAGE HEADER SETTINGS.
	array(
        'id'        => 'nt_antidote_archive_layout',
        'label'     => esc_html( 'archive page layout', 'nt-antidote' ),
        'desc'      => esc_html( 'Please choose archive page layout type', 'nt-antidote' ),
        'std'       => 'right-sidebar',
        'type'      => 'radio-image',
        'section'   => 'archive_page',
        'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_archive_header_tab',
		'label'     => esc_html( 'Archive Header', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'archive_page'
	),
	array(
		'id'        => 'nt_antidote_archive_headbg',
		'label'     => esc_html('Upload archive header image', 'nt-antidote' ),
		'type'      => 'upload',
		'section'   => 'archive_page'
	),
	array(
		'id'        => 'nt_antidote_archive_header_bgcolor',
		'label'     => esc_html( 'Archive Header background color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'archive_page'
	),
	array(
		'id'        => 'nt_antidote_archive_header_bgheight',
		'label'     => esc_html('Archive header height', 'nt-antidote' ),
		'std'       => '30',
		'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
		'section'   => 'archive_page',
		'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_archive_header_paddingtop',
		'label'     => esc_html('Archive padding top', 'nt-antidote' ),
		'std'       => '30',
		'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
		'section'   => 'archive_page',
		'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_archive_header_paddingbottom',
		'label'     => esc_html('Archive padding bottom', 'nt-antidote' ),
		'std'       => '30',
		'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
		'section'   => 'archive_page',
		'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_archive_heading_tab',
		'label'     => esc_html( 'Archive heading', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'archive_page'
	),
   	array(
        'id'        => 'nt_antidote_archive_disable_heading',
        'label'     => esc_html( 'Archive heading display', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Please select archive pages heading display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'on',
        'type'      => 'on-off',
        'section'   => 'archive_page',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_archive_heading',
        'label'     => esc_html( 'Archive Page Heading', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter Archive Heading', 'nt-antidote' ),
        'std'       => '',
        'type'      => 'text',
		'condition' => 'nt_antidote_archive_disable_heading:is(on)',
        'section'   => 'archive_page'
    ),
	array(
		'id'        => 'nt_antidote_archiveheadingcolor',
		'label'     => esc_html( 'Archive Heading color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'condition' => 'nt_antidote_archive_disable_heading:is(on)',
		'section'   => 'archive_page'
	),
	array(
        'id'        => 'nt_antidote_archive_heading_fontsize',
        'label'     => esc_html('Archive Heading font size', 'nt-antidote' ),
        'std'       => '30',
        'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
        'section'   => 'archive_page',
		'condition' => 'nt_antidote_archive_disable_heading:is(on)',
		'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_archiveheadingcolor',
		'label'     => esc_html( 'Archive Heading color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'condition' => 'nt_antidote_archive_disable_heading:is(on)',
		'section'   => 'archive_page'
	),
	array(
		'id'        => 'nt_antidote_archive_subtitle_tab',
		'label'     => esc_html( 'Archive subtitle', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'archive_page'
	),
   	array(
        'id'        => 'nt_antidote_archive_disable_subtitle',
        'label'     => esc_html( 'Archive subtitle display', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Please select archive pages subtitle display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'on',
        'type'      => 'on-off',
        'section'   => 'archive_page',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_archive_subtitle',
        'label'     => esc_html( 'Archive Page Subtitle', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter Archive Subtitle', 'nt-antidote' ),
        'std'       => 'This is our archive page',
        'type'      => 'text',
		'condition' => 'nt_antidote_archive_disable_subtitle:is(on)',
        'section'   => 'archive_page'
    ),
		array(
			'id'        => 'nt_antidote_archivesubtitlecolor',
			'label'     => esc_html( 'Archive subtitle color ', 'nt-antidote' ),
			'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
			'type'      => 'colorpicker',
			'condition' => 'nt_antidote_archive_disable_subtitle:is(on)',
			'section'   => 'archive_page'
		),
	array(
        'id'        => 'nt_antidote_archive_subtitle_fontsize',
        'label'     => esc_html('Archive subtitle font size', 'nt-antidote' ),
        'std'       => '12',
        'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
		'condition' => 'nt_antidote_archive_disable_subtitle:is(on)',
        'section'   => 'archive_page',
		'operator'  => 'and'
	),


	//404 PAGE HEADER SETTINGS.
    array(
        'id'        => 'nt_antidote_error_content_type',
        'label'     => esc_html('404 Content type', 'nt-antidote' ),
        'desc'      => esc_html('Please choose 404 page content type', 'nt-antidote' ),
        'std'       => 'default',
        'type'      => 'select',
        'section'   => 'error_page',
        'operator'  => 'and',
        'choices'   => array(
        array(
            'value' => 'default',
            'label' => esc_html('Default 404 Content', 'nt-antidote' ),
            'src'   => ''
        ),
        array(
            'value' => 'custom',
            'label' => esc_html('Custom 404 Content', 'nt-antidote' ),
            'src'   => ''
        )
      )
    ),
	array(
        'id'        => 'nt_antidote_error_custom_content',
        'label'     => esc_html( 'Custom 404 Content', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter your custom content', 'nt-antidote' ),
        'std'       => '',
        'type'      => 'textarea',
		'condition' => 'nt_antidote_error_content_type:is(custom)',
        'section'   => 'error_page'
    ),
	array(
        'id'        => 'nt_antidote_404layout',
        'label'     => esc_html( '404 page layout', 'nt-antidote' ),
        'desc'      => esc_html( 'Please choose 404 page layout type', 'nt-antidote' ),
        'std'       => 'right-sidebar',
        'type'      => 'radio-image',
		'condition' => 'nt_antidote_error_content_type:is(custom)',
        'section'   => 'error_page',
        'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_error_header_tab',
		'label'     => esc_html( '404 Header', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'error_page'
	),
	array(
		'id'        => 'nt_antidote_error_headbg',
		'label'     => esc_html('Upload 404 header image', 'nt-antidote' ),
		'type'      => 'upload',
		'section'   => 'error_page'
	),
	array(
		'id'        => 'nt_antidote_error_header_bgcolor',
		'label'     => esc_html( '404 Header background color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'error_page'
	),
	array(
		'id'        => 'nt_antidote_error_header_bgheight',
		'label'     => esc_html('404 header height', 'nt-antidote' ),
		'std'       => '30',
		'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
		'section'   => 'error_page',
		'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_error_header_paddingtop',
		'label'     => esc_html('404 padding top', 'nt-antidote' ),
		'std'       => '30',
		'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
		'section'   => 'error_page',
		'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_error_header_paddingbottom',
		'label'     => esc_html('404 padding bottom', 'nt-antidote' ),
		'std'       => '30',
		'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
		'section'   => 'error_page',
		'operator'  => 'and'
	),

	array(
		'id'        => 'nt_antidote_error_heading_tab',
		'label'     => esc_html( '404 Heading', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'error_page'
	),
	array(
		 'id'        => 'nt_antidote_error_disable_heading',
		 'label'     => esc_html( '404 heading display', 'nt-antidote' ),
		 'desc'      => sprintf( esc_html( 'Please select 404 pages heading display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
		 'std'       => 'on',
		 'type'      => 'on-off',
		 'section'   => 'error_page',
 'condition' => 'nt_antidote_error_content_type:is(default)',
		 'operator'  => 'and'
 ),
array(
		 'id'        => 'nt_antidote_error_heading',
		 'label'     => esc_html( '404 Page Heading', 'nt-antidote' ),
		 'desc'      => esc_html( 'Enter 404 Heading', 'nt-antidote' ),
		 'std'       => '404 Page',
		 'type'      => 'text',
 'condition' => 'nt_antidote_error_content_type:is(default)',
		 'section'   => 'error_page'
 ),
	array(
		'id'        => 'nt_antidote_errorheadingcolor',
		'label'     => esc_html( '404 Heading color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'condition' => 'nt_antidote_error_content_type:is(default)',
		'section'   => 'error_page'
	),
	array(
        'id'        => 'nt_antidote_error_heading_fontsize',
        'label'     => esc_html('404 Heading font size', 'nt-antidote' ),
        'std'       => '30',
        'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
        'section'   => 'error_page',
		'condition' => 'nt_antidote_error_content_type:is(default)',
		'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_error_subtitle_tab',
		'label'     => esc_html( '404 Subtitle', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'error_page'
	),
	array(
		 'id'        => 'nt_antidote_error_disable_subtitle',
		 'label'     => esc_html( '404 subtitle display', 'nt-antidote' ),
		 'desc'      => sprintf( esc_html( 'Please select 404 pages subtitle display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
		 'std'       => 'on',
		 'type'      => 'on-off',
		 'section'   => 'error_page',
 'condition' => 'nt_antidote_error_content_type:is(default)',
		 'operator'  => 'and'
 ),
array(
		 'id'        => 'nt_antidote_error_subtitle',
		 'label'     => esc_html( '404 Page subtitle', 'nt-antidote' ),
		 'desc'      => esc_html( 'Enter 404 subtitle', 'nt-antidote' ),
		 'std'       => 'Wrong link or wrong page!',
		 'type'      => 'text',
 'condition' => 'nt_antidote_error_content_type:is(default)',
		 'section'   => 'error_page'
 ),
	array(
		'id'        => 'nt_antidote_errorsubtitlecolor',
		'label'     => esc_html( '404 Subtitle color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'condition' => 'nt_antidote_error_content_type:is(default)',
		'section'   => 'error_page'
	),
	array(
        'id'        => 'nt_antidote_error_subtitle_fontsize',
        'label'     => esc_html('404 Subtitle font size', 'nt-antidote' ),
        'std'       => '12',
        'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
        'section'   => 'error_page',
		'condition' => 'nt_antidote_error_content_type:is(default)',
		'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_error_content_tab',
		'label'     => esc_html( '404 Content', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'error_page'
	),
	array(
        'id'        => 'nt_antidote_error_content_heading1',
        'label'     => esc_html( 'Content Heading 1', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter Content Heading 1', 'nt-antidote' ),
        'std'       => '404',
        'type'      => 'text',
		'condition' => 'nt_antidote_error_content_type:is(default)',
        'section'   => 'error_page'
    ),
	array(
        'id'        => 'nt_antidote_error_content_heading2',
        'label'     => esc_html( 'Content Heading 2', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter Content Heading 1', 'nt-antidote' ),
        'std'       => 'Error',
        'type'      => 'text',
		'condition' => 'nt_antidote_error_content_type:is(default)',
        'section'   => 'error_page'
    ),
	array(
        'id'        => 'nt_antidote_error_content_message',
        'label'     => esc_html( 'Content error message', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter Content error message', 'nt-antidote' ),
        'std'       => 'We are not finding what you are looking for!',
        'type'      => 'text',
		'condition' => 'nt_antidote_error_content_type:is(default)',
        'section'   => 'error_page'
    ),
	array(
        'id'        => 'nt_antidote_error_content_search_label',
        'label'     => esc_html( 'Content search form label', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter Content search form label', 'nt-antidote' ),
        'std'       => 'Please try searching here',
        'type'      => 'text',
		'condition' => 'nt_antidote_error_content_type:is(default)',
        'section'   => 'error_page'
    ),
	array(
        'id'        => 'nt_antidote_error_content_backhome_title',
        'label'     => esc_html( 'Content back home button title', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter Content back home button title', 'nt-antidote' ),
        'std'       => 'Go back to Home',
        'type'      => 'text',
		'condition' => 'nt_antidote_error_content_type:is(default)',
        'section'   => 'error_page'
    ),

	//SEARCH PAGE HEADER SETTINGS.
	array(
        'id'        => 'nt_antidote_searchlayout',
        'label'     => esc_html( 'Search page Layout', 'nt-antidote' ),
        'desc'      => esc_html( 'Please choose search page layout type', 'nt-antidote' ),
        'std'       => 'right-sidebar',
        'type'      => 'radio-image',
        'section'   => 'search_page',
        'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_search_header_tab',
		'label'     => esc_html( 'Search Header', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'search_page'
	),
	array(
		'id'        => 'nt_antidote_search_headbg',
		'label'     => esc_html('Upload search header image', 'nt-antidote' ),
		'type'      => 'upload',
		'section'   => 'search_page'
	),
	array(
		'id'        => 'nt_antidote_search_header_bgcolor',
		'label'     => esc_html( 'Search Header background color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'search_page'
	),
	array(
		'id'        => 'nt_antidote_search_header_bgheight',
		'label'     => esc_html('Search header height', 'nt-antidote' ),
		'std'       => '30',
		'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
		'section'   => 'search_page',
		'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_search_header_paddingtop',
		'label'     => esc_html('Search padding top', 'nt-antidote' ),
		'std'       => '30',
		'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
		'section'   => 'search_page',
		'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_search_header_paddingbottom',
		'label'     => esc_html('Search padding bottom', 'nt-antidote' ),
		'std'       => '30',
		'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
		'section'   => 'search_page',
		'operator'  => 'and'
	),

	array(
		'id'        => 'nt_antidote_search_heading_tab',
		'label'     => esc_html( 'Search heading', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'search_page'
	),
   	array(
        'id'        => 'nt_antidote_search_disable_heading',
        'label'     => esc_html( 'Search heading display', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Please select Search pages heading post title  display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'on',
        'type'      => 'on-off',
        'section'   => 'search_page',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_search_heading',
        'label'     => esc_html( 'Search Page Heading', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter Search Heading', 'nt-antidote' ),
        'std'       => 'Search Completed!',
        'type'      => 'text',
		'condition' => 'nt_antidote_search_disable_heading:is(on)',
        'section'   => 'search_page'
    ),
	array(
		'id'        => 'nt_antidote_searchheadingcolor',
		'label'     => esc_html( 'Search Heading color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'condition' => 'nt_antidote_search_disable_heading:is(on)',
		'section'   => 'search_page'
	),
	array(
        'id'        => 'nt_antidote_search_heading_fontsize',
        'label'     => esc_html('Search Heading font size', 'nt-antidote' ),
        'std'       => '30',
        'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
        'section'   => 'search_page',
		'condition' => 'nt_antidote_search_disable_heading:is(on)',
		'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_search_subtitle_tab',
		'label'     => esc_html( 'Search subtitle', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'search_page'
	),
   	array(
        'id'        => 'nt_antidote_search_disable_subtitle',
        'label'     => esc_html( 'Search result display', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Please select search result display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'on',
        'type'      => 'on-off',
        'section'   => 'search_page',
        'operator'  => 'and'
    ),
		array(
			'id'        => 'nt_antidote_searchsubtitlecolor',
			'label'     => esc_html( 'Search Subtitle color ', 'nt-antidote' ),
			'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
			'type'      => 'colorpicker',
			'condition' => 'nt_antidote_search_disable_subtitle:is(on)',
			'section'   => 'search_page'
		),
		array(
			'id'        => 'nt_antidote_search_subtitle_fontsize',
			'label'     => esc_html('Search Subtitle font size', 'nt-antidote' ),
			'std'       => '12',
			'type'      => 'numeric-slider',
			'min_max_step' => '0,100',
			'section'   => 'search_page',
			'condition' => 'nt_antidote_search_disable_subtitle:is(on)',
			'operator'  => 'and'
		),

	//BREADCRUBMS SETTINGS
	array(
        'id'        => 'nt_antidote_breadcrubms_visibility',
        'label'     => esc_html( 'Breadcrubms display', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Breadcrubms display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'on',
        'type'      => 'on-off',
        'section'   => 'breadcrubms',
        'operator'  => 'and'
    ),
	array(
		'id'        => 'nt_antidote_blogbreadcrubmscolor',
		'label'     => esc_html( 'Breadcrubms color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'condition' => 'nt_antidote_breadcrubms_visibility:is(on)',
		'section'   => 'breadcrubms'
	),
	array(
		'id'        => 'nt_antidote_blogbreadcrubmshovercolor',
		'label'     => esc_html( 'Breadcrubms hover color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'condition' => 'nt_antidote_breadcrubms_visibility:is(on)',
		'section'   => 'breadcrubms'
	),
	array(
		'id'        => 'nt_antidote_blogbreadcrubmscurrentcolor',
		'label'     => esc_html( 'Breadcrubms current page text color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'condition' => 'nt_antidote_breadcrubms_visibility:is(on)',
		'section'   => 'breadcrubms'
	),
	array(
        'id'        => 'nt_antidote_blogbreadcrubmsfontsize',
        'label'     => esc_html('Breadcrubms font size', 'nt-antidote' ),
        'desc'      => esc_html('Blog/Pages Header Breadcrubms font size', 'nt-antidote' ),
        'std'       => '13',
        'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
		'condition' => 'nt_antidote_breadcrubms_visibility:is(on)',
        'section'   => 'breadcrubms',
		'operator'  => 'and'
	),

	//FOOTER WIDGETIZE  SETTINGS.
	array(
        'id'        => 'nt_antidote_widgetize_display',
        'label'     => esc_html( 'Footer widgetize display', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Choose footer widgetize display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'off',
        'type'      => 'on-off',
        'section'   => 'footer',
        'operator'  => 'and'
    ),

	array(
        'id'        => 'nt_antidote_top_footer_type',
        'label'     => esc_html( 'Footer Config', 'nt-antidote' ),
        'desc'      => esc_html( 'Select Footer widgetize type.' , 'nt-antidote' ),
        'std'       => 'default',
        'type'      => 'select',
        'section'   => 'footer',
		'condition' => 'nt_antidote_widgetize_display:is(on)',
        'operator'  => 'and',
        'choices'   => array(
        array(
            'value' => 'default',
            'label' => esc_html( 'Default Widgetize Footer', 'nt-antidote' )
        ),
        array(
            'value' => 'widgetize',
            'label' => esc_html( 'Custom Widgetize Footer', 'nt-antidote' )
        ),
      )
	),
	array(
        'id'        => 'nt_antidote_footer_w_column_select',
        'label'     => esc_html( 'Custom Widgetize Footer Column Selection', 'nt-antidote' ),
        'desc'      => esc_html( 'Please select footer widgetize column with this option and add your widget in Appearence > Widgets > Fototer Widgetize X Column', 'nt-antidote' ),
        'std'       => 'four_column',
        'type'      => 'select',
        'section'   => 'footer',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(widgetize)',
        'operator'  => 'and',
        'choices'   => array(
        array(
            'value' => 'four_column',
            'label' => esc_html( '4 Column', 'nt-antidote' )
        ),
        array(
            'value' => 'three_column',
            'label' => esc_html( '3 column', 'nt-antidote' )
        ),
        array(
            'value' => 'two_column',
            'label' => esc_html( '2 column', 'nt-antidote' )
        ),
      )
	),
	//FOOTER LOGO  SETTINGS.
	array(
		'id'        => 'nt_antidote_widgetize_about_tab',
		'label'     => esc_html( 'About', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'footer'
	),
	array(
        'id'        => 'nt_antidote_footer_about',
        'label'     => esc_html( 'Footer about text', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter about text', 'nt-antidote' ),
        'std'       => 'Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at vero eros et accumsan et iusto odio',
        'type'      => 'textarea',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default)',
        'section'   => 'footer'
    ),
	array(
		'id'        => 'nt_antidote_widgetize_footerlogo_tab',
		'label'     => esc_html( 'Logo', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'footer'
	),
	array(
        'id'        => 'nt_antidote_footer_logo_v',
        'label'     => esc_html( 'Footer logo visibility', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Choose footer widgetize visibility %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'off',
        'type'      => 'on-off',
        'section'   => 'footer',
        'operator'  => 'and'
    ),
    array(
        'id'        => 'nt_antidote_footer_logo_type',
        'label'     => esc_html('Footer Logo Type', 'nt-antidote' ),
        'desc'      => esc_html('Please choose logo type', 'nt-antidote' ),
        'std'       => 'img',
        'type'      => 'select',
        'section'   => 'footer',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default)',
        'operator'  => 'and',
        'choices'   => array(
        array(
            'value' => 'img',
            'label' => esc_html('Image Logo', 'nt-antidote' ),
            'src'   => ''
        ),
        array(
            'value' => 'text',
            'label' => esc_html('Text Logo', 'nt-antidote' ),
            'src'   => ''
        )
      )
    ),

    array(
        'id'        => 'nt_antidote_footer_logo_padding',
        'label'     => esc_html( 'Logo padding', 'nt-antidote' ),
        'desc'      => esc_html( 'The Spacing option type is used to set spacing values such as padding or margin in the form of top, right, bottom, and left.', 'nt-antidote' ),
        'std'       => '',
        'type'      => 'spacing',
        'section'   => 'footer',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default)',
        'operator'  => 'and'
    ),
    array(
        'id'        => 'nt_antidote_footer_logo_margin',
        'label'     => esc_html( 'Logo margin', 'nt-antidote' ),
        'desc'      => esc_html( 'The Spacing option type is used to set spacing values such as padding or margin in the form of top, right, bottom, and left.', 'nt-antidote' ),
        'std'       => '',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default)',
        'type'      => 'spacing',
        'section'   => 'footer',
        'operator'  => 'and'
    ),
	array(
		'id'        => 'nt_antidote_widgetize_imagelogo_tab',
		'label'     => esc_html( 'Image Logo', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'footer'
	),
	array(
        'id'        => 'nt_antidote_footer_logoimg',
		'label'     => esc_html('Upload logo image', 'nt-antidote' ),
        'type'      => 'upload',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default),nt_antidote_footer_logo_type:is(img)',
        'section'   => 'footer'
	),
	array(
        'id'        => 'nt_antidote_footer_logowidth',
        'label'     => esc_html('Image logo width', 'nt-antidote' ),
        'desc'      => esc_html('Add Logo width', 'nt-antidote' ),
        'std'       => '123',
        'type'      => 'numeric-slider',
		'min_max_step' => '0,200',
        'section'   => 'footer',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default),nt_antidote_footer_logo_type:is(img)',
		'operator'  => 'and'
	),
	array(
        'id'        => 'nt_antidote_footer_logoheight',
        'label'     => esc_html('Image logo height', 'nt-antidote' ),
        'desc'      => esc_html('Add Logo height', 'nt-antidote' ),
        'std'       => '32',
        'type'      => 'numeric-slider',
		'min_max_step' => '0,200',
        'section'   => 'footer',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default),nt_antidote_footer_logo_type:is(img)',
		'operator'  => 'and'
	),
	array(
		'id'        => 'nt_antidote_widgetize_textlogo_tab',
		'label'     => esc_html( 'Text Logo', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'footer'
	),
	array(
        'id'        => 'nt_antidote_footer_textlogo',
		'label'     => esc_html('Footer Text logo', 'nt-antidote' ),
		'desc'      => esc_html('Enter your text logo', 'nt-antidote' ),
        'std'       => 'ANTIDOTE',
        'type'      => 'text',
        'section'   => 'footer',
        'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default),nt_antidote_footer_logo_type:is(text)',
        'operator'  => 'and'
    ),
	array(
		'id'        => 'nt_antidote_footer_textlogocolor',
		'label'     => esc_html( 'Footer text logo color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default),nt_antidote_footer_logo_type:is(text)',
		'section'   => 'footer'
	),
	array(
        'id'        => 'nt_antidote_footertextlogofontsize',
        'label'     => esc_html('Footer text logo font-size', 'nt-antidote' ),
        'std'       => '36',
        'type'      => 'numeric-slider',
		'min_max_step' => '0,100',
        'section'   => 'footer',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default),nt_antidote_footer_logo_type:is(text)',
		'operator'  => 'and'
	),
    array(
        'id'        => 'nt_antidote_footertextlogoweight',
        'label'     => esc_html('Footer text logo font-weight', 'nt-antidote' ),
        'desc'      => esc_html('Please choose logo font-weight', 'nt-antidote' ),
        'std'       => '600',
        'type'      => 'select',
        'section'   => 'footer',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default),nt_antidote_footer_logo_type:is(text)',
        'operator'  => 'and',
        'choices'   => array(
        array(
            'value' => '100',
            'label' => esc_html('100', 'nt-antidote' ),
            'src'   => ''
        ),
        array(
            'value' => '200',
            'label' => esc_html('200', 'nt-antidote' ),
            'src'   => ''
        ),
        array(
            'value' => '300',
            'label' => esc_html('300', 'nt-antidote' ),
            'src'   => ''
        ),
        array(
            'value' => '400',
            'label' => esc_html('400', 'nt-antidote' ),
            'src'   => ''
        ),
        array(
            'value' => '500',
            'label' => esc_html('500', 'nt-antidote' ),
            'src'   => ''
        ),
        array(
            'value' => '600',
            'label' => esc_html('600', 'nt-antidote' ),
            'src'   => ''
        ),
        array(
            'value' => '700',
            'label' => esc_html('700', 'nt-antidote' ),
            'src'   => ''
        ),
        array(
            'value' => '800',
            'label' => esc_html('800', 'nt-antidote' ),
            'src'   => ''
        ),
        array(
            'value' => '900',
            'label' => esc_html('900', 'nt-antidote' ),
            'src'   => ''
        ),
      )
    ),

	array(
		'id'        => 'nt_antidote_widgetize_usefull_tab',
		'label'     => esc_html( 'Widget Usefull Link', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'footer'
	),
	array(
        'id'        => 'nt_antidote_footer_usefull_widget_title',
        'label'     => esc_html( 'Usefull widget title', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter usefull widget title', 'nt-antidote' ),
        'std'       => 'Important Links',
        'type'      => 'text',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default)',
        'section'   => 'footer'
    ),
	array(
        'id'        => 'nt_antidote_footer_usefull_widget',
        'label'     => esc_html( 'Usefull widget linkable text', 'nt-antidote' ),
        'desc'      => esc_html( 'Add footer usefull linkable text', 'nt-antidote' ),
        'type'      => 'list-item',
        'section'   => 'footer',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default)',
        'settings'  => array(
        array(
            'id'    => 'nt_antidote_usefull_title',
			'label' => esc_html( 'Linkable text', 'nt-antidote' ),
			'desc'  => esc_html( 'Enter linkable text', 'nt-antidote' ),
			'std'   => 'Legal Notice',
            'type'  => 'text'
        ),
        array(
            'id'    => 'nt_antidote_usefull_link',
			'label' => esc_html( 'URL/Link', 'nt-antidote' ),
			'desc'  => esc_html( 'Enter link', 'nt-antidote' ),
			'std'   => '#0',
            'type'  => 'text'
        )
      )
    ),
	array(
		'id'        => 'nt_antidote_widgetize_contact_tab',
		'label'     => esc_html( 'Widget Contact', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'footer'
	),
	array(
        'id'        => 'nt_antidote_footer_contact_widget_title',
        'label'     => esc_html( 'Contact widget title', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter usefull widget title', 'nt-antidote' ),
        'std'       => 'Contact Us',
        'type'      => 'text',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default)',
        'section'   => 'footer'
    ),
	array(
        'id'        => 'nt_antidote_footer_contact_widget_description',
        'label'     => esc_html( 'Contact description', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter contact widget description', 'nt-antidote' ),
        'std'       => 'Euis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat.',
        'type'      => 'textarea',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default)',
        'section'   => 'footer'
    ),
	array(
        'id'        => 'nt_antidote_footer_contact_widget_btn',
        'label'     => esc_html( 'Contact button title', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter contact widget button title', 'nt-antidote' ),
        'std'       => 'contact us',
        'type'      => 'text',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default)',
        'section'   => 'footer'
    ),
	array(
        'id'        => 'nt_antidote_footer_contact_widget_btn_url',
        'label'     => esc_html( 'Contact button URL', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter contact widget button URL', 'nt-antidote' ),
        'std'       => '#0',
        'type'      => 'text',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default)',
        'section'   => 'footer'
    ),
	array(
		'id'        => 'nt_antidote_widgetize_newsletter_tab',
		'label'     => esc_html( 'Widget Last', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'footer'
	),
	array(
        'id'        => 'nt_antidote_footer_newsletter_widget_title',
        'label'     => esc_html( 'Footer 4. column', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter widget title', 'nt-antidote' ),
        'std'       => 'Newsletter Subscription',
        'type'      => 'text',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default)',
        'section'   => 'footer'
    ),
	array(
        'id'        => 'nt_antidote_footer_newsletter_form_shortcode',
        'label'     => esc_html( 'Footer 4. column', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter any content here', 'nt-antidote' ),
        'std'       => '',
        'type'      => 'textarea',
		'condition' => 'nt_antidote_widgetize_display:is(on),nt_antidote_top_footer_type:is(default)',
        'section'   => 'footer'
    ),
	//FOOTER WIDGETIZE COLOR SETTINGS.
	array(
		'id'        => 'nt_antidote_widgetize_footercolor_tab',
		'label'     => esc_html( 'Widgetize Footer Color', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'footer'
	),
	array(
		'id'        => 'nt_antidote_fw_bg_c',
		'label'     => esc_html( 'Footer Background color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'condition' => 'nt_antidote_widgetize_display:is(on)',
		'section'   => 'footer'
	),
	array(
		'id'        => 'nt_antidote_fw_h_c',
		'label'     => esc_html( 'Footer widget title color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'condition' => 'nt_antidote_widgetize_display:is(on)',
		'section'   => 'footer'
	),
	array(
		'id'        => 'nt_antidote_fw_a_c',
		'label'     => esc_html( 'Footer widget link color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'condition' => 'nt_antidote_widgetize_display:is(on)',
		'section'   => 'footer'
	),
	array(
		'id'        => 'nt_antidote_fw_a_ch',
		'label'     => esc_html( 'Footer widget link hover color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'condition' => 'nt_antidote_widgetize_display:is(on)',
		'section'   => 'footer'
	),
	array(
		'id'        => 'nt_antidote_fw_a_ch',
		'label'     => esc_html( 'Footer widget link hover color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'condition' => 'nt_antidote_widgetize_display:is(on)',
		'section'   => 'footer'
	),

	//FOOTER COPYRIGHT SETTINGS.
	array(
		'id'        => 'nt_antidote_powered_tab',
		'label'     => esc_html( 'Copyright Text', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'copyright'
	),
	array(
        'id'        => 'nt_antidote_copyright_text_section',
        'label'     => esc_html( 'Footer copyright text display ', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Please choose footer copyright text section display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'on',
        'type'      => 'on-off',
        'section'   => 'copyright',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_footer_copyright_text',
        'label'     => esc_html( 'Copyright Text', 'nt-antidote' ),
        'desc'      => esc_html( 'Enter copyright text here', 'nt-antidote' ),
        'std'       => '2016 Copyright, the antidote. A product by Ninetheme',
        'type'      => 'textarea',
		'condition' => 'nt_antidote_copyright_text_section:is(on)',
        'section'   => 'copyright'
    ),
	array(
		'id'        => 'nt_antidote_copyright_social_tab',
		'label'     => esc_html( 'Copyright Menu', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'copyright'
	),
	array(
        'id'        => 'nt_antidote_copyright_social_section',
        'label'     => esc_html( 'Footer copyright menu section visibility', 'nt-antidote' ),
        'desc'      => sprintf( esc_html( 'Please choose footer copyright menu section display %s or %s.', 'nt-antidote' ), '<code>on</code>', '<code>off</code>' ),
        'std'       => 'on',
        'type'      => 'on-off',
        'section'   => 'copyright',
        'operator'  => 'and'
    ),
	array(
        'id'        => 'nt_antidote_social_link_container',
        'label'     => esc_html( 'Copyright menu', 'nt-antidote' ),
        'desc'      => esc_html( 'Add copyright menu items', 'nt-antidote' ),
        'type'      => 'list-item',
        'section'   => 'copyright',
		'condition' => 'nt_antidote_copyright_social_section:is(on)',
        'settings'  => array(
        array(
            'id'    => 'nt_antidote_social_text',
			'label' => esc_html( 'Menu item text', 'nt-antidote' ),
			'desc'  => esc_html( 'Enter custom item text', 'nt-antidote' ),
            'type'  => 'text'
        ),
        array(
            'id'    => 'nt_antidote_social_link',
			'label' => esc_html( 'Menu URL', 'nt-antidote' ),
			'desc'  => esc_html( 'Enter menu link', 'nt-antidote' ),
            'type'  => 'text'
        )
      )
    ),
	array(
        'id'        => 'nt_antidote_social_link_target',
        'label'     => esc_html( 'Menu target type', 'nt-antidote' ),
        'desc'      => esc_html( 'Select target type. Default : _blank' , 'nt-antidote' ),
        'std'       => '_blank',
        'type'      => 'select',
        'section'   => 'copyright',
		'condition' => 'nt_antidote_copyright_social_section:is(on)',
        'operator'  => 'and',
        'choices'   => array(
        array(
            'value' => '_blank',
            'label' => esc_html( 'blank', 'nt-antidote' )
        ),
        array(
            'value' => '_self',
            'label' => esc_html( 'self', 'nt-antidote' )
        ),
        array(
            'value' => '_parent',
            'label' => esc_html( 'parent', 'nt-antidote' )
        ),
        array(
            'value' => '_top',
            'label' => esc_html( 'top', 'nt-antidote' )
        ),
      )
	),
	array(
		'id'        => 'nt_antidote_cpyrightcolor_tab',
		'label'     => esc_html( 'Copyright Color', 'nt-antidote' ),
		'type'      => 'tab',
		'section'   => 'copyright'
	),
	array(
		'id'        => 'nt_antidote_copyright_bg',
		'label'     => esc_html( 'Copyright BG color', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'copyright'
	),
	array(
		'id'        => 'nt_antidote_copyright_color',
		'label'     => esc_html( 'Copyright text color ', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'copyright'
	),
	array(
		'id'        => 'nt_antidote_copyright_link_color',
		'label'     => esc_html( 'Copyright link color', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'copyright'
	),
	array(
		'id'        => 'nt_antidote_copyright_link_h_color',
		'label'     => esc_html( 'Copyright link hover color', 'nt-antidote' ),
		'desc'      => esc_html( 'Please select color', 'nt-antidote' ),
		'type'      => 'colorpicker',
		'section'   => 'copyright'
	),

	//GOOGLE MAPS
	array(
        'id'        => 'nt_antidote_api_key',
		'label'     => esc_html( 'Google Maps api key', 'nt-antidote' ),
		'desc'      => esc_html( 'You must create an api key on developers.google.com and paste this box.', 'nt-antidote' ),
        'type'      => 'text',
        'section'   => 'map'
    ),

  )
);
/* allow settings to be filtered before saving */
$nt_antidote_custom_settings = apply_filters( ot_settings_id() . '_args', $nt_antidote_custom_settings );
/* settings are not the same update the DB */
if ( $nt_antidote_saved_settings !== $nt_antidote_custom_settings ) {
update_option( ot_settings_id(), $nt_antidote_custom_settings );
}
/* Lets OptionTree know the UI Builder is being overridden */
global $ot_has_custom_theme_options;
$ot_has_custom_theme_options = true;
}
