<?php

/*-----------------------------------------------------------------------------------*/
/*	Shortcode Filter
/*-----------------------------------------------------------------------------------*/

vc_set_as_theme( $disable_updater = false ); 
vc_is_updater_disabled();

// Hook for frontend editor.
add_action( 'vc_load_shortcode', 'nt_antidote_vc_remove_woocommerce', 11 );
vc_remove_element(  "vc_wp_search");
vc_remove_element(  "vc_wp_meta" );
vc_remove_element(  "vc_wp_recentcomments" );
vc_remove_element(  "vc_wp_calendar" );
vc_remove_element(  "vc_wp_pages" );
vc_remove_element(  "vc_wp_tagcloud" );
vc_remove_element(  "vc_wp_custommenu" );
vc_remove_element(  "vc_wp_text" );
vc_remove_element(  "vc_wp_posts" );
vc_remove_element(  "vc_wp_categories" );
vc_remove_element(  "vc_wp_archives" );
vc_remove_element(  "vc_wp_rss" );
vc_remove_element(  "vc_flickr" );
vc_remove_element(  "vc_facebook" );
vc_remove_element(  "vc_tweetmeme" );
vc_remove_element(  "vc_googleplus" );
vc_remove_element(  "vc_pinterest" );

// Visual composer customizations start
// vc_row parallax overlay
$nt_antidote_background_one_attributes = array(

	array(
		'type' 			=> 'colorpicker',
		'heading' 		=> esc_html__( 'Parallax background overlay color', 'nt-antidote' ),
		'param_name' 	=> 'nt_antidote_parallax_overlay',
		'description' 	=> esc_html__( 'Set parallax image overlay background color', 'nt-antidote' ),
		'group' 		=> esc_html__('Extras','nt-antidote'),
	),
	
);
vc_add_params( 'vc_row', $nt_antidote_background_one_attributes );

// vc_row 480px
$nt_antidote_vc_row_responsive_attributes = array(

	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 480px resolution', 'nt-antidote' ),
		'param_name' 	=> 'nt_antidote_vc_row_responsive',
		'description' 	=> esc_html__( 'These options for 480px resolution - responsive medya', 'nt-antidote' ),
		'group' 		=> esc_html__('480PX','nt-antidote'),
	),
	
);
vc_add_params( 'vc_row', $nt_antidote_vc_row_responsive_attributes );


// vc_row 767px
$nt_antidote_vc_row_responsive_attributes767 = array(

	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 767px resolution', 'nt-antidote' ),
		'param_name' 	=> 'nt_antidote_vc_row_responsive_7',
		'description' 	=> esc_html__( 'These options for 767px resolution - responsive medya', 'nt-antidote' ),
		'group' 		=> esc_html__('767PX','nt-antidote'),
	),
	
);
vc_add_params( 'vc_row', $nt_antidote_vc_row_responsive_attributes767 );

// vc_column 480px
$nt_antidote_vc_column_responsive_attributes = array(

	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 480px resolution', 'nt-antidote' ),
		'param_name' 	=> 'nt_antidote_vc_column_responsive',
		'description' 	=> esc_html__( 'These options for 480px resolution - responsive medya', 'nt-antidote' ),
		'group' 		=> esc_html__('480PX','nt-antidote'),
	),
	
);
vc_add_params( 'vc_column', $nt_antidote_vc_column_responsive_attributes );



// vc_column 767px
$nt_antidote_vc_column_responsive_attributes767 = array(

	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 767px resolution', 'nt-antidote' ),
		'param_name' 	=> 'nt_antidote_vc_column_responsive767',
		'description' 	=> esc_html__( 'These options for 767px resolution - responsive medya', 'nt-antidote' ),
		'group' 		=> esc_html__('767PX','nt-antidote'),
	),
	
);
vc_add_params( 'vc_column', $nt_antidote_vc_column_responsive_attributes767 );


// vc_column_inner 480px
$nt_antidote_vc_column_inner_responsive_attributes = array(

	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 480px resolution', 'nt-antidote' ),
		'param_name' 	=> 'nt_antidote_vc_column_inner_responsive',
		'description' 	=> esc_html__( 'These options for 480px resolution - responsive medya', 'nt-antidote' ),
		'group' 		=> esc_html__('480PX','nt-antidote'),
	),
	
);
vc_add_params( 'vc_column_inner', $nt_antidote_vc_column_inner_responsive_attributes );


// vc_column_inner 480px
$nt_antidote_vc_column_inner_responsive_attributes767 = array(

	array(
		'type' 			=> 'css_editor',
		'heading' 		=> esc_html__( 'Max width 767px resolution', 'nt-antidote' ),
		'param_name' 	=> 'nt_antidote_vc_column_inner_responsive767',
		'description' 	=> esc_html__( 'These options for 767px resolution - responsive medya', 'nt-antidote' ),
		'group' 		=> esc_html__('767PX','nt-antidote'),
	),
	
);
vc_add_params( 'vc_column_inner', $nt_antidote_vc_column_inner_responsive_attributes767 );


// Visual composer customizations end



/*-----------------------------------------------------------------------------------*/
/*	PRICING ANTIDOTE
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'nt_antidote_pricing_integrateWithVC' );
function nt_antidote_pricing_integrateWithVC() {
   vc_map( array(
      "name"       => esc_html__("PRICING", "nt-antidote"),
      "base"       => "nt_antidote_pricing",
	  "icon"       => "icon-wpb-row",
	  "category"   => esc_html__("ANTIDOTE", "nt-antidote"),
      "params"     => array(
		 array(
            'type'        	=> 'textfield',
            'heading'     	=> esc_html__('Section ID', 'nt-antidote'),
            'param_name'  	=> 'section_id',
            'description' 	=> esc_html__('Add your Section ID', 'nt-antidote'),
        ),
        array(
            'type'        	=> 'textarea',
            'heading'     	=> esc_html__('heading', 'nt-antidote'),
            'param_name'  	=> 'sheading',
            'description' 	=> esc_html__('add section heading', 'nt-antidote'),
		),
		array(
			'type'        	=> 'vc_link',
			'heading'     	=> esc_html__('Button URL', 'nt-antidote'),
			'param_name'  	=> 'link',
			'description' 	=> esc_html__('Add link for price button.', 'nt-antidote'),
		),
        array(
            'type'        	=> 'textfield',
            'heading'     	=> esc_html__('Custom post type (CPT) slug', 'nt-antidote' ),
            'param_name'  	=> 'custom_post_type',
			'group'       	=> esc_html__('Post Options', 'nt-antidote'),
            'description' 	=> esc_html__('You can control with custom post type slug, default : price', 'nt-antidote'),
        ),
        array(
            'type'        	=> 'textfield',
            'heading'     	=> esc_html__('Price Table Count', 'nt-antidote' ),
            'param_name'  	=> 'post_number',
			'group'       	=> esc_html__('Post Options', 'nt-antidote'),
            'description' 	=> esc_html__('You can control with number your price tables.Please enter a number', 'nt-antidote'),
        ),
        array(
            'type'        	=> 'textfield',
            'heading'     	=> esc_html__('Category', 'nt-antidote' ),
            'param_name'  	=> 'price_category',
			'group'       	=> esc_html__('Post Options', 'nt-antidote'),
            'description' 	=> esc_html__('Enter price table category or write all', 'nt-antidote'),
        ),
        array(
            'type'        	=> 'textfield',
            'heading'     	=> esc_html__('order', 'nt-antidote' ),
            'param_name'  	=> 'order',
			'group'       	=> esc_html__('Post Options', 'nt-antidote'),
            'description' 	=> esc_html__('Enter Price table order. DESC or ASC', 'nt-antidote'),
        ),
        array(
            'type'        	=> 'textfield',
            'heading'     	=> esc_html__('orderby', 'nt-antidote' ),
            'param_name'  	=> 'orderby',
			'group'       	=> esc_html__('Post Options', 'nt-antidote'),
            'description' 	=> esc_html__('Enter Price table orderby. Default is : date', 'nt-antidote'),
        ),
         array(
            'type'        	=> 'css_editor',
            'heading'     	=> esc_html__('Css', 'nt-antidote'),
            'param_name'  	=> 'css',
            'group'       	=> esc_html__('Background options', 'nt-antidote'),
        )
    ),
   )
 );
}
class WPBakeryShortCode_nt_antidote_pricing extends WPBakeryShortCode {
}

/*-----------------------------------------------------------------------------------*/
/*	BLOG ANTIDOTE
/*-----------------------------------------------------------------------------------*/
add_action( 'vc_before_init', 'nt_antidote_blog_integrateWithVC' );
function nt_antidote_blog_integrateWithVC() {
   vc_map( array(
      "name"       => esc_html__("LATEST NEWS", "nt-antidote"),
      "base"       => "nt_antidote_blog",
	  "icon"       => "icon-wpb-row",
	  "category"   => esc_html__("ANTIDOTE", "nt-antidote"),
      "params"     => array(
		 array(
            'type'        	=> 'textfield',
            'heading'     	=> esc_html__('Section ID', 'nt-antidote'),
            'param_name'  	=> 'section_id',
            'description' 	=> esc_html__('Add your Section ID', 'nt-antidote'),
        ),
        array(
            'type'        	=> 'textarea',
            'heading'     	=> esc_html__('heading', 'nt-antidote'),
            'param_name'  	=> 'sheading',
            'description' 	=> esc_html__('add section heading', 'nt-antidote'),
		),
        array(
            'type'        	=> 'textfield',
            'heading'     	=> esc_html__('Post Count', 'nt-antidote' ),
            'param_name'  	=> 'posts',
			'group'       	=> esc_html__('Post Options', 'nt-antidote'),
            'description' 	=> esc_html__('You can control with number your post.Please enter a number', 'nt-antidote'),
        ),
        array(
            'type'        	=> 'textfield',
            'heading'     	=> esc_html__('Category', 'nt-antidote' ),
            'param_name'  	=> 'categories',
			'group'       	=> esc_html__('Post Options', 'nt-antidote'),
            'description' 	=> esc_html__('Enter post category or write all', 'nt-antidote'),
        ),
        array(
            'type'        	=> 'textfield',
            'heading'     	=> esc_html__('order', 'nt-antidote' ),
            'param_name'  	=> 'order',
			'group'       	=> esc_html__('Post Options', 'nt-antidote'),
            'description' 	=> esc_html__('Enter post order. DESC or ASC', 'nt-antidote'),
        ),
        array(
            'type'        	=> 'textfield',
            'heading'     	=> esc_html__('orderby', 'nt-antidote' ),
            'param_name'  	=> 'orderby',
			'group'       	=> esc_html__('Post Options', 'nt-antidote'),
            'description' 	=> esc_html__('Enter post orderby. Default is : date', 'nt-antidote'),
        ),
         array(
            'type'        	=> 'css_editor',
            'heading'     	=> esc_html__('Css', 'nt-antidote'),
            'param_name'  	=> 'css',
            'group'       	=> esc_html__('Background options', 'nt-antidote'),
        )
    ),
   )
 );
}
class WPBakeryShortCode_nt_antidote_blog extends WPBakeryShortCode {
}