<?php
	get_header();
	get_template_part( 'index-header' );
	
	$nt_antidote_bloglayout = ot_get_option( 'nt_antidote_bloglayout' );

	$nt_antidote_blog_content_type = ot_get_option( 'nt_antidote_blog_content_type' );
	
	
	if ( $nt_antidote_blog_content_type == 'masonry' ) : 
		$nt_antidote_post_desk_col = ot_get_option( 'nt_antidote_post_desk_col' );
		$nt_antidote_deskcol = $nt_antidote_post_desk_col ? $nt_antidote_post_desk_col : '6';
		$nt_antidote_post_col = 'col-sm-12 col-md-'.esc_attr( $nt_antidote_deskcol ).' col-lg-'.esc_attr( $nt_antidote_deskcol ).'';

		wp_enqueue_script( 'nt-antidote-masonry-set' );
	
	endif;
?>

<!-- Page Title Area
  =========================== -->
<section class="page-title fix color-3">
	<div class="container bb-bottom">
		<div class="row">
			<div class="col-md-12">

				<div class="page-title-content">
					<?php if ( ot_get_option( 'nt_antidote_blog_disable_heading' ) != 'off' ) : ?>
						<?php if ( ot_get_option( 'nt_antidote_blog_heading' ) != '' ) : ?>
							<h2 class="page-title"><?php echo  ot_get_option( 'nt_antidote_blog_heading' ); ?></h2>
						<?php else : ?>
							<h2 class="page-title"><?php esc_html_e( 'ANTIDOTE','nt-antidote' ); ?></h2>
						<?php endif; ?>
					<?php endif; ?>
					<!-- /.END OF PAGE-TITLE -->

					<?php if ( ot_get_option( 'nt_antidote_blog_disable_subtitle' ) != 'off' ) : ?>
						<?php if ( ot_get_option( 'nt_antidote_blog_subtitle' ) != '' ) : ?>
							<span class="sub-title"><?php echo  ot_get_option( 'nt_antidote_blog_subtitle' ); ?></span>
						<?php else : ?>
							<span class="sub-title"><?php echo bloginfo( 'description' ); ?></span>
						<?php endif; ?>
					<?php endif; ?>
					<!-- /.END OF SUB-TITLE -->
				</div>

				<!-- /.END OF BREAD CUMB -->
			</div>
		</div>
	</div>
</section>
<!-- End Of Page Title Area -->

<!-- Page Internal Content -->
<div class="theme-inner-page-container">
	<div class="container">
		<div class="row">

			<?php if ( $nt_antidote_bloglayout == 'right-sidebar' || $nt_antidote_bloglayout == '') { ?>
			<div class="col-md-8 main-content index float-right posts">
				<?php if ( $nt_antidote_blog_content_type == 'masonry' ) : ?>
				<div class="row">
					<div id="gallery" class="masonry gallery blog">
						<div class="grid-sizer <?php echo esc_attr( $nt_antidote_post_col ); ?>"></div>
				<?php endif; ?>
			<?php } elseif ( $nt_antidote_bloglayout == 'left-sidebar' ) { ?>
			<?php get_sidebar(); ?>
			<div class="col-md-8 main-content index float-left posts">
			<?php if ( $nt_antidote_blog_content_type == 'masonry' ) : ?>
				<div class="row">
					<div id="gallery" class="masonry gallery blog">
						<div class="grid-sizer <?php echo esc_attr( $nt_antidote_post_col ); ?>"></div>
				<?php endif; ?>
			<?php } elseif ( $nt_antidote_bloglayout == 'full-width' ) { ?>
			<div class="col-xs-12 full-width-index v">
				<?php if ( $nt_antidote_blog_content_type == 'masonry' ) : ?>
				<div class="row">
					<div id="gallery" class="masonry gallery blog">
						<div class="grid-sizer <?php echo esc_attr( $nt_antidote_post_col ); ?>"></div>
				<?php endif; ?>
			<?php } ?>
			<?php if ( have_posts() ) : ?>
				<?php while ( have_posts() ) : the_post(); ?>
					<?php get_template_part( 'post-format/content', get_post_format() ); ?>
				<?php endwhile; ?>
					<?php if ( $nt_antidote_blog_content_type!= 'masonry' || $nt_antidote_blog_content_type=='' ) : ?>
					<?php the_posts_pagination( array(
							'prev_text'          => esc_html__( 'Previous page', 'nt-antidote' ),
							'next_text'          => esc_html__( 'Next page', 'nt-antidote' ),
							'before_page_number' => '<span class="meta-nav screen-reader-text"></span>',
						) ); ?>
					<?php endif; ?>
			<?php else : ?>
			<?php get_template_part( 'content', 'none' ); ?>
			<?php endif; ?>
				<?php if ( $nt_antidote_blog_content_type == 'masonry' ) : ?>
					</div>
				</div>
				<?php the_posts_pagination( array(
						'prev_text'          => esc_html__( 'Previous page', 'nt-antidote' ),
						'next_text'          => esc_html__( 'Next page', 'nt-antidote' ),
						'before_page_number' => '<span class="meta-nav screen-reader-text"></span>',
					) ); ?>
				<?php endif; ?>
			</div>
			
			<?php if( $nt_antidote_bloglayout == 'right-sidebar' || $nt_antidote_bloglayout == '') { ?>
				<?php get_sidebar(); ?>
			<?php } ?>
		</div>
	</div>
</div>
<!--/Page Internal Contentr-->

<!--page footer-->
<?php get_footer(); ?>