/*-----------------------------------------------------------------------------------

 	Custom JS - All back-end jQuery
 
-----------------------------------------------------------------------------------*/
 
jQuery(document).ready(function() {

	"use strict"; 
	// A few overrides to the rwmb metaboxes.

	jQuery('.rwmb-text').addClass('widefat');
	jQuery('.rwmb-oembed').css('width', '80%');
	jQuery('.rwmb-textarea').removeClass('large-text').addClass('widefat');
	jQuery('.rwmb-delete-file').on(function(e) { // .on .click
		e.preventDefault();
		jQuery(this).parent().parent().slideUp(600);
	});

	// Show metaboxes according to the current post format.



/*----------------------------------------------------------------------------------*/
/*	Standart Options
/*----------------------------------------------------------------------------------*/

	var standartOptions = jQuery('#standart-settings');
	var standartTrigger = jQuery('#post-format-0');

	standartOptions.css('display', 'none');

/*----------------------------------------------------------------------------------*/
/*	Gallery Options
/*----------------------------------------------------------------------------------*/

	var galleryOptions = jQuery('#gallery-settings');
	var galleryTrigger = jQuery('#post-format-gallery');
	
	galleryOptions.css('display', 'none');

/*----------------------------------------------------------------------------------*/
/*	Quote Options
/*----------------------------------------------------------------------------------*/

	var quoteOptions = jQuery('#quote-settings');
	var quoteTrigger = jQuery('#post-format-quote');

	quoteOptions.css('display', 'none');

/*----------------------------------------------------------------------------------*/
/*	Image Options
/*----------------------------------------------------------------------------------*/

	var imageOptions = jQuery('#image-settings');
	var imageTrigger = jQuery('#post-format-image');

	imageOptions.css('display', 'none');

/*----------------------------------------------------------------------------------*/
/*	Link Options
/*----------------------------------------------------------------------------------*/

	var linkOptions = jQuery('#link-settings');
	var linkTrigger = jQuery('#post-format-link');
	
	linkOptions.css('display', 'none');

/*----------------------------------------------------------------------------------*/
/*	Status Options
/*----------------------------------------------------------------------------------*/

	var statusOptions = jQuery('#status-settings');
	var statusTrigger = jQuery('#post-format-status');

	statusOptions.css('display', 'none');

/*----------------------------------------------------------------------------------*/
/*	Audio Options
/*----------------------------------------------------------------------------------*/

	var audioOptions = jQuery('#audio-settings');
	var audioTrigger = jQuery('#post-format-audio');

	audioOptions.css('display', 'none');

/*----------------------------------------------------------------------------------*/
/*	Video Options
/*----------------------------------------------------------------------------------*/

	var videoOptions = jQuery('#video-settings');
	var videoTrigger = jQuery('#post-format-video');

	videoOptions.css('display', 'none');

/*----------------------------------------------------------------------------------*/
/*	Video Options
/*----------------------------------------------------------------------------------*/

	var chatOptions = jQuery('#chat-settings');
	var chatTrigger = jQuery('#post-format-chat');

	chatOptions.css('display', 'none');
	
/*----------------------------------------------------------------------------------*/
/*	The Brain
/*----------------------------------------------------------------------------------*/

	var group = jQuery('#post-formats-select input');

	group.change( function() {

		if (jQuery(this).val() == '0') {
			standartOptions.css('display', 'block');
			ninethemeHideAll(standartOptions);

		} else if (jQuery(this).val() == 'gallery') {
			galleryOptions.css('display', 'block');
			ninethemeHideAll(galleryOptions);

		} else if(jQuery(this).val() == 'quote') {
			quoteOptions.css('display', 'block');
			ninethemeHideAll(quoteOptions);

		} else if(jQuery(this).val() == 'link') {
			linkOptions.css('display', 'block');
			ninethemeHideAll(linkOptions);

		} else if(jQuery(this).val() == 'status') {
			statusOptions.css('display', 'block');
			ninethemeHideAll(statusOptions);

		} else if(jQuery(this).val() == 'audio') {
			audioOptions.css('display', 'block');
			ninethemeHideAll(audioOptions);

		} else if(jQuery(this).val() == 'video') {
			videoOptions.css('display', 'block');
			ninethemeHideAll(videoOptions);

		} else if(jQuery(this).val() == 'image') {
			imageOptions.css('display', 'block');
			ninethemeHideAll(imageOptions);

		} else if(jQuery(this).val() == 'chat') {
			chatOptions.css('display', 'block');
			ninethemeHideAll(chatOptions);

		}else {
			standartOptions.css('display', 'none');
			quoteOptions.css('display', 'none');
			videoOptions.css('display', 'none');
			linkOptions.css('display', 'none');
			statusOptions.css('display', 'none');
			audioOptions.css('display', 'none');
			imageOptions.css('display', 'none');
			chatOptions.css('display', 'none');
		}
	});

	if(standartTrigger.is(':checked'))
		standartOptions.css('display', 'block');

	if(galleryTrigger.is(':checked'))
		galleryOptions.css('display', 'block');

	if(quoteTrigger.is(':checked'))
		quoteOptions.css('display', 'block');

	if(linkTrigger.is(':checked'))
		linkOptions.css('display', 'block');

	if(statusTrigger.is(':checked'))
		statusOptions.css('display', 'block');

	if(audioTrigger.is(':checked'))
		audioOptions.css('display', 'block');

	if(videoTrigger.is(':checked'))
		videoOptions.css('display', 'block');

	if(imageTrigger.is(':checked'))
		imageOptions.css('display', 'block');

	if(chatTrigger.is(':checked'))
		chatOptions.css('display', 'block');

	function ninethemeHideAll(notThisOne) {
		standartOptions.css('display', 'none');
		videoOptions.css('display', 'none');
		galleryOptions.css('display', 'none');
		quoteOptions.css('display', 'none');
		linkOptions.css('display', 'none');
		statusOptions.css('display', 'none');
		audioOptions.css('display', 'none');
		imageOptions.css('display', 'none');
		chatOptions.css('display', 'none');
		notThisOne.css('display', 'block');
	}


/*----------------------------------------------------------------------------------*/
/*	 					SELECTION PAGE SETTINGS
/*----------------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------------*/
/*	for displaying page opt
/*----------------------------------------------------------------------------------*/
	if((jQuery('#page_template').val() == 'default')||(jQuery('#page_template').val() == 'fullwidth-page.php')||(jQuery('#page_template').val() == 'portfolio-page.php')||(jQuery('#page_template').val() == 'custom-page.php')) {
		jQuery('#page_general_settings').show();
	}
	else {
		jQuery('#page_general_settings').hide();
	}
	jQuery('#page_template').live('change', function(){
		if((jQuery('#page_template').val() == 'default')||(jQuery('#page_template').val() == 'fullwidth-page.php')||(jQuery('#page_template').val() == 'portfolio-page.php')||(jQuery('#page_template').val() == 'custom-page.php')) {
			jQuery('#page_general_settings').show();
		}
		else {
			jQuery('#page_general_settings').hide();
		}
	}); 

/*----------------------------------------------------------------------------------*/
/*	for displaying image_advanced
/*----------------------------------------------------------------------------------*/
	if(jQuery('#nt_antidote_disable_page_title').val() == 'show') {
		jQuery('label[for="nt_antidote_page_title"]').parents('.rwmb-text-wrapper').show();
		jQuery('label[for="nt_antidote_pageheadingcolor"]').parents('.rwmb-color-wrapper').show();
		jQuery('label[for="nt_antidote_pagetitlefontsize"]').parents('.rwmb-slider-wrapper').show();
		jQuery('label[for="nt_antidote_heading_margin_bottom"]').parents('.rwmb-slider-wrapper').show();
	}
	else {
		jQuery('label[for="nt_antidote_page_title"]').parents('.rwmb-text-wrapper').hide();
		jQuery('label[for="nt_antidote_pageheadingcolor"]').parents('.rwmb-color-wrapper').hide();
		jQuery('label[for="nt_antidote_pagetitlefontsize"]').parents('.rwmb-slider-wrapper').hide();
		jQuery('label[for="nt_antidote_heading_margin_bottom"]').parents('.rwmb-slider-wrapper').hide();
	}
	jQuery('#nt_antidote_disable_page_title').live('change', function(){
		if(jQuery(this).val() == 'show') {
			jQuery('label[for="nt_antidote_page_title"]').parents('.rwmb-text-wrapper').show();
			jQuery('label[for="nt_antidote_pageheadingcolor"]').parents('.rwmb-color-wrapper').show();
			jQuery('label[for="nt_antidote_pagetitlefontsize"]').parents('.rwmb-slider-wrapper').show();
			jQuery('label[for="nt_antidote_heading_margin_bottom"]').parents('.rwmb-slider-wrapper').show();
		}
		else {
		jQuery('label[for="nt_antidote_page_title"]').parents('.rwmb-text-wrapper').hide();
		jQuery('label[for="nt_antidote_pageheadingcolor"]').parents('.rwmb-color-wrapper').hide();
		jQuery('label[for="nt_antidote_pagetitlefontsize"]').parents('.rwmb-slider-wrapper').hide();
		jQuery('label[for="nt_antidote_heading_margin_bottom"]').parents('.rwmb-slider-wrapper').hide();
		}
	});

/*----------------------------------------------------------------------------------*/
/*	for displaying page subtitle
/*----------------------------------------------------------------------------------*/
	if(jQuery('#nt_antidote_disable_subtitle').val() == 'show') {
		jQuery('label[for="nt_antidote_page_subtitle"]').parents('.rwmb-text-wrapper').show();
		jQuery('label[for="nt_antidote_page_subtitlecolor"]').parents('.rwmb-color-wrapper').show();
		jQuery('label[for="nt_antidote_pagesubtitlefontsize"]').parents('.rwmb-slider-wrapper').show();
	}
	else {
		jQuery('label[for="nt_antidote_page_subtitle"]').parents('.rwmb-text-wrapper').hide();
		jQuery('label[for="nt_antidote_page_subtitlecolor"]').parents('.rwmb-color-wrapper').hide();
		jQuery('label[for="nt_antidote_pagesubtitlefontsize"]').parents('.rwmb-slider-wrapper').hide();

	}
	jQuery('#nt_antidote_disable_subtitle').live('change', function(){
		if(jQuery(this).val() == 'show') {
			jQuery('label[for="nt_antidote_page_subtitle"]').parents('.rwmb-text-wrapper').show();
			jQuery('label[for="nt_antidote_page_subtitlecolor"]').parents('.rwmb-color-wrapper').show();
			jQuery('label[for="nt_antidote_pagesubtitlefontsize"]').parents('.rwmb-slider-wrapper').show();
		}
		else {
			jQuery('label[for="nt_antidote_page_subtitle"]').parents('.rwmb-text-wrapper').hide();
			jQuery('label[for="nt_antidote_page_subtitlecolor"]').parents('.rwmb-color-wrapper').hide();
			jQuery('label[for="nt_antidote_pagesubtitlefontsize"]').parents('.rwmb-slider-wrapper').hide();
		}
	});

});