<?php
	get_header();
	get_template_part( 'index-header' );
	$nt_antidote_pagelayout = get_post_meta( get_the_ID(), 'nt_antidote_pagelayout', true );

?>
<!-- Page Title Area
  =========================== -->
<section id="page-id-<?php echo get_the_ID(); ?>" class="page-title fix color-3">
	<div class="container bb-bottom">
		<div class="row">
			<div class="col-md-12">

				<div class="page-title-content">
					<?php if ( get_post_meta( get_the_ID(), 'nt_antidote_disable_page_title', true ) != 'hide' ) : ?>
						<?php if ( get_post_meta( get_the_ID(), 'nt_antidote_page_title', true ) ) : ?>
							<h2 class="page-title"><?php echo get_post_meta( get_the_ID(), 'nt_antidote_page_title', true ); ?></h2>
						<?php else : ?>
							<h2 class="page-title"><?php echo the_title(); ?></h2>
						<?php endif; ?>
					<?php endif; ?>

					<?php if ( get_post_meta( get_the_ID(), 'nt_antidote_disable_subtitle', true ) != 'hide' ) : ?>
						<?php if ( get_post_meta( get_the_ID(), 'nt_antidote_page_subtitle', true ) ) : ?>
							<span class="sub-title"><?php echo get_post_meta( get_the_ID(), 'nt_antidote_page_subtitle', true ); ?></span>
						<?php else : ?>
							<span class="sub-title"><?php echo esc_html_e( 'lorem ipsum dolor sit amet', 'nt-antidote' ); ?></span>
						<?php endif; ?>
					<?php endif; ?>
				</div>

				<?php
					if ( get_post_meta( get_the_ID(), 'nt_antidote_disable_breadcrumb', true ) != 'hide' ) :
						do_action( 'nt_antidote_breadcumb' );
					endif;
				?>

			</div>
		</div>
	</div>
</section>
<!-- End Of Page Title Area -->

<!-- Page Internal Content -->
<div class="theme-inner-page-container">
	<div class="container">
		<div class="row">

			<?php if ( $nt_antidote_pagelayout == 'right-sidebar' || $nt_antidote_pagelayout == '' ) { ?>
			<div class="col-md-8 index float-right margin-b-50">
			<?php  } elseif ( $nt_antidote_pagelayout  == 'left-sidebar' ) {
					get_sidebar();
			?>
			<div class="col-md-8 index float-left margin-b-50">
			<?php } elseif ( $nt_antidote_pagelayout == 'full-width' ) { ?>
			<div class="col-xs-12 full-width-index v">
			<?php } ?>

				<?php
					// Start the loop.
					while ( have_posts() ) : the_post();

						// Include the page content template.
						get_template_part( 'content', 'page' );

						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;

					// End the loop.
					endwhile;
				?>

			</div>

			<?php if ( $nt_antidote_pagelayout == 'right-sidebar' || $nt_antidote_pagelayout == '' ) { ?>
				<?php get_sidebar(); ?>
			<?php } ?>

		</div>
	</div>
</div>

<?php get_footer(); ?>
