<?php
	/**
	* The template for displaying posts in the Link post format.
	*
	* @package WordPress
	* @subpackage nt-antidote
	* @since nt-antidote 1.0
	*/

	$nt_antidote_link 			= rwmb_meta( 'nt_antidote_the_link' );
	$nt_antidote_link_text 		= rwmb_meta( 'nt_antidote_link_text' );
	$nt_antidote_color 			= rwmb_meta( 'nt_antidote_link_bg' );
	$nt_antidote_opacity 		= rwmb_meta( 'nt_antidote_link_bg_opacity' );
	$nt_antidote_opacity 		= $nt_antidote_opacity / 100;
	$nt_antidote_show_meta		= rwmb_meta( 'nt_antidote_show_meta' );

	$nt_antidote_image_id 		= get_post_thumbnail_id();
	$nt_antidote_image_url 		= wp_get_attachment_image_src( $nt_antidote_image_id, true );

	$nt_antidote_blog_content_type	= ot_get_option( 'nt_antidote_blog_content_type' );

	if ( $nt_antidote_blog_content_type == 'masonry' ) :
		$nt_antidote_post_desk_col = ot_get_option( 'nt_antidote_post_desk_col' );
		$nt_antidote_deskcol = $nt_antidote_post_desk_col ? $nt_antidote_post_desk_col : '6';
		$nt_antidote_post_col = 'col-sm-12 col-md-'.esc_attr( $nt_antidote_deskcol ).' col-lg-'.esc_attr( $nt_antidote_deskcol ).'';
	endif;

?>

<?php if ( ! is_single() ) : ?>
	<?php if( $nt_antidote_blog_content_type == 'masonry' ) : ?>
	<!-- Single Work -->
	<div class="grid-item <?php echo esc_attr( $nt_antidote_post_col ); ?>">
	<?php endif; ?>
		<article id="post-<?php the_ID(); ?>" <?php post_class('post post-thumbnail'); ?>>
			<div class="single-work nt-theme-news">

				<?php if ( $nt_antidote_link_text != '' || has_post_thumbnail() ) : ?>
					<div class="ql_wrapper work-thumb mb-35">
						<div class="entry-media" <?php if ( has_post_thumbnail() ) : ?> style="background-image: url(<?php echo esc_url( $nt_antidote_image_url[0] ); ?>);" <?php endif; ?>>
							<div class="ql_overlay" style="background-color: <?php echo esc_attr( $nt_antidote_color ); ?>; opacity: <?php echo esc_attr(  $nt_antidote_opacity ); ?>;"></div>
							<?php if ( $nt_antidote_link_text != '' ) : ?>
								<div class="blog-custom-class">
									<div class="ql_textwrap">
										<h4><a class="white-link-color" href="<?php echo esc_url( $nt_antidote_link ); ?>" target="_blank" style="color: #ffffff;"><?php echo esc_html( $nt_antidote_link_text ); ?></a></h4>
									</div>
								</div>
							<?php endif; ?>
						</div>
					</div>
				<?php endif; ?>
				<div class="work-excerp">
					<?php the_title( sprintf( '<h2 class="entry-title all-caps"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
					<?php if ( $nt_antidote_show_meta != 'hide' ) : ?>
						<?php nt_antidote_post_meta(); ?>
					<?php endif; ?>
					<?php if ( '' !== get_post()->post_content ) : ?>
						<div class="text-content">
							<?php nt_antidote_post_content(); ?>
						</div>
					<?php endif; ?>
				</div>
			</div>
		</article>
	<?php if( $nt_antidote_blog_content_type == 'masonry' ) : ?>
	</div>
	<?php endif; ?>
	<!-- /. End Of Single Work -->
<?php else : ?>
	<!-- Single News Post -->
	<div id="post-<?php the_ID(); ?>" <?php post_class( 'nt-theme-news-content' ); ?>>
		<div class="nt-theme-news-thumb">
			<div class="ql_wrapper">
				<div class="entry-media" <?php if ( has_post_thumbnail() ) : ?> style="background-image: url(<?php echo esc_attr( $nt_antidote_image_url[0] ); ?>);" <?php endif; ?>>
					<div class="ql_overlay" style="background-color: <?php echo esc_attr( $nt_antidote_color ); ?>; opacity: <?php echo esc_attr(  $nt_antidote_opacity ); ?>;"></div>

					<?php if ( $nt_antidote_link_text != '' ) : ?>
					<div class="blog-custom-class">
						<div class="ql_textwrap">
							<h4><a class="white-link-color" href="<?php echo esc_url( $nt_antidote_link ); ?>" target="_blank" style="color: #ffffff;"><?php echo esc_html( $nt_antidote_link_text ); ?></a></h4>
						</div>
					</div>
					<?php endif; ?>

				</div>
			</div>
		</div>
		<div class="news-content">
			<div class="news-bio">
				<?php if ( $nt_antidote_show_meta != 'hide' ) : ?>
					<?php nt_antidote_post_meta(); ?>
				<?php endif; ?>
			</div>
			<?php nt_antidote_post_content(); ?>
		</div>
		<?php if ( $nt_antidote_show_meta != 'hide' ) : ?>
			<?php nt_antidote_entry_taxonomies(); ?>
			<?php nt_antidote_entry_categories(); ?>
		<?php endif; ?>
	</div>
<?php endif; ?>
