<?php
	wp_enqueue_script( 'fitvids' );
	wp_enqueue_script( 'nt-antidote-blog-script' );

	$nt_antidote_embed 		= rwmb_meta( 'nt_antidote_video_embed');
	$nt_antidote_m4v 		= rwmb_meta( 'nt_antidote_video_m4v');
	$nt_antidote_ogv 		= rwmb_meta( 'nt_antidote_video_ogv');
	$nt_antidote_webm 		= rwmb_meta( 'nt_antidote_video_webm');
	$nt_antidote_show_meta	= rwmb_meta( 'nt_antidote_show_meta' );
	$nt_antidote_image_id 	= get_post_thumbnail_id();
	$nt_antidote_image_url 	= wp_get_attachment_image_src($nt_antidote_image_id, true);
	$nt_antidote_wp_video 	= '[video poster="'.esc_url( $nt_antidote_image_url[0] ).'" mp4="'.esc_url( $nt_antidote_m4v ).'"  webm="'.esc_url( $nt_antidote_webm ).'"]';

	$nt_antidote_blog_content_type	= ot_get_option( 'nt_antidote_blog_content_type' );

	if ( $nt_antidote_blog_content_type == 'masonry' ) :
		$nt_antidote_post_desk_col = ot_get_option( 'nt_antidote_post_desk_col' );
		$nt_antidote_deskcol = $nt_antidote_post_desk_col ? $nt_antidote_post_desk_col : '6';
		$nt_antidote_post_col = 'col-sm-12 col-md-'.esc_attr( $nt_antidote_deskcol ).' col-lg-'.esc_attr( $nt_antidote_deskcol ).'';
	endif;

?>

<?php if ( ! is_single() ) : ?>
	<?php if( $nt_antidote_blog_content_type == 'masonry' ) : ?>
	<!-- Single Work -->
	<div class="grid-item <?php echo esc_attr( $nt_antidote_post_col ); ?>">
	<?php endif; ?>
		<article id="post-<?php the_ID(); ?>" <?php post_class('post post-thumbnail'); ?>>
				<div class="single-work nt-theme-news video-responsive">
				<?php if ( $nt_antidote_embed != '' || do_shortcode( $nt_antidote_wp_video ) ) : ?>
					<div class="video-responsive video-wrapper work-thumb mb-35-off">
						<?php if ( $nt_antidote_embed != '' ) : ?>
							<?php echo wp_kses( $nt_antidote_embed,nt_antidote_allowed_html() ); ?>
						<?php else : ?>
							<?php echo do_shortcode( $nt_antidote_wp_video ); ?>
						<?php endif; ?>
					</div>
					<?php endif; ?>
					<div class="work-excerp mt-35">
						<?php the_title( sprintf( '<h2 class="entry-title all-caps"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
						<?php if ( $nt_antidote_show_meta != 'hide' ) : ?>
							<?php nt_antidote_post_meta(); ?>
						<?php endif; ?>
						<?php if ( '' !== get_post()->post_content ) : ?>
							<div class="text-content">
								<?php nt_antidote_post_content(); ?>
							</div>
						<?php endif; ?>
					</div>

				</div>
		</article>
	<?php if( $nt_antidote_blog_content_type == 'masonry' ) : ?>
	</div>
	<?php endif; ?>
	<!-- /. End Of Single Work -->
<?php else : ?>
		<!-- Single News Post -->
		<div class="nt-theme-news-content">
			<div class="nt-theme-news-thumb">
				<div class="video-responsive video-wrapper">
					<?php if ( $nt_antidote_embed != '' ) : ?>
						<?php echo wp_kses( $nt_antidote_embed,nt_antidote_allowed_html() ); ?>
					<?php else : ?>
						<?php echo do_shortcode( $nt_antidote_wp_video ); ?>
					<?php endif; ?>
				</div>
			</div>
			<div class="news-content">
				<div class="news-bio">
					<?php if ( $nt_antidote_show_meta != 'hide' ) : ?>
						<?php nt_antidote_post_meta(); ?>
					<?php endif; ?>
				</div>
				<?php nt_antidote_post_content(); ?>
			</div>
			<?php if ( $nt_antidote_show_meta != 'hide' ) : ?>
				<?php nt_antidote_entry_taxonomies(); ?>
				<?php nt_antidote_entry_categories(); ?>
			<?php endif; ?>
		</div>
<?php endif; ?>
