<?php
	/**
	* The default template for displaying content
	*
	* Used for both single and index/archive/search.
	*
	* @package WordPress
	* @subpackage nt-antidote
	* @since nt-antidote 1.0
	*/

	$nt_antidote_show_meta			= rwmb_meta( 'nt_antidote_show_meta' );
	$nt_antidote_blog_content_type	= ot_get_option( 'nt_antidote_blog_content_type' );

	if ( $nt_antidote_blog_content_type == 'masonry' ) : 
		$nt_antidote_post_desk_col 	= ot_get_option( 'nt_antidote_post_desk_col' );
		$nt_antidote_deskcol 		= $nt_antidote_post_desk_col ? $nt_antidote_post_desk_col : '6';
		$nt_antidote_post_col 		= 'col-sm-12 col-md-'.esc_attr( $nt_antidote_deskcol ).' col-lg-'.esc_attr( $nt_antidote_deskcol ).'';
	endif;
?>

<?php if ( ! is_single() ) : ?>
	<?php if ( $nt_antidote_blog_content_type == 'masonry' ) : ?>
	<!-- Single Work -->
	<div class="grid-item <?php echo esc_attr( $nt_antidote_post_col ); ?>">
	<?php endif; ?>
		<article id="post-<?php the_ID(); ?>" <?php post_class('post post-thumbnail'); ?>>
				<div class="single-work nt-theme-news">
					<?php if ( has_post_thumbnail() ) : ?>
						<a class="work-thumbb" href="<?php echo get_permalink(); ?>">
							<?php nt_antidote_post_thumb(); ?>
						</a>
					<?php endif; ?>
					<div class="work-excerp mt-35">
						<?php the_title( sprintf( '<h2 class="entry-title all-caps"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
						<?php if ( $nt_antidote_show_meta != 'hide' ) : ?>
							<?php nt_antidote_post_meta(); ?>
						<?php endif; ?>
						<?php if ( '' !== get_post()->post_content ) : ?>
							<div class="text-content">
								<?php nt_antidote_post_content(); ?>
							</div>
						<?php endif; ?>
					</div>
				</div>
		</article>
	<?php if( $nt_antidote_blog_content_type == 'masonry' ) : ?>
	</div>
	<?php endif; ?>
	<!-- /. End Of Single Work -->
<?php else : ?>
		<!-- Single News Post -->
		<article id="post-<?php the_ID(); ?>" <?php post_class( 'nt-theme-news-content' ); ?>>
			
			<?php if ( has_post_thumbnail() ) : ?>
				<div class="nt-theme-news-thumb">
					<?php nt_antidote_post_thumb(); ?>
				</div>
			<?php endif; ?>
			
			<div class="news-content">
				
				<div class="news-bio">
					<?php if ( $nt_antidote_show_meta != 'hide' ) : ?>
						<?php nt_antidote_post_meta(); ?>
					<?php endif; ?>
				</div>
				
				<?php nt_antidote_post_content(); ?>
				
			</div>
			
			<?php if ( $nt_antidote_show_meta != 'hide' ) : ?>
				<?php nt_antidote_entry_taxonomies(); ?>
				<?php nt_antidote_entry_categories(); ?>
			<?php endif; ?>
			
		</article>
<?php endif; ?>