<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $width
 * @var $css
 * @var $offset
 * @var $content - shortcode content
 * @var $nt_antidote_vc_column_responsive - a custom code for column responsive problems
 * @var $nt_antidote_vc_column_responsive767 - a custom code for column responsive problems
 * @var $css_animation
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Column
 */
$el_class = $width = $css = $offset = $css_animation = $nt_antidote_vc_column_responsive = $nt_antidote_vc_column_responsive767 = '';
$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$width = wpb_translateColumnWidthToSpan( $width );
$width = vc_column_offset_class_merge( $offset, $width );

$css_classes = array(
	$this->getExtraClass( $el_class ) . $this->getCSSAnimation( $css_animation ),
	'wpb_column',
	'vc_column_container',
	'nt_theme_480px_c_'.vc_shortcode_custom_css_class( $nt_antidote_vc_column_responsive ), // custom line for ninetheme framework
	'nt_theme_767px_c_'.vc_shortcode_custom_css_class( $nt_antidote_vc_column_responsive767 ), // custom line for ninetheme framework
	$width,
);

if ( vc_shortcode_custom_css_has_property( $css, array(
	'border',
	'background',
) ) ) {
	$css_classes[] = 'vc_col-has-fill';
}

$wrapper_attributes = array();

$css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), $this->settings['base'], $atts ) );
$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';



// custom code start
if( $nt_antidote_vc_column_responsive ) {

$nt_antidote_vc_column_responsive_clean = preg_replace('/.vc_custom_/', '_vc_custom_', $nt_antidote_vc_column_responsive) ;

$output .= '<style scoped>
@media only screen and (max-width: 480px) {
	.nt_theme_480px_c'.esc_attr($nt_antidote_vc_column_responsive_clean).'
}
</style>';

}// custom code end


// custom code start
if( $nt_antidote_vc_column_responsive767 ) {

$nt_antidote_vc_column_responsive_clean767 = preg_replace('/.vc_custom_/', '_vc_custom_', $nt_antidote_vc_column_responsive767) ;

$output .= '<style scoped>
@media only screen and (max-width: 767px) {
	.nt_theme_767px_c'.esc_attr($nt_antidote_vc_column_responsive_clean767).'
}
</style>';

}// custom code end

$output .= '<div ' . implode( ' ', $wrapper_attributes ) . '>';
	$output .= '<div class="vc_column-inner ' . esc_attr( trim( vc_shortcode_custom_css_class( $css ) ) ) . '">';
		$output .= '<div class="wpb_wrapper">';
			$output .= wpb_js_remove_wpautop( $content );
		$output .= '</div>';
	$output .= '</div>';
$output .= '</div>';

echo nt_antidote_vc_sanitize_data($output);
